2011-01-17  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.15.1 Released.

	* AST-2011-001: Stack buffer overflow in SIP channel driver

2010-12-02  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.15 Released.

2010-11-15  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.15-rc1

2010-11-15 18:24 +0000 [r294988-295062]  Tilghman Lesher <tlesher@digium.com>

	* tests/test_expr.c (added), /: Merged revisions 295026 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r295026 | tilghman | 2010-11-15 11:58:37 -0600 (Mon, 15 Nov 2010)
	  | 2 lines Create test verifying results of expression parser
	  ........

	* funcs/func_curl.c: It is possible to crash Asterisk by feeding
	  the curl engine invalid data. (closes issue #18161) Reported by:
	  wdoekes Patches: 20101029__issue18161.diff.txt uploaded by
	  tilghman (license 14) Tested by: tilghman

2010-11-12 21:14 +0000 [r294904-294910]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c: Return correct error code if lock path
	  fails. The recent changes to open_mailbox actually caused it to
	  be fixed, but let's be consistent. Reported by alecdavis in
	  asterisk-dev.

	* apps/app_voicemail.c, /: Merged revisions 294903 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r294903 | jpeeler | 2010-11-12 14:49:09 -0600 (Fri, 12
	  Nov 2010) | 16 lines Fix regression causing abort in voicemail
	  after opening a mailbox with no mesgs. In order to be more safe,
	  some error handling code was changed to respect more error
	  conditions including the potential memory allocation failure for
	  deleted and heard message tracking introduced in 293004. However,
	  last_message_index returns -1 for zero messages (perhaps as
	  expected) and was triggering the stricter error checking. Because
	  last_message_index is only called directly in one place, just
	  return 0 from open_mailbox (for file based storage) when no
	  messages are detected unless a real error has occurred. (closes
	  issue #18240) Reported by: leobrown Patches:
	  bug18240.1-6-2.diff.txt uploaded by alecdavis (license 585)
	  Tested by: pabelanger ........

2010-11-12 02:44 +0000 [r294822]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 294821 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r294821 | rmudgett | 2010-11-11 20:41:13 -0600 (Thu, 11
	  Nov 2010) | 11 lines Asterisk is getting a "No D-channels
	  available!" warning message every 4 seconds. Asterisk is just
	  whining too much with this message: "No D-channels available!
	  Using Primary channel XXX as D-channel anyway!". Filtered the
	  message so it only comes out once if there is no D channel
	  available without an intervening D channel available period.
	  (closes issue #17270) Reported by: jmls ........

2010-11-11 21:57 +0000 [r294639-294733]  Jeff Peeler <jpeeler@digium.com>

	* /, channels/chan_sip.c: Merged revisions 294688 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r294688 | jpeeler | 2010-11-11 15:12:27 -0600 (Thu, 11 Nov 2010)
	  | 18 lines Fix problem with qualify option packets for realtime
	  peers never stopping. The option packets not only never stopped,
	  but if a realtime peer was not in the peer list multiple options
	  dialogs could accumulate over time. This scenario has the
	  potential to progress to the point of saturating a link just from
	  options packets. The fix was to ensure that the poke scheduler
	  checks to see if a peer is in the peer list before continuing to
	  poke. The reason a peer must be in the peer list to be able to
	  properly manage an options dialog is because otherwise the call
	  pointer is lost when the peer is regenerated from the database,
	  which is how existing qualify dialogs are detected. (closes issue
	  #16382) (closes issue #17779) Reported by: lftsy Patches:
	  bug16382-3.patch uploaded by jpeeler (license 325) Tested by:
	  zerohalo ........

	* main/asterisk.c, include/asterisk.h, main/pbx.c, /: Merged
	  revisions 294384 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r294384 | jpeeler | 2010-11-09 11:37:59 -0600 (Tue, 09 Nov 2010)
	  | 47 lines Fix a deadlock in device state change processing.
	  Copied from some notes from the original author (Russell):
	  Deadlock scenario: Thread 1: device state change thread Holds -
	  rdlock on contexts Holds - hints lock Waiting on channels
	  container lock Thread 2: SIP monitor thread Holds the "iflock"
	  Holds a sip_pvt lock Holds channel container lock Waiting for a
	  channel lock Thread 3: A channel thread (chan_local in this case)
	  Holds 2 channel locks acquired within app_dial Holds a 3rd
	  channel lock it got inside of chan_local Holds a local_pvt lock
	  Waiting on a rdlock of the contexts lock A bunch of other threads
	  waiting on a wrlock of the contexts lock To address this
	  deadlock, some locking order rules must be put in place and
	  enforced. Existing relevant rules: 1) channel lock before a pvt
	  lock 2) contexts lock before hints lock 3) channels container
	  before a channel What's missing is some enforcement of the order
	  when you involve more than any two. To fix this problem, I put in
	  some code that ensures that (at least in the code paths involved
	  in this bug) the locks in (3) come before the locks in (2). To
	  change the operation of thread 1 to comply, I converted the
	  storage of hints to an astobj2 container. This allows processing
	  of hints without holding the hints container lock. So, in the
	  code path that led to thread 1's state, it no longer holds either
	  the contexts or hints lock while it attempts to lock the channels
	  container. (closes issue #18165) Reported by: antonio ABE-2583
	  ........

2010-11-10 23:16 +0000 [r294571]  Tilghman Lesher <tlesher@digium.com>

	* main/features.c: Actually pay attention to documented settings in
	  features.conf. (closes issue #16757) Reported by: voxter Patches:
	  20101012__issue16757.diff.txt uploaded by tilghman (license 14)
	  Review: https://reviewboard.asterisk.org/r/994/

2010-11-10 12:41 +0000 [r294500]  Russell Bryant <russell@digium.com>

	* main/devicestate.c: Improve a debug message to be more readable
	  and consistent. (closes issue #18282) Reported by: klaus3000
	  Patches: ast_devstate2str-patch.txt uploaded by klaus3000
	  (license 65)

2010-11-09 20:27 +0000 [r294429]  Tilghman Lesher <tlesher@digium.com>

	* configure, configure.ac: Detect GMime properly on systems where
	  gmime flags and libs are configured with pkg-config. (closes
	  issue #16155) Reported by: jcollie Patches:
	  20100917__issue16155.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman

2010-11-08 22:30 +0000 [r294277-294312]  Jeff Peeler <jpeeler@digium.com>

	* res/res_timing_timerfd.c: add missing unlock not present in
	  294277

	* main/timing.c, main/channel.c, res/res_timing_timerfd.c,
	  include/asterisk/timing.h: Fix playback failure when using IAX
	  with the timerfd module. To fix this issue the alert pipe will
	  now be used when the timerfd module is in use. There appeared to
	  be a race that was not solved by adding locking in the timerfd
	  module, but needed to be there anyway. The race was between the
	  timer being put in non-continuous mode in ast_read on the channel
	  thread and the IAX frame scheduler queuing a frame which would
	  enable continuous mode before the non-continuous mode event was
	  read. This race for now is simply avoided. (closes issue #18110)
	  Reported by: tpanton Tested by: tpanton I put tested by tpanton
	  because it was tested on his hardware. Thanks for the remote
	  access to debug this issue!

2010-11-08 20:50 +0000 [r294242]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Go off hold when we get an empty reinvite
	  telling us to. (closes issue 0014448) Reported by: frawd (closes
	  issue #17878) Reported by: frawd

2010-11-05 00:06 +0000 [r293969]  Shaun Ruffell <sruffell@digium.com>

	* codecs/codec_dahdi.c, /: Merged revisions 293968 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293968 | sruffell | 2010-11-04 19:02:53 -0500 (Thu, 04
	  Nov 2010) | 17 lines codecs/codec_dahdi: Prevent "choppy" audio
	  when receiving unexpected frame sizes. dahdi-linux 2.4.0
	  (specifically commit 9034) added the capability for the wctc4xxp
	  to return more than a single packet of data in response to a
	  read. However, when decoding packets, codec_dahdi was still
	  assuming that the default number of samples was in each read. In
	  other words, each packet your provider sent you, regardless of
	  size, would result in 20 ms of decoded data (30 ms if decoding
	  G723). If your provider was sending 60 ms packets then
	  codec_dahdi would end up stripping 40 ms of data from each
	  transcoded frame resulting in "choppy" audio. This would only
	  affect systems where G729 packets are arriving in sizes greater
	  than 20ms or G723 packets arriving in sizes greater than 30ms.
	  DAHDI-744. ........

2010-11-03 18:31 +0000 [r293806]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 293805 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293805 | rmudgett | 2010-11-03 13:23:04 -0500 (Wed, 03
	  Nov 2010) | 20 lines Party A in an analog 3-way call would
	  continue to hear ringback after party C answers. All parties are
	  analog FXS ports. 1) A calls B. 2) A flash hooks to call C. 3) A
	  flash hooks to bring C into 3-way call before C answers. (A and B
	  hear ringback) 4) C answers 5) A continues to hear ringback
	  during the 3-way call. (All parties can hear each other.) * Fixed
	  use of wrong variable in dahdi_bridge() that stopped ringback on
	  the wrong subchannel. * Made several debug messages have more
	  information. A similar issue happens if B and C are SIP channels.
	  B continues to hear ringback. For some reason this only affects
	  v1.8 and trunk. * Don't start ringback on the real and 3-way
	  subchannels when creating the 3-way conference. Removing this
	  code is benign on v1.6.2 and earlier. ........

2010-11-02 23:07 +0000 [r293723]  Jeff Peeler <jpeeler@digium.com>

	* /, channels/chan_sip.c: Merged revisions 293722 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r293722 | jpeeler | 2010-11-02 18:02:51 -0500 (Tue, 02 Nov 2010)
	  | 8 lines Add enabled/disabled information for rtautoclear sip
	  show settings output. When setting to zero/"no", the numeric
	  default was shown making it not obvious the disabled setting was
	  respected. (closes issue #18123) Reported by: zerohalo ........

2010-11-02 21:26 +0000 [r293647]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 293639 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293639 | rmudgett | 2010-11-02 16:24:13 -0500 (Tue, 02
	  Nov 2010) | 6 lines Make warning message have more useful
	  information in it. Change "Unable to get index, and nullok is not
	  asserted" to "Unable to get index for '<channel-name>' on channel
	  <number> (<function>(), line <number>)". ........

2010-10-30 01:49 +0000 [r293340-293417]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 293416 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293416 | rmudgett | 2010-10-29 20:45:49 -0500 (Fri, 29
	  Oct 2010) | 1 line Remove some more code that serves no purpose.
	  ........

	* channels/chan_dahdi.c, /: Merged revisions 293339 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293339 | rmudgett | 2010-10-29 19:34:12 -0500 (Fri, 29
	  Oct 2010) | 1 line Remove some code that serves no purpose.
	  ........

2010-10-28 19:54 +0000 [r293195-293196]  Tilghman Lesher <tlesher@digium.com>

	* main/ast_expr2.c, main/ast_expr2.h: Merged revisions 293194 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r293194 | tilghman | 2010-10-28 14:44:37 -0500 (Thu, 28 Oct 2010)
	  | 5 lines "!00" evaluated as false, which is incorrect. Fixing.
	  Reported (though the reporter did not understand he was reporting
	  a bug) on the asterisk-users list:
	  http://lists.digium.com/pipermail/asterisk-users/2010-October/255505.html
	  ........

	* /, res/ael/ael.tab.c, main/ast_expr2.y, res/ael/ael_lex.c,
	  res/ael/ael.tab.h: Merged revisions 293194 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r293194 | tilghman | 2010-10-28 14:44:37 -0500 (Thu, 28 Oct 2010)
	  | 5 lines "!00" evaluated as false, which is incorrect. Fixing.
	  Reported (though the reporter did not understand he was reporting
	  a bug) on the asterisk-users list:
	  http://lists.digium.com/pipermail/asterisk-users/2010-October/255505.html
	  ........

2010-10-28 16:09 +0000 [r293158]  Jeff Peeler <jpeeler@digium.com>

	* funcs/func_strings.c: Fix infinite loop in FILTER(). Specifically
	  when you're using characters above \x7f or invalid character
	  escapes (e.g. \xgg). (closes issue #18060) Reported by: wdoekes
	  Patches: issue18060_func_strings_filter_infinite_loop.patch
	  uploaded by wdoekes (license 717) Tested by: wdoekes

2010-10-26 18:33 +0000 [r293118]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 293004 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r293004 | jpeeler | 2010-10-25 17:55:28 -0500 (Mon, 25
	  Oct 2010) | 29 lines Fix inprocess_container in voicemail to
	  correctly restrict max messages. The comparison function logic
	  was off, so the number of sessions for a given mailbox were not
	  being incremented properly. This problem caused the maximum
	  number of messages per folder to not be respected when
	  simultaneously leaving multiple voicemails just below the
	  threshold. These problems should be fixed by the above, but just
	  in case: Fixed resequence_mailbox to rely on the actual number of
	  detected number of files in a directory rather than just assuming
	  only 10 messages more than the maximum had been left. Also if
	  more messages than the maximum are deleted they are actually
	  removed now. The second purpose of this commit should have been
	  separated out probably, but is related to the above. Again, if
	  the number of messages in a given voicemail folder exceeds the
	  maximum set limit make sure to allocate enough space for the
	  deleted and heard index tracking array. A few random fixes: There
	  was a forgotten decrement of the inprocess count in
	  imap_store_file. When using IMAP storage, do not look in the
	  directory where file based storage messages may still reside and
	  influence the message count. Ensure to use only the first format
	  in sendmail. ABE-2516 ........

2010-10-25 19:06 +0000 [r292867]  David Vossel <dvossel@digium.com>

	* channels/chan_local.c, /: Merged revisions 292866 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r292866 | dvossel | 2010-10-25 14:05:07 -0500 (Mon, 25
	  Oct 2010) | 27 lines This patch turns chan_local pvts into
	  astobj2 objects. chan_local does some dangerous things involving
	  deadlock avoidance. tech_pvt functions like hangup and
	  queue_frame are provided with a locked channel upon entry. Those
	  functions are completely safe as long as you don't attempt to
	  give up that channel lock, but that is impossible to guarantee
	  due to the required deadlock avoidance necessary to lock both the
	  tech_pvt and both channels involved. In the past, we have tried
	  to account for this by doing things like setting a "glare" flag
	  that indicates what function should destroy the pvt. This was
	  used in local_hangup and local_queue_frame to decided who should
	  destroy the pvt if they collided in separate threads. I have
	  removed the need to do this by converting all chan_local
	  tech_pvts to astobj2. This means we can ref a pvt before deadlock
	  avoidance and not have to worry about that pvt possibly getting
	  destroyed under us. It also cleans up where we destroy the
	  tech_pvt. The only unlink from the tech_pvt container occurs in
	  local_hangup now, which is where it should occur. Since there
	  still may be thread collisions on some functions like
	  local_hangup after deadlock avoidance, I have added some checks
	  to detect those collisions and exit appropriately. I think this
	  patch is going to solve quite a bit of weirdness we have had with
	  local channels in the past. ........

2010-10-22 21:16 +0000 [r292786]  Leif Madsen <lmadsen@digium.com>

	* contrib/scripts/asterisk.ldif, channels/chan_sip.c,
	  configs/res_ldap.conf.sample: Update the LDIF file for LDAP. The
	  LDIF file asterisk.ldif was quite a bit out of date from the
	  asterisk.ldap-schema file, so I've now updated that to be in
	  sync. The asterisk.ldif file being out of sync was a problem on
	  my systems where I was doing an ldapadd to import the schema into
	  the LDAP database, and the existing file would cause problems and
	  ERROR messages when registering. Additional documention has been
	  added based on feedback in the issue I'm closing. (closes issue
	  #13861) Reported by: scramatte Patches: ldap-update.txt uploaded
	  by lmadsen (license 10) Tested by: lmadsen, jcovert, suretec,
	  rgenthner

2010-10-21 13:11 +0000 [r292556]  Leif Madsen <lmadsen@digium.com>

	* configs/res_ldap.conf.sample: Change res_ldap.sample.conf to
	  match the schema. (closes issue #17376) Reported by: jcovert
	  Patches: res_ldap.conf.sample.patch uploaded by jcovert (license
	  551)

2010-10-21 00:05 +0000 [r292412]  Paul Belanger <paul.belanger@polybeacon.com>

	* apps/app_dial.c, /: Merged revisions 292411 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r292411 | pabelanger | 2010-10-20 20:00:51 -0400 (Wed, 20 Oct
	  2010) | 10 lines Record priv-recordintro as sln, not gsm This
	  removes the gsm->sln step when transcoding priv-recordintro.
	  (closes issue #18176) Reported by: pabelanger Patches:
	  chan_sip.diff uploaded by pabelanger (license 224) ........

2010-10-18 22:01 +0000 [r292229]  Leif Madsen <lmadsen@digium.com>

	* sounds/Makefile: Fix typo in the sounds/Makefile. (Issue #17426)

2010-10-18 21:54 +0000 [r292226]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 292223 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r292223 | jpeeler | 2010-10-18 16:50:30 -0500 (Mon, 18
	  Oct 2010) | 11 lines Fix improper operator key acceptance and
	  clean up temp recording files. This is a fix for when pressing
	  the operator key after recording an unavailable, busy, name, or
	  temporary message in mailbox options. The operator key should not
	  be accepted here, but should be allowed during the message
	  recording. If the operator key is pressed during ensure the file
	  is saved or deleted as apporopriate. Also, ensure removal of
	  temporary recorded files after an early hang up or when message
	  acceptance confirmation times out. ABE-2518 ........

2010-10-18 21:50 +0000 [r292224]  Leif Madsen <lmadsen@digium.com>

	* sounds/Makefile, /, sounds/sounds.xml: Merged revisions 292222
	  via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r292222 | lmadsen | 2010-10-18 16:47:25 -0500 (Mon, 18 Oct 2010)
	  | 9 lines Add support for the new English (Australian Accent)
	  sound files. (closes issue #17426) Reported by: camsown Patches:
	  core-sounds-en_AU.txt uploaded by camsown (license 1050)
	  add_AU_sounds.patch.txt uploaded by lmadsen (license 10) Tested
	  by: camsown, lmadsen, jtodd, qwell ........

2010-10-16 10:03 +0000 [r292049]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* res/res_musiconhold.c, configs/musiconhold.conf.sample: Base
	  directory for MOH should be ASTDATADIR If the directive
	  'directory' is relative, make it relative to the datadir, rather
	  than to the varlibdir. In the sample configuration it is relative
	  ('moh'). This has no effect unless you have actively set the
	  datadir explicitly (at build time or at run time). (closes issue
	  #16906) Patches: moh_datadir uploaded by tzafrir (license 46)
	  Review: https://reviewboard.asterisk.org/r/974/

2010-10-15 19:35 +0000 [r291939]  Paul Belanger <paul.belanger@polybeacon.com>

	* configs/gtalk.conf.sample, /: Merged revisions 291938 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r291938 | pabelanger | 2010-10-15 15:30:41 -0400 (Fri, 15 Oct
	  2010) | 2 lines Clean up formatting. ........

2010-10-15 16:16 +0000 [r291904]  Terry Wilson <twilson@digium.com>

	* res/res_jabber.c: Don't crash or deadlock on module unload We
	  can't hold the lock while pthread_join is called since
	  aji_log_hook will attempt to lock from the other therad. We
	  reorder the pthread_join and ast_aji_disconnect so that we don't
	  do an SSL_read() while SSL_shutdown is running, causing a crash.

2010-10-13 23:36 +0000 [r291655]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 291643 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r291643 | rmudgett | 2010-10-13 18:29:58 -0500 (Wed, 13
	  Oct 2010) | 20 lines Deadlock between dahdi_exception() and
	  dahdi_indicate(). There is a deadlock between dahdi_exception()
	  and dahdi_indicate() for analog ports. The call-waiting and
	  three-way-calling feature can experience deadlock if these
	  features are trying to do something and an event from the bridged
	  channel happens at the same time. Deadlock avoidance code added
	  to obtain necessary channel locks before attemting an operation
	  with call-waiting and three-way-calling. (closes issue #16847)
	  Reported by: shin-shoryuken Patches: issue_16847_v1.4.patch
	  uploaded by rmudgett (license 664) issue_16847_v1.6.2.patch
	  uploaded by rmudgett (license 664) issue_16847_v1.8_v2.patch
	  uploaded by rmudgett (license 664) Tested by: alecdavis, rmudgett
	  Review: https://reviewboard.asterisk.org/r/971/ ........

2010-10-13 22:58 +0000 [r291580]  Terry Wilson <twilson@digium.com>

	* main/channel.c, /: Merged revisions 291577 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r291577 | twilson | 2010-10-13 15:45:15 -0700 (Wed, 13 Oct 2010)
	  | 21 lines Don't ignore frames that have been queued when
	  softhangup'd When an outgoing call is answered and hung up by the
	  far end *very* quickly, we may not read any frames and therefor
	  end up with a call that displays the wrong
	  disposition/DIALSTATUS. The reason is because ast_queue_hangup()
	  immediately sets the _softhangup flag on the channel and then
	  queues the HANGUP control frame, but __ast_read refuses to read
	  any frames if ast_check_hangup() indicates that a hangup request
	  has been made (which it will if _softhangup is set). So, we end
	  up losing control frames. This change makes __ast_read continue
	  to read frames even if a soft hangup has been requested. It
	  queues a hangup frame to make sure that __ast_read() will still
	  eventually return NULL. Much thanks to David Vossel for all of
	  the reviews, discussion, and help! (closes issue #16946) Reported
	  by: davidw Review: https://reviewboard.asterisk.org/r/740/
	  ........

2010-10-13 15:29 +0000 [r291393]  Russell Bryant <russell@digium.com>

	* /, channels/chan_sip.c: Merged revisions 291392 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r291392 | russell | 2010-10-13 10:23:19 -0500 (Wed, 13 Oct 2010)
	  | 6 lines Lock pvt so pvt->owner can't disappear when queueing up
	  a frame. This fixes a crash due to a hangup race condition.
	  ABE-2601 ........

2010-10-12 17:20 +0000 [r291280]  Leif Madsen <lmadsen@digium.com>

	* configs/phoneprov.conf.sample: Add undocumented variables to
	  phoneprov.conf.sample (closes issue #18107) Reported by: lathama
	  Patches: phoneprov.conf.sample.diff uploaded by lathama (license
	  1028)

2010-10-12 17:05 +0000 [r291264]  Tilghman Lesher <tlesher@digium.com>

	* /, main/acl.c: Merged revisions 291263 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r291263 | tilghman | 2010-10-12 11:55:30 -0500 (Tue, 12 Oct 2010)
	  | 2 lines Oops, incorrect range (although unallocated at ARIN)
	  ........

2010-10-12 16:07 +0000 [r291229]  Leif Madsen <lmadsen@digium.com>

	* configs/manager.conf.sample: Add documention that mentions
	  options are defined but not used. (Issue #18101)

2010-10-11 18:39 +0000 [r291073-291111]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Make exit from handle_request_do()
	  consistent.

	* /, channels/chan_sip.c: Merged revisions 291109 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r291109 | rmudgett | 2010-10-11 13:29:43 -0500 (Mon, 11 Oct 2010)
	  | 1 line Add missing unlock to an exception condition in
	  reload_config(). ........

	* main/cli.c: Fixed infinite loop in verbose/debug message output.
	  Setting the module/filename specific message level and then
	  changing it resulted in the linked list being looped on itself.
	  Traversing this linked list is an infinite loop if what you are
	  looking for is not in the list. Also plugged some CLI parsing
	  holes in the associated CLI command: * Removing a nonexistent
	  module from the list actually added it with a level of zero. *
	  Setting the non-module specific level to zero is now equivalent
	  to setting it to "off" as documented.

2010-10-08 02:45 +0000 [r290863]  Jeff Peeler <jpeeler@digium.com>

	* main/asterisk.c, /: Merged revisions 290862 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r290862 | jpeeler | 2010-10-07 21:35:29 -0500 (Thu, 07 Oct 2010)
	  | 9 lines Ensure editline cleanup occurs when Ctrl-C is pressed
	  at control console. A recent change was made to avoid a race
	  condition on shutdown which only called the end functions from
	  the console thread. However, when pressing Ctrl-C the quit
	  handler is called from the signal handler thread. (closes issue
	  #17698) Reported by: jmls ........

2010-10-07 20:57 +0000 [r290751]  Jason Parker <jparker@digium.com>

	* autoconf/ast_ext_lib.m4, /, configure,
	  include/asterisk/autoconfig.h.in: Merged revisions 290750 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r290750 | qwell | 2010-10-07 15:56:04 -0500 (Thu, 07 Oct 2010) |
	  9 lines Allow PRI to build properly when using --with-pri. Use
	  the directories found for the parent when using lib dependencies.
	  (closes issue #17314) Reported by: tzafrir Patches:
	  17314-withdeps.diff uploaded by qwell (license 4) ........

2010-10-07 10:53 +0000 [r290712]  Russell Bryant <russell@digium.com>

	* main/pbx.c: Don't crash when Set() is called without a value.
	  Review: https://reviewboard.asterisk.org/r/949/

2010-10-06 13:48 +0000 [r290396-290575]  Tilghman Lesher <tlesher@digium.com>

	* main/file.c: Allow streaming audio from a pipe. (closes issue
	  #18001) Reported by: jamicque Patches:
	  20100926__issue18001.diff.txt uploaded by tilghman (license 14)
	  Tested by: jamicque

	* res/res_jabber.c, /: Merged revisions 290392 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r290392 | tilghman | 2010-10-05 15:20:07 -0500 (Tue, 05 Oct 2010)
	  | 8 lines Fix a crash by ensuring that we don't alter memory
	  after it's freed. (closes issue #17387) Reported by: jmls
	  Patches: 20100726__issue17387.diff.txt uploaded by tilghman
	  (license 14) Tested by: jmls ........

2010-10-05 19:54 +0000 [r290375]  David Vossel <dvossel@digium.com>

	* apps/app_directed_pickup.c: Fixes PickupChan() not working with
	  full channel name. (closes issue #18011) Reported by: schern
	  Patches: app_directed_pickup.c.2.patch uploaded by schern
	  (license 995) app_directed_pickup.c.trunk.patch uploaded by
	  schern (license 995) Tested by: schern, dvossel

2010-10-05 17:42 +0000 [r290324]  Richard Mudgett <rmudgett@digium.com>

	* contrib/valgrind.supp, /: Merged revisions 290323 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r290323 | rmudgett | 2010-10-05 12:41:18 -0500
	  (Tue, 05 Oct 2010) | 11 lines Merged revision 258974 from
	  https://origsvn.digium.com/svn/asterisk/trunk .......... r258974
	  | diruggles | 2010-04-26 14:05:47 -0500 (Mon, 26 Apr 2010) | 4
	  lines Line 24 missed in compatibility fix in revision 233577
	  added a "fun:" prefix line 24 .......... ................

2010-10-04 23:14 +0000 [r290101-290254]  Tilghman Lesher <tlesher@digium.com>

	* pbx/ael/ael-test/ref.ael-test19,
	  pbx/ael/ael-test/ref.ael-vtest13, res/ael/pval.c, main/pbx.c,
	  pbx/ael/ael-test/ref.ael-vtest17,
	  pbx/ael/ael-test/ref.ael-ntest10, pbx/ael/ael-test/ref.ael-test1,
	  pbx/ael/ael-test/ref.ael-test2, pbx/ael/ael-test/ref.ael-test3,
	  pbx/ael/ael-test/ref.ael-test4, pbx/ael/ael-test/ref.ael-test5:
	  Change new pattern matcher to regard dashes the same as the old
	  pattern matcher -- as visual candy to be ignored. Also change the
	  AEL parser to not generate dashes within extensions, as those
	  dashes would be ignored. Update the AEL tests to match this
	  behavior. (closes issue #17366) Reported by: murf Patches:
	  20100727__issue17366.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman

	* /, configure, configure.ac: Merged revisions 290177 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r290177 | tilghman | 2010-10-04 15:15:26 -0500 (Mon, 04
	  Oct 2010) | 2 lines Fixing Mac OS X auto-builder. ........

	* /, configure, configure.ac: Merged revisions 290100 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r290100 | tilghman | 2010-10-03 16:04:29 -0500 (Sun, 03
	  Oct 2010) | 2 lines Automatically re-run configure test for
	  menuselect, when the relevant makeopts settings change. ........

2010-10-02 08:52 +0000 [r289950]  Olle Johansson <oej@edvina.net>

	* main/manager.c, /: Merged revisions 289949 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289949 | oej | 2010-10-02 10:50:05 +0200 (Lör, 02 Okt 2010) | 2
	  lines Add documentation for undocumented option to AMI action
	  originate ........

2010-10-02 04:45 +0000 [r289874]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 289873 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r289873 | tilghman | 2010-10-01 23:42:08 -0500 (Fri, 01
	  Oct 2010) | 8 lines When forwarding a message, a prepend means
	  that the filesystem will always have a better copy. (closes issue
	  #17803) Reported by: dpetersen Patches:
	  20100923__issue17803.diff.txt uploaded by tilghman (license 14)
	  Tested by: dpetersen ........

2010-10-01 23:01 +0000 [r289798]  Jeff Peeler <jpeeler@digium.com>

	* main/rtp.c, /, channels/chan_sip.c, include/asterisk/rtp.h:
	  Merged revisions 289797 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289797 | jpeeler | 2010-10-01 17:58:38 -0500 (Fri, 01 Oct 2010)
	  | 15 lines Change RFC2833 DTMF event duration on end to report
	  actual elapsed time. The scenario here is with a non P2P early
	  media session. The reported time length of DTMF presses are
	  coming up short when sending to the remote side. Currently the
	  event duration is a running total that is incremented when
	  sending continuation packets. These continuation packets are only
	  triggered upon incoming media from the remote side, which means
	  that the running total probably is not going to end up matching
	  the actual length of time Asterisk received DTMF. This patch
	  changes the end event duration to be lengthened if it is detected
	  that the end event is going to come up short. Review:
	  https://reviewboard.asterisk.org/r/957/ ABE-2476 ........

2010-10-01 17:09 +0000 [r289704]  Paul Belanger <paul.belanger@polybeacon.com>

	* res/res_jabber.c, /, configs/jabber.conf.sample: Merged revisions
	  289703 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289703 | pabelanger | 2010-10-01 13:03:11 -0400 (Fri, 01 Oct
	  2010) | 6 lines Disable debugging by default and reformat .config
	  file. Review: https://reviewboard.asterisk.org/r/929/ ........

2010-10-01 16:21 +0000 [r289700]  Jeff Peeler <jpeeler@digium.com>

	* /, channels/chan_sip.c: Merged revisions 289699 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289699 | jpeeler | 2010-10-01 11:20:00 -0500 (Fri, 01 Oct 2010)
	  | 14 lines Ensure user portion of SIP URI matches dialplan when
	  using encoded characters. This commit takes a simliar approach to
	  288112 and checks the dialplan to determine the proper action for
	  an incoming contact header as to whether or not it should be
	  decoded or not. sip_new was blindly always decoding the
	  extension, which also caused the outgoing contact header to be
	  incorrect as well as failing to match the encoded extension in
	  the dialplan. (closes issue #17892) Reported by: wdoekes Patches:
	  bug17892-1.patch uploaded by jpeeler (license 325) Tested by:
	  wdoekes ........

2010-10-01 09:42 +0000 [r289622]  schmitds <schmitds@localhost>:

	* channels/chan_sip.c: don't iterate through all dialogs to find
	  and delete old subscribes On every incoming subscribe there is a
	  iteration through all dialogs to find old subscribes and delete
	  them. This is slow and not RFC conform. This was only needed in
	  1.2 cause a subscribe was not deleted when a dialog was
	  destroyed, after 1.4 a subscribe get removed when its dialog is
	  destroyed. (closes issue #17950) Reported by: schmidts Tested by:
	  schmidts Review: https://reviewboard.asterisk.org/r/901/

2010-09-30 19:51 +0000 [r289553]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Properly handle channel allocation failures
	  duing invites with replaces. ABE-2588

2010-09-30 17:09 +0000 [r289501]  Brett Bryant <bbryant@digium.com>

	* /, res/res_agi.c: Merged revisions 289500 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289500 | bbryant | 2010-09-30 13:08:20 -0400 (Thu, 30 Sep 2010)
	  | 11 lines res_agi.c:handle_getvariablefull() could recursively
	  lock a channel and not release it if an argument is the current
	  channel's name. (closes issue #17970) Reported by: mdu113
	  Patches: res_agi.c.diff3 uploaded by mdu113 (license 582) Tested
	  by: mdu113 Review: https://reviewboard.asterisk.org/r/947/
	  ........

2010-09-30 15:37 +0000 [r289425]  Russell Bryant <russell@digium.com>

	* /, apps/app_sms.c: Merged revisions 289424 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289424 | russell | 2010-09-30 10:34:29 -0500 (Thu, 30 Sep 2010)
	  | 8 lines Fix a crash in app_sms. Since the data being passed to
	  the generator callback is on the stack of the SMS() application,
	  we must ensure that the generator is stopped before the
	  application exits. ABE-2587 ........

2010-09-29 21:03 +0000 [r289339]  Jason Parker <jparker@digium.com>

	* main/channel.c, /, main/features.c: Merged revisions 289338 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289338 | qwell | 2010-09-29 15:56:26 -0500 (Wed, 29 Sep 2010) |
	  8 lines Allow a manager originate to succeed on forwarded
	  devices. The timeout to wait for an answer was being set to 0
	  when a device forwarded to another extension. We don't always
	  need the timeout set like this, so make it an optional parameter,
	  and don't use it in this case. ABE-2544 ........

2010-09-29 20:24 +0000 [r289334]  Leif Madsen <lmadsen@digium.com>

	* configs/res_ldap.conf.sample: Update sample documentation to note
	  md5secret requirements.

2010-09-29 20:15 +0000 [r289332]  Russell Bryant <russell@digium.com>

	* res/res_config_ldap.c: Don't completely ignore md5secret from
	  LDAP if the value does not begin with {md5}. This fixes a problem
	  that lmadsen ran in to where md5secret was not working for him.

2010-09-29 15:04 +0000 [r289178]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c, /: Merged revisions 289177 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289177 | mnicholson | 2010-09-29 10:03:27 -0500 (Wed, 29 Sep
	  2010) | 8 lines Set the caller id on CDRs when it is set on the
	  parent channel. (closes issue #17569) Reported by: tbelder
	  Patches: 17569.diff uploaded by tbelder (license 618) Tested by:
	  tbelder ........

2010-09-28 18:14 +0000 [r289095]  Brett Bryant <bbryant@digium.com>

	* main/channel.c, /: Merged revisions 289094 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r289094 | bbryant | 2010-09-28 14:10:19 -0400 (Tue, 28 Sep 2010)
	  | 14 lines Fixes an issue with the Newchannel AMI event during
	  the Masquerading process. Fixes an issue with the Newchannel AMI
	  event during the Masquerading process, where no Newchannel AMI
	  event was generated for the psuedo channel used during the
	  masquerading process. (closes issue #17987) Reported by:
	  RadicAlish Patches: newchannel.patch.txt uploaded by RadicAlish
	  (license 1122) Tested by: RadicAlish Review:
	  https://reviewboard.asterisk.org/r/937/ ........

2010-09-24 15:37 +0000 [r288747]  Terry Wilson <twilson@digium.com>

	* channels/chan_local.c, /: Merged revisions 288746 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r288746 | twilson | 2010-09-24 08:26:09 -0700 (Fri, 24
	  Sep 2010) | 5 lines Don't fail a masquerade if it is already
	  being hung up This avoids noise on some Local channel situations
	  where we don't use /n. Thanks to Alec Davis for the suggestion.
	  ........

2010-09-24 13:53 +0000 [r288637-288712]  Tilghman Lesher <tlesher@digium.com>

	* funcs/func_strings.c: Solaris won't printf a NULL. (closes issue
	  #18041) Reported by: asgaroth

	* cdr/cdr_pgsql.c, /, configure, include/asterisk/autoconfig.h.in,
	  include/asterisk/compat.h, main/strcompat.c, configure.ac,
	  include/asterisk/channel.h: Merged revisions 288636 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r288636 | tilghman | 2010-09-23 22:20:24 -0500 (Thu, 23
	  Sep 2010) | 2 lines Solaris compatibility fixes ........

2010-09-22 23:10 +0000 [r288500]  Terry Wilson <twilson@digium.com>

	* channels/chan_local.c, /: Merged revisions 288499 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r288499 | twilson | 2010-09-22 16:00:30 -0700 (Wed, 22
	  Sep 2010) | 8 lines Don't let a Local channel get bridged to
	  itself If a local channel gets bridged to itself, it becomes
	  orphaned with no devices left to actually tell it to hang up.
	  This patch modifies local_fixup() to detect this case and deny
	  it. Review: https://reviewboard.asterisk.org/r/934 ........

2010-09-22 17:49 +0000 [r288344-288417]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 288416 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288416 | dvossel | 2010-09-22 12:48:15 -0500 (Wed, 22 Sep 2010)
	  | 5 lines RFC3261 section 12.2 explicitly says out of order
	  requests are responded with a 500 Server Internal Error response.
	  ABE-2458 ........

	* /, channels/chan_sip.c: Merged revisions 288343 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288343 | dvossel | 2010-09-22 11:49:56 -0500 (Wed, 22 Sep 2010)
	  | 2 lines During check_pendings, if the dialog is terminated with
	  a CANCEL, change the invitestate to INV_CANCEL like in
	  sip_hangup. ........

2010-09-22 16:44 +0000 [r288340]  Russell Bryant <russell@digium.com>

	* main/asterisk.c, /: Merged revisions 288339 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288339 | russell | 2010-09-22 11:39:16 -0500 (Wed, 22 Sep 2010)
	  | 11 lines Fix a 100% CPU consumption problem when setting
	  console=yes in asterisk.conf. The handling of -c and console=yes
	  should be the same, but they were not. When you specify -c, it
	  sets both a flag for console module and for asterisk not to
	  fork() off into the background. The handling of console=yes only
	  set console mode, so you would end up with a background process()
	  trying to run the Asterisk console and freaking out since it
	  didn't have anything to read input from. Thanks to beagles for
	  reporting and helping debug the problem! ........

2010-09-22 15:11 +0000 [r288267]  Tilghman Lesher <tlesher@digium.com>

	* cdr/cdr_pgsql.c, configs/cdr_pgsql.conf.sample, /, UPGRADE.txt:
	  Merged revisions 288265-288266 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288265 | tilghman | 2010-09-22 09:48:04 -0500 (Wed, 22 Sep 2010)
	  | 9 lines Allow the encoding to be set, in case local charset
	  does not agree with database. (closes issue #16940) Reported by:
	  jamicque Patches: 20100827__issue16940.diff.txt uploaded by
	  tilghman (license 14) 20100921__issue16940__1.6.2.diff.txt
	  uploaded by tilghman (license 14) Tested by: jamicque ........
	  r288266 | tilghman | 2010-09-22 10:04:52 -0500 (Wed, 22 Sep 2010)
	  | 5 lines Document addition of encoding parameter. (issue #16940)
	  Reported by: jamicque ........

2010-09-22 00:03 +0000 [r288193]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_iax2.c, /: Merged revisions 288192 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r288192 | rmudgett | 2010-09-21 18:55:58 -0500 (Tue, 21
	  Sep 2010) | 26 lines In chan_iax2.c:schedule_delivery() calls
	  ast_bridged_channel() on an unlocked channel. Near the beginning
	  of schedule_delivery(), ast_bridged_channel() is called on
	  iaxs[fr->callno]->owner. However, the channel is not locked,
	  which can result in ast_bridged_channel() crashing should
	  owner->tech change to a technology that doesn't implement
	  bridged_channel. I also fixed the other calls to
	  ast_bridged_channel() in chan_iax2.c since the owner lock was not
	  held there either. Converted the existing channel deadlock
	  avoidance to use iax2_lock_owner(). Using the new function
	  simplified some awkward code. In the process of fixing the
	  locking on ast_bridged_channel(), I also found a memory leak in
	  socket_process() for v1.6.2 and v1.8. The local struct variable
	  ies.vars is not freed on early/abnormal function exits. (closes
	  issue #17919) Reported by: rain Patches: issue17919_v1.4.patch
	  uploaded by rmudgett (license 664) issue17919_w_leak_v1.6.2.patch
	  uploaded by rmudgett (license 664) issue17919_w_leak_v1.8.patch
	  uploaded by rmudgett (license 664) Review:
	  https://reviewboard.asterisk.org/r/926/ ........

2010-09-21 22:22 +0000 [r288147]  Paul Belanger <paul.belanger@polybeacon.com>

	* channels/chan_iax2.c: Setup timer before set_config(). (closes
	  issue #18019) Reported by: Netview Patches: issue_0018019.patch
	  uploaded by pabelanger (license 224) Tested by: Netview

2010-09-21 21:59 +0000 [r288113]  Tilghman Lesher <tlesher@digium.com>

	* /, channels/chan_sip.c: Merged revisions 288112 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288112 | tilghman | 2010-09-21 16:58:13 -0500 (Tue, 21 Sep 2010)
	  | 15 lines Try both the encoded and unencoded subscription URI
	  for a match in hints. When a phone sends an encoded URI for a
	  subscription, the URI is not matched with the actual hint that is
	  in decoded format. For example, if we have an extension with a
	  hint that is named: "#5601" or "*5601", the subscription will
	  work fine if the phone subscribes with an already decoded URI,
	  but when it's decoded like "%255601" or "%2A5601", Asterisk is
	  unable to match it with the correct hint. (closes issue #17785)
	  Reported by: ramonpeek Patches: 20100831__issue17785.diff.txt
	  uploaded by tilghman (license 14) Tested by: ramonpeek ........

2010-09-21 19:46 +0000 [r288006]  Brett Bryant <bbryant@digium.com>

	* main/channel.c, /: Merged revisions 288005 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r288005 | bbryant | 2010-09-21 15:43:46 -0400 (Tue, 21 Sep 2010)
	  | 8 lines Add a check to fix a rare segmentation fault you'd get
	  if ast_frdup couldn't allocate memory on the first frame being
	  queued in ast_queue_frame. (closes issue #17882) Reported by:
	  seanbright Tested by: seanbright ........

2010-09-21 19:07 +0000 [r287934]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, /: Merged revisions 287933 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287933 | tilghman | 2010-09-21 14:07:07 -0500 (Tue, 21 Sep 2010)
	  | 2 lines Less than zero is an error, not any non-zero value.
	  ........

2010-09-20 23:58 +0000 [r287759]  Brett Bryant <bbryant@digium.com>

	* /, apps/app_meetme.c: Merged revisions 287758 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287758 | bbryant | 2010-09-20 19:57:08 -0400 (Mon, 20 Sep 2010)
	  | 16 lines Fix misvalidation of meetme pins in conjunction with
	  the 'a' MeetMe flag. When using the 'a' MeetMe flag and having a
	  user and admin pin setup for your conference, using the user pin
	  would gain you admin priviledges. Also, when no user pin was set,
	  an admin pin was, the 'a' MeetMe flag wasn't used, and the user
	  tried to enter a conference then they were still prompted for a
	  pin and forced to hit #. (closes issue #17908) Reported by: kuj
	  Patches: pins_2.patch uploaded by kuj (license 1111) Tested by:
	  kuj Review: [full review board URL with trailing slash] ........

2010-09-20 23:16 +0000 [r287685]  Alec L Davis <sivad.a@paradise.net.nz>

	* main/channel.c: ast_channel_masquerade: Avoid recursive
	  masquerades. Check all 4 combinations of (original/clonechan) *
	  (masq/masqr). Initially original->masq and clonechan->masqr were
	  only checked. It's possible with multiple masq's planned - and
	  not yet executed, that the 'original' chan could already have
	  another masq'd into it - thus original->masqr would be set, that
	  masqr would lost. Likewise for the clonechan->masq. (closes issue
	  #16057;#17363) Reported by: amorsen;davidw,alecdavis Patches:
	  based on bug16057.diff4.txt uploaded by alecdavis (license 585)
	  Tested by: ramonpeek, davidw, alecdavis

2010-09-20 21:28 +0000 [r287642]  Jason Parker <jparker@digium.com>

	* channels/chan_skinny.c: Don't crash when parking a non-bridged
	  call. (closes issue #17680) Reported by: jmhunter Patches:
	  chan_skinny-park-v1.txt uploaded by DEA (license 3) Tested by:
	  jmhunter, DEA

2010-11-02  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.14 Released.

2010-09-20  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.14-rc1 Released.

2010-09-20 15:56 +0000 [r287556-287558]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, /: Use ast_str when processing hint state changes
	  Merged revisions 287555 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287555 | mnicholson | 2010-09-20 10:48:14 -0500 (Mon, 20 Sep
	  2010) | 5 lines Use ast_dynamic_str when processing hint state
	  changes (related to issue #17928) Reported by: mdu113 ........

	* /: Revert r287556.

	* /: Use ast_str when processing hint state changes Merged
	  revisions 287555 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287555 | mnicholson | 2010-09-20 10:48:14 -0500 (Mon, 20 Sep
	  2010) | 5 lines Use ast_dynamic_str when processing hint state
	  changes (related to issue #17928) Reported by: mdu113 ........

2010-09-19 16:06 +0000 [r287470]  Olle Johansson <oej@edvina.net>

	* main/manager.c, /: Merged revisions 287469 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287469 | oej | 2010-09-19 17:56:50 +0200 (Sön, 19 Sep 2010) | 7
	  lines Make sure we always free variables properly in manager
	  originate. (closes issue #17891) reported, solved and tested by
	  oej Review: https://reviewboard.asterisk.org/r/869/ ........

2010-09-17 21:08 +0000 [r287387]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_queue.c, /: Merged revisions 287386 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287386 | tilghman | 2010-09-17 16:06:03 -0500 (Fri, 17 Sep 2010)
	  | 7 lines Blank columns should get set on reload, not ignored.
	  (closes issue #16893) Reported by: haakon Patches:
	  20100818__issue16893.diff.txt uploaded by tilghman (license 14)
	  ........

2010-09-17 13:36 +0000 [r287308]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, /: Merged revisions 287307 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287307 | mnicholson | 2010-09-17 08:34:34 -0500 (Fri, 17 Sep
	  2010) | 5 lines Use ast_strdup() instead of ast_strdupa() while
	  processing in ast_hint_state_changed(). (related to issue #17928)
	  Reported by: mdu113 ........

2010-09-16 22:12 +0000 [r287198]  Jason Parker <jparker@digium.com>

	* contrib/init.d/rc.debian.asterisk, /: Merged revisions 287197 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287197 | qwell | 2010-09-16 17:12:30 -0500 (Thu, 16 Sep 2010) |
	  7 lines Add LSB headers for Debian init script, since Debian will
	  complain if it isn't there. Headers were taken from trunk.
	  (closes issue #17958) Reported by: javyer ........

2010-09-16 20:06 +0000 [r287115-287119]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, /: Merged revisions 287118 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287118 | mnicholson | 2010-09-16 15:04:46 -0500 (Thu, 16 Sep
	  2010) | 8 lines Don't limit hint processing in
	  ast_hint_state_changed() to AST_MAX_EXTENSION length strings.
	  (closes issue #17928) Reported by: mdu113 Patches:
	  20100831__issue17928.diff.txt uploaded by tilghman (license 14)
	  Tested by: mdu113 ........

	* main/cdr.c, /: Merged revisions 287114 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r287114 | mnicholson | 2010-09-16 14:52:39 -0500 (Thu, 16 Sep
	  2010) | 8 lines Don't stop printing cdr variables if we encounter
	  one with a blank name or value. (closes issue #17900) Reported
	  by: under Patches: core-show-channel-cdr-fix1.diff uploaded by
	  mnicholson (license 96) Tested by: mnicholson ........

2010-09-15 20:28 +0000 [r286998]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 286941 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r286941 | jpeeler | 2010-09-15 15:08:52 -0500 (Wed, 15
	  Sep 2010) | 7 lines Ensure mailbox is not filled to capacity
	  before doing message forwarding. Specifically, before prompting
	  to record a prepended message the capacity is checked first. If
	  the mailbox is full the extension will be reprompted. ABE-2517
	  ........

2010-09-14 19:27 +0000 [r286681-286757]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 286756 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r286756 | mnicholson | 2010-09-14 14:26:18 -0500 (Tue, 14 Sep
	  2010) | 13 lines Don't clear the username from a realtime
	  database when a registration expires. Non-realtime chan_sip does
	  not clear the username from memory when a registration expiries
	  so realtime probably shouldn't either. (closes issue #17551)
	  Reported by: ricardolandim Patches:
	  reg-expiry-username-1.4-fix1.diff uploaded by mnicholson (license
	  96) reg-expiry-username-1.6.2-fix1.diff uploaded by mnicholson
	  (license 96) reg-expiry-username-1.8-fix1.diff uploaded by
	  mnicholson (license 96) reg-expiry-username-trunk-fix1.diff
	  uploaded by mnicholson (license 96) Tested by: ricardolandim,
	  mnicholson ........

	* main/channel.c, /: Merged revisions 286679 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r286679 | mnicholson | 2010-09-14 13:00:01 -0500 (Tue, 14 Sep
	  2010) | 7 lines Only drop duplicate answer frames if the channel
	  is bridged. Back in r3710 ast_read() was modified to drop answer
	  frames on channels that were in the UP state. This modification
	  prevented bridges that were up before the answer from being
	  broken and reestablished by an ANSWER control frame. That change
	  also prevents pickup of channels called from the ast_dial
	  framework from working properly. The ast_dial framework expects
	  to see an ANSWER frame after dialing and the pickup code queues
	  one but ast_read() drops it. This new change only drops ANSWER
	  frames when the channel is bridged, allowing the answer queued by
	  the pickup code to properly pass through ast_read() on to the
	  ast_dial framework. ABE-2473 (related to issue #2342) ........

2010-09-14 05:06 +0000 [r286527-286587]  Tilghman Lesher <tlesher@digium.com>

	* contrib/realtime/mysql/voicemail_messages.sql (added),
	  contrib/realtime/mysql/voicemail_data.sql (added): Add
	  documentation on missing backend tables for Voicemail

	* main/features.c: C precedence got me

	* main/features.c: Refactor conversion to ast_poll() to fix
	  callparking regression.

2010-09-13 19:38 +0000 [r286456]  Jason Parker <jparker@digium.com>

	* channels/chan_sip.c: Remove "Internal IP" from sip show settings,
	  as it's not at all useful to display. (closes issue #17840)
	  Reported by: oej

2010-09-11 17:05 +0000 [r286268]  Olle Johansson <oej@edvina.net>

	* /, main/file.c: Merged revisions 286267 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r286267 | oej | 2010-09-11 18:59:20 +0200 (Lör, 11 Sep 2010) | 4
	  lines Handle error response when we can't make file compatible
	  Review: https://reviewboard.asterisk.org/r/911/ ........

2010-09-10 22:56 +0000 [r286223]  Terry Wilson <twilson@digium.com>

	* channels/chan_local.c, /: Merged revisions 286222 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r286222 | twilson | 2010-09-10 17:54:23 -0500 (Fri, 10
	  Sep 2010) | 1 line Return -1 if chan_local doesn't support an
	  option ........

2010-09-10 20:55 +0000 [r286117]  Paul Belanger <paul.belanger@polybeacon.com>

	* channels/chan_iax2.c, /: Merged revisions 286114 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r286114 | pabelanger | 2010-09-10 16:35:08 -0400 (Fri,
	  10 Sep 2010) | 4 lines Load iax.conf before registering any
	  functions/applications/actions. Review:
	  https://reviewboard.asterisk.org/r/914/ ........

2010-09-10 20:42 +0000 [r286116]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 286113 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r286113 | rmudgett | 2010-09-10 15:33:16 -0500 (Fri, 10
	  Sep 2010) | 11 lines An outgoing call may not get hung up if a
	  pre-connect incoming ISDN call is disconnected. If the ISDN link
	  a pre-connect incoming call is using fails or is reset, the
	  outgoing leg may not hang up or be delayed in hanging up.
	  (Causes: PRI_CAUSE_NETWORK_OUT_OF_ORDER,
	  PRI_CAUSE_DESTINATION_OUT_OF_ORDER, and
	  PRI_CAUSE_NORMAL_TEMPORARY_FAILURE.) Just hang up the call if the
	  incoming call leg hangs up before connecting for any reason. It
	  makes no sense to send a BUSY or CONGESTION control frame to the
	  outgoing call leg under these circumstances. ........

2010-09-10 20:35 +0000 [r286115]  Terry Wilson <twilson@digium.com>

	* include/asterisk/pbx.h, include/asterisk/frame.h,
	  channels/chan_local.c, /, funcs/func_channel.c,
	  include/asterisk/channel.h: Merged revisions 286059 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r286059 | twilson | 2010-09-10 14:25:08 -0500 (Fri, 10
	  Sep 2010) | 16 lines Inherit CHANNEL() writes to both sides of a
	  Local channel Having Local (/n) channels as queue members and
	  setting the language in the extension with
	  Set(CHANNEL(language)=fr) sets the language on the Local/...,2
	  channel. Hold time report playbacks happen on the Local/...,1
	  channel and therefor do not play in the specified language. This
	  patch modifies func_channel_write to call the setoption callback
	  and pass the CHANNEL() write info to the callback. chan_local
	  uses this information to look up the other side of the channel
	  and apply the same changes to it. (closes issue #17673) Reported
	  by: Guggemand Review: https://reviewboard.asterisk.org/r/903/
	  ........

2010-09-10 18:30 +0000 [r285930-286024]  Tilghman Lesher <tlesher@digium.com>

	* tests/test_heap.c, /, main/test.c: Merged revisions 286023 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r286023 | tilghman | 2010-09-10 13:22:04 -0500 (Fri, 10 Sep 2010)
	  | 2 lines Missing newline ........

	* include/asterisk/select.h: Another fix for Mac OS X. While trying
	  to fix this the "right" way, I wandered into dependency hell. Two
	  hours later, I backed out, and just removed the offending code.
	  ast_inline_api only goes one level deep and then it breaks. Ouch.

	* tests/test_poll.c, include/asterisk/select.h, /, configure,
	  include/asterisk/autoconfig.h.in, configure.ac: Merged revisions
	  285889 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285889 | tilghman | 2010-09-09 19:13:45 -0500 (Thu, 09 Sep 2010)
	  | 7 lines Fix Mac OS X build. This also fixes a rather grievous
	  calculation error for the offset of ast_fdset, which was masked
	  on Linux and FreeBSD, because these platforms check the first 256
	  FDs regardless of the bitmask setting (due to backwards
	  compatibility). ........

2010-09-09 22:49 +0000 [r285818]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, codecs/gsm/Makefile: Merged revisions 285817 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285817 | pabelanger | 2010-09-09 18:34:35 -0400 (Thu, 09 Sep
	  2010) | 8 lines GCC 4.2.x optimizations result in improper
	  behavior of GSM codec (closes issue #17688) Reported by:
	  pprindeville Patches: asterisk-trunk-bugid11243.patch uploaded by
	  pprindeville (license 347) Tested by: mkeuter, pprindeville
	  ........

2010-09-09 20:09 +0000 [r285744]  Jason Parker <jparker@digium.com>

	* main/channel.c, /: Merged revisions 285742 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285742 | qwell | 2010-09-09 15:06:31 -0500 (Thu, 09 Sep 2010) |
	  9 lines Transmit silence when reading DTMF in ast_readstring.
	  Otherwise, you could get issues with DTMF timeouts causing
	  hangups. (closes issue #17370) Reported by: makoto Patches:
	  channel-readstring-silence-generator.patch uploaded by makoto
	  (license 38) ........

2010-09-09 18:50 +0000 [r285639-285710]  Brett Bryant <bbryant@digium.com>

	* main/pbx.c: Fixes an issue with dialplan pattern matching where
	  the specificity for pattern ranges and pattern special characters
	  was inconsistent. (closes issue #16903) Reported by: Nick_Lewis
	  Patches: pbx.c-specificity.patch uploaded by Nick Lewis (license
	  657) Tested by: Nick_Lewis

	* res/res_musiconhold.c, /: Merged revisions 285638 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r285638 | bbryant | 2010-09-09 13:20:17 -0400 (Thu, 09
	  Sep 2010) | 7 lines Fixes an issue with MOH where it doesn't
	  recover cleanly when it can't play a file and would just stop,
	  instead of continuing to find the next playable file in the MOH
	  class. (closes issue #17807) Reported by: kshumard Review:
	  https://reviewboard.asterisk.org/r/910/ ........

2010-09-08 22:11 +0000 [r285563-285567]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 285566 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285566 | dvossel | 2010-09-08 17:07:31 -0500 (Wed, 08 Sep 2010)
	  | 2 lines In retrans_pkt, do not unlock pvt until the end of the
	  function on a transmit failure. ........

	* channels/chan_sip.c: Fixes interoperability problems with session
	  timer behavior in Asterisk. CHANGES: 1. Never put "timer" in
	  "Require" header. This is not to our benefit and RFC 4028 section
	  7.1 even warns against it. It is possible for one endpoint to
	  perform session-timer refreshes while the other endpoint does not
	  support them. If in this case the end point performing the
	  refreshing puts "timer" in the Require field during a refresh,
	  the dialog will likely get terminated by the other end. 2. Change
	  the behavior of 'session-timer=accept' in sip.conf (which is the
	  default behavior of Asterisk with no session timer configuration
	  specified) to only run session-timers as result of an incoming
	  INVITE request if the INVITE contains an "Session-Expires"
	  header... Asterisk is currently treating having the "timer"
	  option in the "Supported" header as a request for session timers
	  by the UAC. I do not agree with this. Session timers should only
	  be negotiated in "accept" mode when the incoming INVITE supplies
	  a "Session-Expires" header, otherwise RFC 4028 says we should
	  treat a request containing no "Session-Expires" header as a
	  session with no expiration. Below I have outlined some situations
	  and what Asterisk's behavior is. The table reflects the behavior
	  changes implemented by this patch. SITUATIONS: -Asterisk as UAS
	  1. Incoming INVITE: NO "Session-Expires" 2. Incoming INVITE: HAS
	  "Session-Expires" -Asterisk as UAC 3. Outgoing INVITE: NO
	  "Session-Expires". 200 Ok Response HAS "Session-Expires" header
	  4. Outgoing INVITE: NO "Session-Expires". 200 Ok Response NO
	  "Session-Expires" header 5. Outgoing INVITE: HAS
	  "Session-Expires". Active - Asterisk will have an active refresh
	  timer regardless if the other endpoint does. Inactive - Asterisk
	  does not have an active refresh timer regardless if the other
	  endpoint does. XXXXXXX - Not possible for mode.
	  ______________________________________ |SITUATIONS |
	  'session-timer' MODES | |___________|________________________| |
	  | originate | accept | |-----------|------------|-----------| |1.
	  | Active | Inactive | |2. | Active | Active | |3. | XXXXXXXX |
	  Active | |4. | XXXXXXXX | Inactive | |5. | Active | XXXXXXXX |
	  -------------------------------------- (closes issue #17005)
	  Reported by: alexrecarey

2010-09-08 20:56 +0000 [r285532]  Brett Bryant <bbryant@digium.com>

	* apps/app_meetme.c: Fixes a bug with MeetMe where after announcing
	  the amount of time left in a conference, if music on hold was
	  playing, it doesn't restart. (closes issue #17408) Reported by:
	  sysreq Patches: asterisk-issue-17408_fixed.patch uploaded by
	  sysreq (license 1009) Tested by: sysreq

2010-09-08 20:42 +0000 [r285526-285529]  Jason Parker <jparker@digium.com>

	* res/res_musiconhold.c, include/asterisk/astobj2.h: Follow coding
	  guidelines in moh rescan fix. Also fix the documentation that got
	  me in trouble.

	* res/res_musiconhold.c: Fixes issue where moh files were no longer
	  rescanned during a reload. (closes issue #16744) Reported by: pj
	  Patches: 16744-reload.diff uploaded by qwell (license 4) Tested
	  by: qwell

2010-09-07 20:31 +0000 [r285267-285366]  Tilghman Lesher <tlesher@digium.com>

	* pbx/pbx_config.c, /: Merged revisions 285365 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285365 | tilghman | 2010-09-07 15:30:22 -0500 (Tue, 07 Sep 2010)
	  | 9 lines Catch invalid extensions at the parser, instead of
	  making the core deal with them. (closes issue #17794) Reported
	  by: PavelL Patches: 20100820__issue17794__1.6.2.diff.txt uploaded
	  by tilghman (license 14) 20100820__issue17794__1.4.diff.txt
	  uploaded by tilghman (license 14) Tested by: PavelL ........

	* main/poll.c, /: Merged revisions 285266 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285266 | tilghman | 2010-09-07 14:04:50 -0500 (Tue, 07 Sep 2010)
	  | 4 lines Use poll, if indicated to do so, in the ast_poll2
	  implementation. This fixes the unit tests on FreeBSD 8.0.
	  ........

2010-09-07 17:49 +0000 [r285196]  Brett Bryant <bbryant@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 285194 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r285194 | bbryant | 2010-09-07 13:45:41 -0400 (Tue, 07
	  Sep 2010) | 10 lines Fixes voicemail.conf issues where mailboxes
	  with passwords that don't precede a comma would throw unnecessary
	  error messages. (closes issue #15726) Reported by: 298 Patches:
	  M15726.diff uploaded by junky (license 177) Tested by: junky
	  Review: [full review board URL with trailing slash] ........

2010-09-06 06:55 +0000 [r285089]  Tilghman Lesher <tlesher@digium.com>

	* makeopts.in, /, BSDmakefile (added): Merged revisions 285088 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r285088 | tilghman | 2010-09-06 01:54:18 -0500 (Mon, 06 Sep 2010)
	  | 2 lines Silly convenience script for BSD platforms. ........

2010-09-03 18:15 +0000 [r284958]  Brett Bryant <bbryant@digium.com>

	* channels/chan_iax2.c: This is a patch provided for issue #17935
	  to add the ActionID to the IAXregistry AMI response. (closes
	  issue #17935) Reported by: alexkuklin Patches: iaxshowreg
	  uploaded by alexkuklin (license 1115) Tested by: alexkuklin

2010-09-03 16:20 +0000 [r284897]  Terry Wilson <twilson@digium.com>

	* apps/app_chanspy.c, /: Merged revisions 284881 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r284881 | twilson | 2010-09-03 11:10:23 -0500 (Fri, 03 Sep 2010)
	  | 5 lines Properly detect when a sound file doesn't exist
	  ast_fileexists returns -1 for error and 0 for a non-existant
	  file. The existing code treated missing files as though they
	  existed. ........

2010-09-02 20:54 +0000 [r284778]  Brett Bryant <bbryant@digium.com>

	* main/manager.c, /: Merged revisions 284777 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r284777 | bbryant | 2010-09-02 16:25:03 -0400 (Thu, 02 Sep 2010)
	  | 7 lines Fixes a bug in manager.c where the default
	  configuration values weren't reset when the manager configuration
	  was reloaded. (closes issue #17917) Reported by: lmadsen Review:
	  https://reviewboard.asterisk.org/r/883/ ........

2010-09-02 16:48 +0000 [r284704]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 284703 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r284703 | dvossel | 2010-09-02 11:47:15 -0500 (Thu, 02 Sep 2010)
	  | 7 lines Removed relatedpeer code from sip_autodestruct Handling
	  of the relatedpeer structure associated with a sip_pvt should be
	  done during the final sip_destruction function, not in
	  sip_autodestruct. ........

2010-09-02 16:07 +0000 [r284399-284665]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_usbradio.c: Fixing build.

	* apps/app_queue.c: Don't reset queue stats on a module reload.
	  (closes issue #17535) Reported by: raarts Patches:
	  20100819__issue17535.diff.txt uploaded by tilghman (license 14)

	* configure, include/asterisk/autoconfig.h.in: Failed to rerun
	  bootstrap.sh after last commit

	* res/res_jabber.c, main/rtp.c, main/poll.c,
	  include/asterisk/select.h (added), channels/chan_usbradio.c,
	  channels/chan_phone.c, channels/chan_misdn.c, main/features.c,
	  include/asterisk/poll-compat.h, tests/test_poll.c (added),
	  main/asterisk.c, utils/clicompat.c, res/res_ais.c, /,
	  configure.ac, channels/console_video.c,
	  include/asterisk/channel.h: Merged revisions 284478 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r284478 | tilghman | 2010-09-01 13:49:11 -0500 (Wed, 01
	  Sep 2010) | 11 lines Ensure that all areas that previously used
	  select(2) now use poll(2), with implementations that need poll(2)
	  implemented with select(2) safe against 1024-bit overflows. This
	  is a followup to the fix for the pthread timer in 1.6.2 and
	  beyond, fixing a potential crash bug in all supported releases.
	  (closes issue #17678) Reported by: russell Branch:
	  https://origsvn.digium.com/svn/asterisk/team/tilghman/ast_select
	  Review: https://reviewboard.asterisk.org/r/824/ ........

	* res/res_config_pgsql.c: Don't warn on floats and timestamps
	  (closes issue #17082) Reported by: coolmig

	* /, channels/chan_sip.c: Merged revisions 284393 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r284393 | tilghman | 2010-08-31 15:13:21 -0500 (Tue, 31 Aug 2010)
	  | 7 lines Don't send a devstate change on poke_noanswer if the
	  state did not change. (closes issue #17741) Reported by: schmidts
	  Patches: chan_sip.c.patch uploaded by schmidts (license 1077)
	  ........

2010-08-31 18:59 +0000 [r284317]  Leif Madsen <lmadsen@digium.com>

	* configs/say.conf.sample, /: Merged revisions 284316 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r284316 | lmadsen | 2010-08-31 13:57:59 -0500 (Tue, 31
	  Aug 2010) | 7 lines Update say.conf.sample to match the rules in
	  say.c (closes issue #17835) Reported by: RoadKill Patches:
	  say.conf.sample.patch.rules uploaded by RoadKill (license 933)
	  Tested by: RoadKill ........

2010-08-30 22:27 +0000 [r284280]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_festival.c: Fix 3 coding errors: 1) After we close FD,
	  we should not be trying to write to it. 2) Call _exit(0), not
	  exit(0), to avoid running shutdown routines in a child. 3) Use
	  endian, not processor, detection to ensure bytes are written in
	  the correct order. (closes issue #15706) Reported by: modelnine
	  Patches: asterisk-1.6.1.1-festival-debug.patch uploaded by
	  modelnine (license 865) Tested by: gmartinez

2010-08-27 22:27 +0000 [r284002]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 283960 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r283960 | dvossel | 2010-08-27 17:17:26 -0500 (Fri, 27 Aug 2010)
	  | 8 lines Parse all "Accept" headers for SIP SUBSCRIBE requests.
	  (closes issue #17758) Reported by: ibc Patches:
	  multiple_accept_headers_1.4.diff uploaded by dvossel (license
	  671) ........

2010-08-27 20:30 +0000 [r283881]  Jason Parker <jparker@digium.com>

	* res/res_config_pgsql.c, res/res_config_odbc.c, /: Merged
	  revisions 283880 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r283880 | qwell | 2010-08-27 15:29:11 -0500 (Fri, 27 Aug 2010) |
	  8 lines Fix issue with decoding ^-escaped characters in realtime.
	  (closes issue #17790) Reported by: denzs Patches:
	  17790-chunky.diff uploaded by qwell (license 4) Tested by: qwell,
	  denzs ........

2010-08-26 15:24 +0000 [r283381-283691]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 283690 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r283690 | dvossel | 2010-08-26 10:22:28 -0500 (Thu, 26 Aug 2010)
	  | 19 lines Fixed how Asterisk destroys a dialog on channel hangup
	  before invite receives a response. If an ast_channel with a SIP
	  tech pvt hangs up before the sip dialog gets a response to its
	  outgoing INVITE, Asterisk used to pretend_ack the INVITE. This is
	  not rfc compliant and results in confusion at the other endpoint.
	  sip_pretend_ack will ack and remove all the packets in the
	  retransmit queue. This means that the INVITE will stop
	  retransmitting, and that any response to that INVITE that comes
	  after the pretend_ack occurs will be ignored. Instead of faking
	  any sort of acknowledgement for an outgoing INVITE during an
	  internal hangup, we should let the protocol stack process the
	  INVITE transaction and terminate the dialog properly. This is
	  achieved by setting the PENDING_BYE flag. When this flag is used,
	  once the dialog proceeds to an escapable state the transaction
	  will either be canceled with a SIP_CANCEL or completed followed
	  immediately by a BYE. Attempting to do this any other way is
	  incorrect. If the endpoint is not responding to the INVITE
	  request, the INVITE must continue to be retransmitted until it
	  times out which will result in the dialog being destroyed.
	  ........

	* channels/chan_sip.c: Add to and from tags to NOTIFY dialog-info
	  xml body so pickup can occur. When pedantic mode is used, the
	  dialog-info xml generated during a ringing event must contain the
	  to and from tag values. Otherwise if a pickup occurs using INVITE
	  with replaces, Astrisk will not be able to locate the
	  subscription.

	* channels/chan_sip.c: Asterisk will not advertise session timers
	  are supported when 'session-timers=refuse' is used. Asterisk now
	  dynamically builds the "Supported" header depending on what is
	  enabled/disabled in sip.conf. Session timers used to always be
	  advertised as being supported even when they were disabled in the
	  configuration. This caused problems with some end points. (issue
	  #17005)

	* /, channels/chan_sip.c: Merged revisions 283380 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r283380 | dvossel | 2010-08-24 11:01:51 -0500 (Tue, 24 Aug 2010)
	  | 11 lines This fix makes sure the ast_channel hangs up correctly
	  when the dialog's PENDING_BYE flag is set. When the pending bye
	  flag is used, it is possible that the dialog will terminate and
	  leave the sip_pvt->owner channel up. This is because we never
	  hangup the ast_channel after sending the SIP_BYE request. When we
	  receive the response for the SIP_BYE we set need_destroy which we
	  would expect to destroy the dialog on the next do_monitor loop,
	  but this is not the case. The dialog will only be destroyed once
	  the owner is hungup even with the need_destroy flag set. This
	  patch sets the softhangup flag on the ast_channel when a SIP_BYE
	  request is sent as a result of the pending bye flag. ........

2010-08-23 21:32 +0000 [r283318]  Tilghman Lesher <tlesher@digium.com>

	* cdr/cdr_odbc.c, cdr/cdr_adaptive_odbc.c: CDR drivers depend upon
	  res_odbc, not directly on the ODBC libraries

2010-09-15  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.13 released.

	* Incorrect .version and ChangeLog files updated. Re-release
	  of Asterisk 1.6.2.12 with corrections and version
	  number bump.

2010-09-15  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.12 released.

2010-08-23  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.12-rc1 Released.

2010-08-20 16:48 +0000 [r283049-283124]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 283123 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ................ r283123 | rmudgett | 2010-08-20 11:46:22 -0500
	  (Fri, 20 Aug 2010) | 9 lines Merged revision 278274 from
	  https://origsvn.digium.com/svn/asterisk/trunk .......... r278274
	  | rmudgett | 2010-07-20 17:38:13 -0500 (Tue, 20 Jul 2010) | 1
	  line Reference correct struct member for unlikely event
	  PRI_EVENT_CONFIG_ERR. .......... ................

	* channels/chan_dahdi.c, /: Merged revisions 283048 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r283048 | rmudgett | 2010-08-20 10:24:36 -0500 (Fri, 20
	  Aug 2010) | 22 lines Q931 - Sending PROGRESS after sending
	  ALERTING is a protocol error The PRI layer in chan_dadhi will
	  check if a PROGRESS message has already been sent, and not allow
	  sending another (although that is technically allowed by the Q931
	  spec), however it does not protect against sending an ALERTING
	  and then sending a PROGRESS message, which is a violation of the
	  specification. Most switches don't seem to care too deeply about
	  this, but some do, and will disconnect the call when receiving
	  this invalid sequence. Protocol specification reference:
	  T-REC-Q.931-199805-I page 223, "Figure A.5/Q.931 -- Overview
	  protocol control (network side) point-point (sheet 3 of 8)"
	  (closes issue #17874) Reported by: nic_bellamy Patches:
	  asterisk-1.4-r282537_no-progress-after-alerting.patch uploaded by
	  nic bellamy (license 299)
	  asterisk-1.6.2-r282537_no-progress-after-alerting.patch uploaded
	  by nic bellamy (license 299)
	  asterisk-trunk-r282537_no-progress-after-alerting.patch uploaded
	  by nic bellamy (license 299) ........

2010-08-19 21:05 +0000 [r282890-282894]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 282893 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r282893 | dvossel | 2010-08-19 16:03:24 -0500 (Thu, 19 Aug 2010)
	  | 11 lines tos_sip option was not being set correctly When
	  tos_sip is used, the tos of the sip socket is only set correctly
	  if the socket binding changes on a reload. If the binding stays
	  the same but the TOS changes, the new tos value would not take
	  into effect. This patch fixes that. (closes issue #17712)
	  Reported by: nickb ........

	* channels/chan_sip.c: fixes sip peer memory leaks in the
	  peer_by_ip table (issue #17798)

2010-08-19 19:44 +0000 [r282859]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Merged revisions 277944 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277944 | pabelanger | 2010-07-19 15:56:07 -0500 (Mon, 19 Jul
	  2010) | 16 lines Regression with T.38 negotiation Prior to
	  1.4.26.3 T.38 negotiation worked properly, in the case of the
	  reporter. (issue #16852) Reported by: cfc (closes issue #16705)
	  Reported by: mpiazzatnetbug Patches: issue16705_2.diff uploaded
	  by ebroad (license 878) Tested by: vrban, ebroad, c0rnoTa,
	  samdell3 Review: https://reviewboard.asterisk.org/r/754/ ........

2010-08-19 02:14 +0000 [r282730]  Terry Wilson <twilson@digium.com>

	* configs/sip.conf.sample, /: Merged revisions 282729 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r282729 | twilson | 2010-08-18 21:12:55 -0500 (Wed, 18
	  Aug 2010) | 2 lines Add some documentation about codec
	  negotiation to sip.conf ........

2010-08-18 14:28 +0000 [r282668]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: fixes crash with notifycid (closes issue
	  #17868) Reported by: francesco_r Patches: issue_17868.diff
	  uploaded by dvossel (license 671) Tested by: francesco_r

2010-08-18 07:43 +0000 [r282607]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_dahdi.c: Don't warn on callerid when completely
	  text, instead of numeric with localdialplan prefixes. (closes
	  issue #16770) Reported by: jamicque Patches:
	  20100413__issue16770.diff.txt uploaded by tilghman (license 14)
	  20100811__issue16770.diff.txt uploaded by tilghman (license 14)
	  Tested by: jamicque

2010-08-17 21:35 +0000 [r282576]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: fixes no default transport for temp peer
	  creation in chan_sip (closes issue #17829) Reported by: falves11
	  Patches: issue_17829.rev1.txt uploaded by russell (license 2)
	  issue_17829.diff uploaded by dvossel (license 671) Tested by:
	  falves11

2010-08-16 18:00 +0000 [r282469]  Leif Madsen <lmadsen@digium.com>

	* doc/tex/asterisk.tex, doc/tex/sounds.tex (added): Add information
	  about creating sounds files using the sounds tools publically
	  available so that others can create their own sounds prompts
	  using the same tools we use to generate sounds releases. This
	  allows people creating their own prompts to sound consistent with
	  the prompts available from the open source project. SWP-595

2010-08-16 17:32 +0000 [r282467]  Terry Wilson <twilson@digium.com>

	* main/channel.c, /: Merged revisions 282430 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r282430 | twilson | 2010-08-16 12:06:37 -0500 (Mon, 16 Aug 2010)
	  | 16 lines Send a SRCCHANGE indication when we masquerade
	  Masquerading a channel means that the src of the audio is
	  potentially changing, so send a SRCCHANGE so that RTP-based media
	  streams can get a new SSRC generated to reflect the change.
	  Original patch by addix (along with lots of testing--thanks!).
	  (closes issue #17007) Reported by: addix Patches:
	  1001-reset-SSRC-original-channel.diff uploaded by addix (license
	  1006) srcchange.diff uploaded by twilson (license 396) Tested by:
	  addix, twilson Review: https://reviewboard.asterisk.org/r/862/
	  ........

2010-08-13 18:54 +0000 [r282235]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: only do magic pickup when notifycid is
	  enabled A new way of doing BLF pickup was introduced into 1.6.2.
	  This feature adds a call-id value into the XML of a SIP_NOTIFY
	  message sent to alert a subscriber that a device is ringing. This
	  option should only be enabled when the new 'notifycid' option is
	  set... but this was not the case. Instead the call-id value was
	  included for every RINGING Notify message, which caused a
	  regression for people who used other methods for call pickup.
	  (closes issue #17633) Reported by: urosh Patches: chan_sip.txt
	  uploaded by urosh (license ) blf_cid_issue.diff uploaded by
	  dvossel (license 671) Tested by: dvossel, urosh, okrief,
	  alecdavis

2010-08-12 22:50 +0000 [r282130]  Jason Parker <jparker@digium.com>

	* pbx/pbx_config.c, /: Merged revisions 282129 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r282129 | qwell | 2010-08-12 17:49:28 -0500 (Thu, 12 Aug 2010) |
	  1 line Register CLI commands before parsing config, in case there
	  is a config error. ........

2010-08-12 03:01 +0000 [r281912]  Jeff Peeler <jpeeler@digium.com>

	* main/channel.c, /: Merged revisions 281911 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r281911 | jpeeler | 2010-08-11 22:00:14 -0500 (Wed, 11 Aug 2010)
	  | 20 lines Ensure SSRC is changed when media source is changed to
	  resolve audio delay. This change causes the SSRC to change right
	  before the channels are bridged, which is what used to happen. It
	  seems that fixes were made to attempt limiting SSRC changes,
	  targeted mainly at sending DTMF. DTMF is not affecting the SSRC
	  with this change. There are two other control frames sent in
	  ast_channel_bridge that probably should also be changed to
	  AST_CONTROL_SRCCHANGE as well, but I'm going to leave this change
	  up to the discretion of resolving issue #17007. For reference -
	  old review implementing new control frame SRCCHANGE:
	  https://reviewboard.asterisk.org/r/540 (closes issue #17404)
	  Reported by: sdolloff Patches: bug17404.patch uploaded by jpeeler
	  (license 325) Tested by: sdolloff ........

2010-08-11 21:09 +0000 [r281763-281873]  Leif Madsen <lmadsen@digium.com>

	* configs/say.conf.sample, /: Merged revisions 281819 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r281819 | lmadsen | 2010-08-11 13:28:10 -0500 (Wed, 11
	  Aug 2010) | 6 lines Add Danish support to say.conf.sample (closes
	  issue #17836) Reported by: RoadKill Patches:
	  say.conf.sample.patch.dk uploaded by RoadKill (license 933)
	  ........

	* configs/say.conf.sample, /: Merged revisions 281762 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r281762 | lmadsen | 2010-08-11 12:51:40 -0500 (Wed, 11
	  Aug 2010) | 6 lines Allow say.conf to handle large numbers ending
	  with multiple zeros. (closes issue #17833) Reported by: RoadKill
	  Patches: say.conf.sample.patch.largenumbers uploaded by RoadKill
	  (license 933) ........

2010-08-11 15:17 +0000 [r281722]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_readexten.c: Only set status TIMEOUT, if we have no
	  digits. (closes issue #15188) Reported by: jcovert Patches:
	  app_readexten.c.patch-1.6.2.8-rc1 uploaded by jcovert (license
	  551)

2010-08-10 18:04 +0000 [r281567-281574]  Russell Bryant <russell@digium.com>

	* main/sched.c: Don't move the time threshold for running scheduled
	  events on every iteration. Instead, only calculate the time
	  threshold each time ast_sched_runq() is called. (closes issue
	  #17742) Reported by: schmidts Patches: sched.c.patch uploaded by
	  schmidts (license 1077)

	* apps/app_dial.c, /: Merged revisions 281566 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r281566 | russell | 2010-08-10 12:45:45 -0500 (Tue, 10 Aug 2010)
	  | 8 lines Reset visible indication after answer. (closes issue
	  #17641) Reported by: klaus3000 Patches:
	  ast1.6.2.9-app_dial-visible_indication.patch.txt uploaded by
	  klaus3000 (license 65) Tested by: schmidts ........

2010-08-09 20:46 +0000 [r281430]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: fixes SIP peers memory leak We zeroed out
	  the peer's addr before it was removed from the peers_by_ip
	  container. This made it impossible to be removed from the
	  container as the addr is the key used by the container to find
	  the peer. (closes issue #17774) Reported by: kkm Patches:
	  017774-sip-peer-leak-1.6.2.10.diff uploaded by kkm (license 888)
	  017774-sip-peer-leak-1.8.diff uploaded by kkm (license 888)

2010-08-09 20:07 +0000 [r281391]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_local.c, /: Merged revisions 281390 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r281390 | jpeeler | 2010-08-09 15:04:30 -0500 (Mon, 09
	  Aug 2010) | 13 lines Prevent loss of Caller ID information set on
	  local channel after masquerade. Caller ID set on the channel
	  before a masquerade occurs when using a local channel would cause
	  the information to be lost. The problem was that the information
	  was set on a channel destined to be hung up. The somewhat
	  confusing fix is to detect if any Caller ID has been set on the
	  channel and if so preswap the Caller ID data so that basically
	  the masquerade puts the data back. (closes issue #17138) Reported
	  by: kobaz Review: https://reviewboard.asterisk.org/r/847/
	  ........

2010-08-05 13:11 +0000 [r281051]  Russell Bryant <russell@digium.com>

	* main/cdr.c: Cleanup default option value handling for cdr.conf
	  [general]. The default values would differ depending on whether
	  or not cdr.conf exists. That is no longer the case. Apply a
	  default value to the unanswered option. Define all default values
	  as named constants.

2010-08-05 07:40 +0000 [r280983]  Tilghman Lesher <tlesher@digium.com>

	* include/asterisk/pbx.h, main/pbx.c, /: Merged revisions 280982
	  via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r280982 | tilghman | 2010-08-05 02:28:33 -0500 (Thu, 05 Aug 2010)
	  | 8 lines Change context lock back to a mutex, because
	  functionality depends upon the lock being recursive. (closes
	  issue #17643) Reported by: zerohalo Patches:
	  20100726__issue17643.diff.txt uploaded by tilghman (license 14)
	  Tested by: zerohalo ........

2010-08-03 20:52 +0000 [r280671-280812]  Tilghman Lesher <tlesher@digium.com>

	* funcs/func_callerid.c, channels/chan_dahdi.c, /: Merged revisions
	  280811 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r280811 | tilghman | 2010-08-03 15:49:10 -0500 (Tue, 03 Aug 2010)
	  | 9 lines Prevent DAHDI channels from overriding the callerid,
	  once it's been set by the user. (closes issue #16661) Reported
	  by: jstapleton Patches: 20100414__issue16661.diff.txt uploaded by
	  tilghman (license 14) 20100415__issue16661__1.6.2.diff.txt
	  uploaded by tilghman (license 14) Tested by: jstapleton ........

	* doc/asterisk.sgml, doc/asterisk.8, doc/Makefile (added): Document
	  -B and -W flags and regenerate manpage from sgml

	* apps/app_voicemail.c: Allow the pipe, but also allow the comma

2010-08-02 21:14 +0000 [r280669]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_sip.c: Change SIP NOTIFY requests to expect a
	  response so authentication will work. This changes the request to
	  be sent with the transmit type XMIT_RELIABLE so that sip_ack
	  doesn't return false and cause the 401 to be ignored in cases
	  where authentication is required. (closes issue #14255) Reported
	  by: zktech

2010-07-29 21:07 +0000 [r280556]  Tilghman Lesher <tlesher@digium.com>

	* res/res_config_curl.c: Off-by-one error (closes issue #17590)
	  Reported by: atis Patches: 20100729__issue17590.diff.txt uploaded
	  by tilghman (license 14)

2010-07-29 20:42 +0000 [r280449-280551]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: fixes wrong SRV query for TLS connection
	  (closes issue #17612) Reported by: marcelloceschia Patches:
	  chan-sip_srvQuery.patch uploaded by marcelloceschia (license
	  1079) chan-sip_Trunk_srvQuery.patch uploaded by st (license 907)
	  chan-sip_asterisk18b1_srvQuery.patch uploaded by marcelloceschia
	  (license 1079) Tested by: marcelloceschia, st, pabelanger

	* main/channel.c, /: Merged revisions 280448 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r280448 | dvossel | 2010-07-29 14:04:23 -0500 (Thu, 29 Jul 2010)
	  | 12 lines fixes issue with translator frame not getting freed A
	  translator frame even if it local storage so the translation path
	  can be freed. This issue prevented g729 licenses from being freed
	  up. (closes issue #17630) Reported by: manvirr Patches:
	  encoder_fix.diff uploaded by dvossel (license 671) Tested by:
	  manvirr, dvossel ........

2010-07-29 16:01 +0000 [r280345]  Jean Galarneau <jgalarneau@digium.com>

	* /, apps/app_meetme.c: Merged revisions 280341 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r280341 | jeang | 2010-07-29 10:52:31 -0500 (Thu, 29 Jul 2010) |
	  2 lines Fix a dsp structure leak occuring when a local channel is
	  put into a meetme conference, then masquaraded away. ABE-2422
	  ........

2010-07-29 13:45 +0000 [r280306]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_local.c: Implement support for
	  ast_channel_queryoption on local channels. Currently only
	  AST_OPTION_T38_STATE is supported. ABE-2229 Review:
	  https://reviewboard.asterisk.org/r/813/

2010-07-28 20:02 +0000 [r280231]  Jason Parker <jparker@digium.com>

	* sounds/Makefile: Work around some silly behavior on BSD. A
	  non-zero exit from a subshell should make the build fail. (closes
	  issue #17621)

2010-07-28 19:57 +0000 [r280229]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Add missing enum value "unknown" to the
	  SS7 called_nai and calling_nai config options.

2010-07-28 19:54 +0000 [r280193-280227]  Jason Parker <jparker@digium.com>

	* build_tools/sha1sum-sh (added): Add sha1sum-sh in case there is
	  no util on the system.

	* sounds/Makefile: Remove unnecessary subshells. Attempt to make
	  checksumming work. Also improves readability. (issue #17621)
	  Reported by: bjm Review: https://reviewboard.asterisk.org/r/808/

2010-07-28 16:51 +0000 [r280160]  Sean Bright <sean@malleable.com>

	* apps/app_queue.c: Plug a reference leak in app_queue when adding
	  members dynamically. (closes issue #17738) Reported by:
	  bobwienholt Patches: issue17738.patch uploaded by bobwienholt
	  (license 950) Tested by: bobwienholt, seanbright

2010-07-28 13:51 +0000 [r280089]  Leif Madsen <lmadsen@digium.com>

	* contrib/scripts/live_ast, /: Merged revisions 280088 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r280088 | lmadsen | 2010-07-28 08:50:38 -0500 (Wed, 28
	  Jul 2010) | 1 line Update help text to be less confusing.
	  ........

2010-07-27 20:54 +0000 [r279946]  David Vossel <dvossel@digium.com>

	* main/audiohook.c, main/channel.c, /,
	  include/asterisk/audiohook.h: Merged revisions 279945 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r279945 | dvossel | 2010-07-27 15:33:40 -0500 (Tue, 27 Jul 2010)
	  | 19 lines remove empty audiohook write list on channel If a
	  channel has an audiohook write list created on it, that list
	  stays on the channel until the channel is destroyed. There is no
	  reason to keep that list on the channel if it becomes empty. If
	  it is empty that just means we are doing needless translating for
	  every ast_read and ast_write. This patch removes the audiohook
	  list from the channel once it is detected to be empty on either a
	  read or write. If a audiohook is added back to the channel after
	  this list is destroyed, the list just gets recreated as if it
	  never existed to begin with. (closes issue #17630) Reported by:
	  manvirr Review: https://reviewboard.asterisk.org/r/799/ ........

2010-07-27 17:54 +0000 [r279849-279883]  Jason Parker <jparker@digium.com>

	* makeopts.in, configure, configure.ac: Add SHA1SUM to configure,
	  since we require it for sounds/

	* sounds/Makefile: Remove aptly-named EMPTY and BS vars, since they
	  aren't used anymore.

	* sounds/Makefile: Simply sounds/Makefile some more.

2010-07-27 15:13 +0000 [r279784]  Mark Michelson <mmichelson@digium.com>

	* channels/chan_sip.c: Fix bad behavior of dynamic_exclude_static
	  option in sip.conf. We were attempting to create a contactdeny
	  rule based on the peer's IP address before the peer's IP address
	  had been set. By moving the processing further down in the
	  function, we can ensure stuff works as we expect for it to.
	  (closes issue #17717) Reported by: mmichelson Patches:
	  17717.patch uploaded by mmichelson (license 60) Tested by:
	  DennisD

2010-07-26 22:59 +0000 [r279657]  Jason Parker <jparker@digium.com>

	* sounds/Makefile (added), sounds/Makefile.380 (removed),
	  configure, include/asterisk/autoconfig.h.in, sounds/Makefile.381
	  (removed), configure.ac: Really fix sounds Makefile (and make it
	  readableish). There was a rather large syntax error that should
	  have caused ALL versions of GNU make to fail. I don't know how it
	  worked.

2010-07-26 21:18 +0000 [r279609]  Tilghman Lesher <tlesher@digium.com>

	* configure, configure.ac: Dunno why this worked on my machine, but
	  it works better this way.

2010-07-26 20:25 +0000 [r279597]  Gavin Henry <ghenry@suretecsystems.com>

	* res/res_config_ldap.c: Apply all patches in:
	  https://issues.asterisk.org/view.php?id=13573 (closes issue
	  #13573) Reported by: navkumar Patches:
	  res_config_ldap-category.diff uploaded by navkumar (license 580)
	  res_config_ldap.patch uploaded by bencer (license 961)
	  res_config_ldap uploaded by bencer (license 961) Tested by:
	  suretec

2010-07-26 19:15 +0000 [r279561]  Tilghman Lesher <tlesher@digium.com>

	* sounds/Makefile (removed), configure, sounds/Makefile.380
	  (added), sounds/Makefile.381 (added), configure.ac: Use a special
	  Makefile for noobs who still have GNU Make 3.80. (Closes issue
	  #17716) Reported by: farisraouf

2010-07-26 15:41 +0000 [r279501]  Sean Bright <sean@malleable.com>

	* autoconf/ast_ext_lib.m4: Expand the correct value within
	  AST_OPTION_ONLY. (closes issue #17703) Reported by: stuarth

2010-07-24 23:58 +0000 [r279347]  Bradley Latus <brad.latus@gmail.com>

	* doc/asterisk.8: Minor update to man page

2010-07-23 22:11 +0000 [r279207]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c, apps/app_dial.c, /: Merged revisions 279206 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r279206 | rmudgett | 2010-07-23 16:56:44 -0500 (Fri, 23 Jul 2010)
	  | 7 lines SIP promiscuous redirect could fail to dial the
	  redirect. The ast_channel was created with one variable to
	  ast_request() but the call to ast_call() that initiates the
	  outgoing call was using a different variable. The two variables
	  are not equivalent if the call_forward string included a channel
	  technology specifier. e.g., SIP/200 ........

2010-07-23 18:29 +0000 [r279112]  Mark Michelson <mmichelson@digium.com>

	* channels/chan_sip.c: Backport sip_uri_params_cmp() fix from trunk
	  to 1.6.2.

2010-07-23 18:22 +0000 [r279072-279088]  Russell Bryant <russell@digium.com>

	* /: remove old properties

	* /: Add branch-1.4-merged and branch-1.4-blocked properties to
	  1.6.2 branch.

2010-07-23 17:06 +0000 [r278983-278986]  Tilghman Lesher <tlesher@digium.com>

	* autoconf/ast_check_pwlib.m4, /, configure, configure.ac: Merged
	  revisions 278985 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r278985 | tilghman | 2010-07-23 12:05:16 -0500 (Fri, 23 Jul 2010)
	  | 12 lines Merged revisions 278984 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278984 | tilghman | 2010-07-23 12:04:15 -0500 (Fri, 23 Jul 2010)
	  | 5 lines Establish a maximum version for openh323 (i.e. not
	  opal), because chan_h323 will fail to load, even if it links.
	  (issue #17679) Reported by: am ........ ................

	* main/asterisk.c, /: Merged revisions 278982 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r278982 | tilghman | 2010-07-23 11:43:34 -0500 (Fri, 23 Jul 2010)
	  | 15 lines Merged revisions 278981 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278981 | tilghman | 2010-07-23 11:42:25 -0500 (Fri, 23 Jul 2010)
	  | 8 lines Avoid race with consolethread on shutdown (on parallel
	  processors). (closes issue #17080) Reported by: sybasesql
	  Patches: 20100721__issue17080.diff.txt uploaded by tilghman
	  (license 14) Tested by: sybasesql ........ ................

2010-07-23 15:23 +0000 [r278934]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_dahdi.c: Two more typos to cancell.

2010-07-22 19:52 +0000 [r278709]  Jeff Peeler <jpeeler@digium.com>

	* main/xmldoc.c, /: Merged revisions 278708 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r278708 |
	  jpeeler | 2010-07-22 14:45:30 -0500 (Thu, 22 Jul 2010) | 16 lines
	  Add method for finding XML doc files for systems that don't
	  support GLOB_BRACE. In particular, Solaris and perhaps others do
	  not support the above mentioned GNU extension. In this case the
	  paths are simply expanded without the braces and the calls to
	  glob are made separately. Note: I could not explain memory
	  allocation failures that were being reported from within libxml
	  itself when making calls to glob without using GLOB_NOCHECK. This
	  is the only reason why that flag is being used. (closes issue
	  #15402) Reported by: snuffy Patches: bug_xmlpatt-v3.diff uploaded
	  by snuffy (license 35), modified by me ........

2010-07-22 19:32 +0000 [r278703]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: DNID does not get cleard on a new call
	  when using immediate=yes with ISDN signaling. When you are using
	  chan_dahdi ISDN signaling with immediate=yes and a call comes in
	  without a DNID then you get the DNID of a previous call.
	  Chan_dahdi does not touch the DNID field on a new call if it does
	  not have a DNID. Made always copy the DNID from the new call. The
	  patches backport the relevant changes from trunk -r210387.
	  (closes issue #17568) Reported by: wuwu Patches:
	  issue17568_v1.4.patch uploaded by rmudgett (license 664)
	  issue17568_v1.6.2.patch uploaded by rmudgett (license 664)

2010-08-10  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.11 Released.

2010-07-26  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.11-rc2 Released.

2010-07-26  Leif Madsen <lmadsen@digium.com>

	* qwell, asterisk, branch-1.6.2, r279657 ***
	  Really fix sounds Makefile (and make it readableish).
	  There was a rather large syntax error that should have
	  caused ALL versions of GNU make to fail.
	  I don't know how it worked.

	  (Closes issue #17716)

2010-07-22  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.11-rc1 Released.

2010-07-22 15:00 +0000 [r278621]  Mark Michelson <mmichelson@digium.com>

	* main/channel.c, /: Merged revisions 278620 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r278620 | mmichelson | 2010-07-22 09:58:01 -0500 (Thu, 22 Jul
	  2010) | 19 lines Merged revisions 278618 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278618 | mmichelson | 2010-07-22 09:55:04 -0500 (Thu, 22 Jul
	  2010) | 13 lines Allow PLC to function properly when channels use
	  SLIN for audio. If a channel involved in a bridge was using SLIN
	  audio, then translation paths were not guaranteed to be set up
	  properly since in all likelihood the number of translation steps
	  was only 1. This patch enforces the transcode_via_slin behavior
	  if transcode_via_slin or generic_plc is enabled and one of the
	  formats to make compatible is SLIN. AST-352 ........
	  ................

2010-07-21 18:22 +0000 [r278524]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_dahdi.c: Fix invalid test for rxisoffhook in FXO
	  channels This fixes some cases of no outgoing calls on FXO before
	  an incoming call. Remove an unnecessary testing of an "off-hook"
	  bit from DAHDI for FXO (KS/GS) channels.In some cases the bit
	  would not be initialized properly before the first inbound call
	  and thus prevent an outgoing call. If those tests are actually
	  required by anybody, they should define DAHDI_CHECK_HOOKSTATE in
	  channels/sig_analog.c . (closes issue #14577) Reported by: jkroon
	  Patches: asterisk_chan_dahdi_hookstate_fix.diff uploaded by frawd
	  (license 610) Tested by: frawd Review:
	  https://reviewboard.asterisk.org/r/699/

2010-07-21 16:20 +0000 [r278479]  Russell Bryant <russell@digium.com>

	* /, res/res_timing_pthread.c: Merged revisions 278465 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r278465 | russell | 2010-07-21 11:15:00 -0500 (Wed, 21 Jul 2010)
	  | 41 lines Use poll() instead of select() in res_timing_pthread
	  to avoid stack corruption. This code did not properly check
	  FD_SETSIZE to ensure that it did not try to select() on fds that
	  were too large. Switching to poll() removes the limitation on the
	  maximum fd value. (closes issue #15915) Reported by: keiron
	  (closes issue #17187) Reported by: Eddie Edwards (closes issue
	  #16494) Reported by: Hubguru (closes issue #15731) Reported by:
	  flop (closes issue #12917) Reported by: falves11 (closes issue
	  #14920) Reported by: vrban (closes issue #17199) Reported by:
	  aleksey2000 (closes issue #15406) Reported by: kowalma (closes
	  issue #17438) Reported by: dcabot (closes issue #17325) Reported
	  by: glwgoes (closes issue #17118) Reported by: erikje possibly
	  other issues, too ... ........

2010-07-21 15:58 +0000 [r278025-278464]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_meetme.c: Merged revisions 278463 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r278463 |
	  tilghman | 2010-07-21 10:56:05 -0500 (Wed, 21 Jul 2010) | 11
	  lines Ensure realtime conferences are treated the same as static
	  conferences when trying to find an empty one. Also, parse the
	  useropts properly, when retrieving from realtime, and add them to
	  the existing flags. (closes issue #17502) Reported by: kenji
	  Patches: 20100720__issue17502.diff.txt uploaded by tilghman
	  (license 14) Tested by: kenji ........

	* apps/app_voicemail.c, /: Merged revisions 278275 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r278275 | tilghman | 2010-07-20 17:40:19 -0500
	  (Tue, 20 Jul 2010) | 14 lines Merged revisions 278261 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278261 | tilghman | 2010-07-20 17:23:13 -0500 (Tue, 20 Jul 2010)
	  | 7 lines Delete IMAP messages in reverse order, to ensure
	  reordering after each expunge does not cause deletion of the
	  wrong message. (closes issue #16350) Reported by: noahisaac
	  Patches: 20100623__issue16350.diff.txt uploaded by tilghman
	  (license 14) ........ ................

	* main/autoservice.c, /, main/features.c,
	  include/asterisk/channel.h: Merged revisions 278272 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r278272 | tilghman | 2010-07-20 17:26:23 -0500
	  (Tue, 20 Jul 2010) | 11 lines Merged revisions 278167 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278167 | tilghman | 2010-07-20 15:59:06 -0500 (Tue, 20 Jul 2010)
	  | 4 lines Do not queue up DTMF frames while a call is on hold.
	  (Fixes ABE-2110) ........ ................

	* main/manager.c, /: Merged revisions 278024 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r278024 | tilghman | 2010-07-20 11:50:11 -0500 (Tue, 20 Jul 2010)
	  | 14 lines Merged revisions 278023 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r278023 | tilghman | 2010-07-20 11:37:18 -0500 (Tue, 20 Jul 2010)
	  | 7 lines Off-by-one error (closes issue #16506) Reported by:
	  nik600 Patches: 20100629__issue16506.diff.txt uploaded by
	  tilghman (license 14) ........ ................

2010-07-19 21:21 +0000 [r277966]  Jean Galarneau <jgalarneau@digium.com>

	* /, main/features.c: Merged revisions 277945 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277945 | jeang | 2010-07-19 16:07:08 -0500 (Mon, 19 Jul 2010) |
	  15 lines Merged revisions 277906 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277906 | jeang | 2010-07-19 15:16:36 -0500 (Mon, 19 Jul 2010) |
	  7 lines Avoid trying to pickup a parked extension before the park
	  operation is completed. A crash could occur if the extension is
	  picked up while the parking extension is being announced. Testing
	  pu->notquiteyet while searching for a parked extension resolves
	  this crash. (ABE-2418) ........ ................

2010-07-17 17:52 +0000 [r277774-277777]  Tilghman Lesher <tlesher@digium.com>

	* res/res_config_pgsql.c: Merge issues...

	* /, autoconf/ast_func_fork.m4, configure,
	  include/asterisk/autoconfig.h.in: Merged revisions 277775 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r277775 | tilghman | 2010-07-17 12:42:32 -0500
	  (Sat, 17 Jul 2010) | 12 lines Merged revisions 277738 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277738 | tilghman | 2010-07-17 11:59:11 -0500 (Sat, 17 Jul 2010)
	  | 5 lines Remove uclibc cross-compile triplet, as uclibc has a
	  working fork()... it's only uclinux that does not. (closes issue
	  #17616) Reported by: pprindeville ........ ................

	* res/res_config_pgsql.c, res/res_config_odbc.c, /: Merged
	  revisions 277773 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277773 | tilghman | 2010-07-17 12:39:28 -0500 (Sat, 17 Jul 2010)
	  | 15 lines Merged revisions 277568 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277568 | tilghman | 2010-07-16 16:54:29 -0500 (Fri, 16 Jul 2010)
	  | 8 lines Since we split values at the semicolon, we should store
	  values with a semicolon as an encoded value. (closes issue
	  #17369) Reported by: gkservice Patches:
	  20100625__issue17369.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman ........ ................

2010-07-16 23:37 +0000 [r277666]  Tim Ringenbach <tim.ringenbach@gmail.com>

	* /, main/features.c: Merged revisions 277657 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277657 | tringenbach | 2010-07-16 18:23:15 -0500 (Fri, 16 Jul
	  2010) | 16 lines Merged revisions 277625 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277625 | tringenbach | 2010-07-16 17:43:39 -0500 (Fri, 16 Jul
	  2010) | 9 lines Save and restore AST_FLAG_BRIDGE_HANGUP_DONT on
	  attended transfer. ast_bridge_call() clears
	  AST_FLAG_BRIDGE_HANGUP_DONT. But during an attended transfer,
	  ast_bridge_call() is called for a second bridge on the same
	  channel, and it clears that flag, which still needs to get set
	  for when the original ast_bridge_call() gets control back and
	  checks it. Review: https://reviewboard.asterisk.org/r/741
	  ........ ................

2010-07-16 21:31 +0000 [r277563]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 277530 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277530 | mnicholson | 2010-07-16 16:24:45 -0500 (Fri, 16 Jul
	  2010) | 11 lines Merged revisions 277497 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277497 | mnicholson | 2010-07-16 16:18:38 -0500 (Fri, 16 Jul
	  2010) | 4 lines Default to no udptl error correction so that
	  error correction will be disabled in the event that the remote
	  end indicates that they do not support the error correction mode
	  we requested. FAX-128 ........ ................

2010-07-16 21:16 +0000 [r277489]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_queue.c, /: Merged revisions 277488 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r277488 |
	  jpeeler | 2010-07-16 16:16:08 -0500 (Fri, 16 Jul 2010) | 10 lines
	  Fix reporting estimated queue hold time. Just say the number of
	  seconds (after minutes) rather than doing some incorrect
	  calculation with respect to minutes. (closes issue #17498)
	  Reported by: corruptor Patches: holdesecs_bug.diff uploaded by
	  corruptor (license 253) ........

2010-07-16 20:35 +0000 [r277485]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 277467 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r277467 | rmudgett | 2010-07-16 15:27:51 -0500
	  (Fri, 16 Jul 2010) | 22 lines Merged revisions 277419 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277419 | rmudgett | 2010-07-16 15:18:54 -0500 (Fri, 16 Jul 2010)
	  | 15 lines priexclusive in chan_dahdi.conf ignored when reloading
	  dahdi module During a reload, the priexclusive and outsignalling
	  parameters are not read in from the config file as intended.
	  Unfortunately, they get set to defaults as a result. This patch
	  makes sure that they do not get set to defaults during a reload.
	  (closes issue #17441) Reported by: mtryfoss Patches:
	  issue17441_v1.4.patch uploaded by rmudgett (license 664)
	  issue17441_v1.6.2.patch uploaded by rmudgett (license 664)
	  issue17441_trunk.patch uploaded by rmudgett (license 664) Tested
	  by: rmudgett ........ ................

2010-07-16 20:30 +0000 [r277478]  Tilghman Lesher <tlesher@digium.com>

	* res/res_musiconhold.c, contrib/realtime/mysql/musiconhold.sql
	  (added), /: Merged revisions 277452 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r277452 |
	  tilghman | 2010-07-16 15:25:11 -0500 (Fri, 16 Jul 2010) | 2 lines
	  Add documentation for MOH realtime fields ........

2010-07-16 19:24 +0000 [r277377]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_queue.c, /: Merged revisions 277366 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r277366 |
	  jpeeler | 2010-07-16 14:22:49 -0500 (Fri, 16 Jul 2010) | 7 lines
	  Add missing handling for ringing state for use with queue empty
	  options. (closes issue #17471) Reported by: jazzy Patches:
	  app_queue.c.diff uploaded by jazzy (license 1056) ........

2010-07-16 18:33 +0000 [r277338]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, /: Merged revisions 277331 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277331 | mnicholson | 2010-07-16 13:31:08 -0500 (Fri, 16 Jul
	  2010) | 15 lines Merged revisions 277327 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277327 | mnicholson | 2010-07-16 13:30:22 -0500 (Fri, 16 Jul
	  2010) | 8 lines Interpret device state AST_DEVICE_UNKNOWN as
	  extension state AST_EXTENSION_NOT_INUSE. (closes issue #16035)
	  Reported by: francesco_r Patches: pbx.c.patch uploaded by
	  viniciusfontes (license 978) Tested by: francesco_r, agx, lawbar
	  ........ ................

2010-07-16 18:14 +0000 [r277264]  Tilghman Lesher <tlesher@digium.com>

	* main/manager.c, /: Merged revisions 277263 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277263 | tilghman | 2010-07-16 13:14:05 -0500 (Fri, 16 Jul 2010)
	  | 12 lines Merged revisions 277261 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277261 | tilghman | 2010-07-16 13:04:11 -0500 (Fri, 16 Jul 2010)
	  | 5 lines If variable gotten is not set, will segfault on
	  Solaris. (closes issue #17636) Reported by: bklang ........
	  ................

2010-07-16 17:31 +0000 [r277256]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c, /: Merged revisions 277250 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277250 | mnicholson | 2010-07-16 12:30:39 -0500 (Fri, 16 Jul
	  2010) | 11 lines Merged revisions 277247 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277247 | mnicholson | 2010-07-16 12:29:57 -0500 (Fri, 16 Jul
	  2010) | 4 lines For pass through DTMF tones, measure the actual
	  duration between the begin and end packets on the wire. If it is
	  detected to be less than AST_MIN_DTMF_DURATION, trigger dtmf
	  emulation. AST-362 ........ ................

2010-07-16 17:18 +0000 [r277188]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, apps/app_amd.c: Merged revisions 277183 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r277183 | pabelanger | 2010-07-16 13:13:46 -0400 (Fri, 16 Jul
	  2010) | 15 lines Merged revisions 277182 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r277182 | pabelanger | 2010-07-16 13:10:36 -0400 (Fri, 16 Jul
	  2010) | 8 lines Total analysis time error with SIP and silence
	  suppression When using app_amd with SIP providers that have
	  silence suppression on, the iTotalTime count increases
	  exponentially. (closes issue #17656) Reported by: juls ........
	  ................

2010-07-16 15:21 +0000 [r277144]  Sean Bright <sean@malleable.com>

	* /, main/translate.c: Merged revisions 277143 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r277143 |
	  seanbright | 2010-07-16 11:20:40 -0400 (Fri, 16 Jul 2010) | 8
	  lines Avoid crashing when installing a duplicate translation path
	  with a lower cost. (closes issue #17092) Reported by: moy
	  Patches: translate.rev254273.patch uploaded by moy (license 222)
	  Tested by: moy ........

2010-07-15 20:42 +0000 [r276572-276809]  Jeff Peeler <jpeeler@digium.com>

	* /, channels/chan_sip.c: Merged revisions 276788 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r276788 |
	  jpeeler | 2010-07-15 15:21:03 -0500 (Thu, 15 Jul 2010) | 6 lines
	  Correct not setting the bindport before attempting to open the
	  socket. Related to changes from 276571, I was accidentally
	  testing with a port set in my configuration causing me to miss
	  this. Also moved the TCP handling as well to occur before
	  build_peer is called. ........

	* main/channel.c, /: Merged revisions 276653 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r276653 | jpeeler | 2010-07-15 08:51:11 -0500 (Thu, 15 Jul 2010)
	  | 9 lines Merged revisions 276652 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r276652 | jpeeler | 2010-07-15 08:48:58 -0500 (Thu, 15 Jul 2010)
	  | 2 lines In a perfect world, the frame source would never be
	  NULL. In the meantime, don't crash when it is. ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 276571 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r276571 |
	  jpeeler | 2010-07-14 17:58:24 -0500 (Wed, 14 Jul 2010) | 21 lines
	  Fix MWI notification transmission problems over SIP. MWI updates
	  were not being sent if no messages were found in the event cache.
	  This was corrected since a phone may need to clear its MWI status
	  configured previously from another mailbox. Upon module or sip
	  reload, MWI updates could not be sent due to the sipsock socket
	  not being set early enough in reload_config. The code handling
	  the descriptor assignment and such has simply been moved before
	  the call to build_peer. Issuing a sip reload cleared the IP
	  address of the peer, but skipped checking the database for
	  registration information. The database is now checked both for
	  sip reload and actually reloading the module. If a transmission
	  occurs before the do_monitor thread has started, do not attempt
	  to send a signal to it. (closes issue #17398) Reported by: ip-rob
	  ........

2010-07-14 20:16 +0000 [r276442]  Kevin P. Fleming <kpfleming@digium.com>

	* main/loader.c, /: Merged revisions 276441 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r276441 |
	  kpfleming | 2010-07-14 15:15:48 -0500 (Wed, 14 Jul 2010) | 4
	  lines Don't try to call an embedded module's backup_globals()
	  function until after confirming it exists. ........

2010-07-14 11:52 +0000 [r276269]  Leif Madsen <lmadsen@digium.com>

	* /, configs/voicemail.conf.sample: Merged revisions 276268 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r276268 | lmadsen | 2010-07-14 06:51:48 -0500
	  (Wed, 14 Jul 2010) | 9 lines Merged revisions 276267 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r276267 | lmadsen | 2010-07-14 06:49:01 -0500 (Wed, 14
	  Jul 2010) | 1 line Update documentation for voicemail.conf
	  externpass option. ........ ................

2010-07-13 19:11 +0000 [r276125]  Russell Bryant <russell@digium.com>

	* /, main/features.c: Merged revisions 276124 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r276124 | russell | 2010-07-13 14:09:42 -0500 (Tue, 13 Jul 2010)
	  | 9 lines Merged revisions 276123 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r276123 | russell | 2010-07-13 14:06:53 -0500 (Tue, 13 Jul 2010)
	  | 2 lines Use chan->cdr instead of chan_cdr (just like peer->cdr
	  instead of peer_cdr in the last commit). ........
	  ................

2010-07-13 19:01 +0000 [r276121]  Jeff Peeler <jpeeler@digium.com>

	* /, apps/app_meetme.c: Merged revisions 276074 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r276074 | jpeeler | 2010-07-13 12:37:40 -0500 (Tue, 13 Jul 2010)
	  | 19 lines Merged revisions 275773 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275773 | jpeeler | 2010-07-12 15:34:51 -0500 (Mon, 12 Jul 2010)
	  | 12 lines Make user removals and traversals thread safe in
	  meetme. Race conditions present in meetme involving the user list
	  where a lack of locking has the potential for a user to be
	  removed during a traversal or as in the case of the reporter
	  after checking if the list is empty could cause a crash. Fixing
	  this was done by convering the userlist to an ao2 container.
	  (closes issue #17390) Reported by: Vince Review:
	  https://reviewboard.asterisk.org/r/746/ ........ ................

2010-07-13 16:55 +0000 [r275996]  Russell Bryant <russell@digium.com>

	* /, main/features.c: Merged revisions 275995 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275995 | russell | 2010-07-13 11:53:44 -0500 (Tue, 13 Jul 2010)
	  | 21 lines Merged revisions 275994 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275994 | russell | 2010-07-13 11:51:18 -0500 (Tue, 13 Jul 2010)
	  | 14 lines Access peer->cdr directly instead of through a saved
	  off reference. At this point in the code, it is possible that
	  peer_cdr may be invalid. Specifically, in the blind transfer
	  code, CDRs are swapped between channels. So, peer_cdr is no
	  longer == peer->cdr. The scenario that exposed a crash in this
	  code was a blind transfer that hit the system call limit, causing
	  the transferee channel to get destroyed after the transfer
	  attempt failed. Even if it succeeds and this code doesn't crash,
	  this code was still trying to reset a CDR on a channel that was
	  now owned by a different thread, which is a BadThing(tm).
	  (ABE-2417) ........ ................

2010-07-13 14:49 +0000 [r275911]  Tilghman Lesher <tlesher@digium.com>

	* contrib/realtime/mysql, contrib/realtime/oracle,
	  contrib/scripts/sip-friends.sql (removed),
	  contrib/realtime/mysql/sipfriends.sql,
	  contrib/realtime/mysql/voicemail.sql, contrib/scripts/vmdb.sql
	  (removed), contrib/realtime/mysql/meetme.sql,
	  contrib/realtime/sqlserver, contrib/scripts/realtime_pgsql.sql
	  (removed), contrib/scripts/iax-friends.sql (removed), /,
	  contrib/realtime/mysql/iaxfriends.sql, contrib/scripts/meetme.sql
	  (removed), contrib/realtime (added), contrib/realtime/postgresql,
	  contrib/realtime/postgresql/realtime.sql: Merged revisions 275910
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r275910 | tilghman | 2010-07-13 09:48:40 -0500
	  (Tue, 13 Jul 2010) | 9 lines Merged revisions 275909 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r275909 | tilghman | 2010-07-13 09:47:30 -0500 (Tue, 13
	  Jul 2010) | 2 lines Move SQL scripts into their own
	  database-specific directories. ........ ................

2010-07-12 17:26 +0000 [r275706]  Jeff Peeler <jpeeler@digium.com>

	* main/channel.c, /: Merged revisions 275682 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275682 | jpeeler | 2010-07-12 12:21:01 -0500 (Mon, 12 Jul 2010)
	  | 18 lines Merged revisions 275665 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275665 | jpeeler | 2010-07-12 11:58:39 -0500 (Mon, 12 Jul 2010)
	  | 11 lines Change ast_write to not stop generator when called
	  from ast_prod. For SIP channels configured with the
	  progressinband option on, the ringback was being immediately
	  stopped. This problem was due to ast_prod being moved for a
	  deadlock fix in 259858. Prodding the channel after setting up the
	  generator triggered the check in ast_write to stop the generator.
	  The fix here should write the frame the same as was done before
	  the call to ast_prod was moved. (closes issue #17372) Reported
	  by: tech_admin ........ ................

2010-07-12 15:38 +0000 [r275627]  Leif Madsen <lmadsen@digium.com>

	* cdr/cdr_pgsql.c, /: Merged revisions 275626 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r275626 |
	  lmadsen | 2010-07-12 10:37:01 -0500 (Mon, 12 Jul 2010) | 11 lines
	  cdr_pgsql does not detect when a table is found. This change adds
	  an ERROR message to let you know when a failure exists to get the
	  columns from the pgsql database, which typically means that the
	  table does not exist. (closes issue #17478) Reported by: kobaz
	  Patches: cdr_pgsql.patch uploaded by kobaz (license 834) Tested
	  by: kobaz, russell, lmadsen ........

2010-07-10 15:11 +0000 [r275311-275469]  Russell Bryant <russell@digium.com>

	* configs/sip.conf.sample, /, channels/chan_sip.c: Merged revisions
	  245192 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r245192 |
	  mmichelson | 2010-02-06 08:43:03 -0600 (Sat, 06 Feb 2010) | 21
	  lines Remove useless sip options related to hash table size.
	  First off, these options weren't actually doing anything. By the
	  time the options were parsed, the peer and dialog containers had
	  already been allocated with their default values. Second, hash
	  table size is something that doesn't really make sense to change
	  in a config file. If a user is that interested in changing the
	  hashtable size, he can modify the source itself. I have removed
	  the parsing of the hash_peer, hash_user, and hash_dialog options.
	  I have removed the hash_user_size variable altogether since it is
	  not used at all. I also changed hash_peer_size and
	  hash_dialog_size to be constant, and have changed the symbols to
	  be in all caps as constants typically are. I have also removed
	  the entire section in sip.conf.sample regarding configurable
	  hashtable sizes. ........ (merge to 1.6.2 inspired by issue
	  #17553)

	* /: unblock a rev

	* configs/features.conf.sample, /, main/features.c: Merged
	  revisions 275424 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r275424 |
	  russell | 2010-07-09 16:57:21 -0500 (Fri, 09 Jul 2010) | 27 lines
	  Fix some issues related to dynamic feature groups in
	  features.conf. The bridge handling code did not properly consider
	  feature groups when setting parameters that would affect whether
	  or not a native bridge would be attempted. If DYNAMIC_FEATURES
	  only include a feature group, a native bridge would occur that
	  may prevent features from working. Fix a bug in verbose output
	  that would show the key mapping as empty if it was using the
	  default mapping and not a custom mapping in the feature group.
	  Add feature groups to the output of "features show". Adjust the
	  feature execution logic to match that of the logic when executing
	  a feature that was not configured through a feature group. Update
	  features.conf.sample to show that an '=' is still required if
	  using the default key mapping from [applicationmap]. Finally,
	  clean up a little bit of formatting to better coform to coding
	  guidelines while in the area. (closes issue #17589) Reported by:
	  lmadsen Patches: issue_17589.rev4.txt uploaded by russell
	  (license 2) Tested by: russell, lmadsen ........

	* /, main/features.c: Merged revisions 275310 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r275310 |
	  russell | 2010-07-09 14:58:06 -0500 (Fri, 09 Jul 2010) | 2 lines
	  Add missing ao2_iterator_destroy(). ........

2010-07-09 19:23 +0000 [r275260]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, channels/chan_sip.c: Merged revisions 275249 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275249 | pabelanger | 2010-07-09 15:21:27 -0400 (Fri, 09 Jul
	  2010) | 15 lines Merged revisions 275241 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275241 | pabelanger | 2010-07-09 15:20:00 -0400 (Fri, 09 Jul
	  2010) | 8 lines Fix logging message for stale nonce. (closes
	  issue #17582) Reported by: kenner Patches: chan_sip.c.diff
	  uploaded by kenner (license 1040) Tested by: lmadsen ........
	  ................

2010-07-09 18:24 +0000 [r275191]  Matthew Nicholson <mnicholson@digium.com>

	* main/loader.c, /: Merged revisions 275186 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275186 | mnicholson | 2010-07-09 13:24:03 -0500 (Fri, 09 Jul
	  2010) | 9 lines Merged revisions 275182 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275182 | mnicholson | 2010-07-09 13:23:23 -0500 (Fri, 09 Jul
	  2010) | 2 lines give a better error message when attempting to
	  unload a module that is not loaded ........ ................

2010-07-09 18:11 +0000 [r275148]  Russell Bryant <russell@digium.com>

	* configs/features.conf.sample, /: Merged revisions 275147 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r275147 | russell | 2010-07-09 13:11:13 -0500 (Fri, 09
	  Jul 2010) | 2 lines Move parking lot sample config out from the
	  middle of dynamic features sample config. ........

2010-07-09 17:51 +0000 [r275029-275145]  Matthew Nicholson <mnicholson@digium.com>

	* main/loader.c, /: Merged revisions 275144 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275144 | mnicholson | 2010-07-09 12:50:45 -0500 (Fri, 09 Jul
	  2010) | 9 lines Merged revisions 275143 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275143 | mnicholson | 2010-07-09 12:50:05 -0500 (Fri, 09 Jul
	  2010) | 2 lines don't unload modules that returned
	  AST_MODULE_LOAD_DECLINE when they were loaded ........
	  ................

	* apps/app_dial.c, /: Merged revisions 275028 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r275028 | mnicholson | 2010-07-09 11:05:58 -0500 (Fri, 09 Jul
	  2010) | 15 lines Merged revisions 275027 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275027 | mnicholson | 2010-07-09 11:04:21 -0500 (Fri, 09 Jul
	  2010) | 8 lines Clear the AST_CDR_FLAG_DIALED flag for channels
	  going into the pbx via the G option in app_dial (closes issue
	  #17592) Reported by: jamicque Patches: G-flag-cdr-fix1.diff
	  uploaded by mnicholson (license 96) Tested by: jamicque,
	  mnicholson ........ ................

2010-07-09 15:39 +0000 [r275023]  Russell Bryant <russell@digium.com>

	* include/asterisk/test.h, /, main/test.c: Merged revisions 275022
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r275022 | russell | 2010-07-09 10:35:53 -0500
	  (Fri, 09 Jul 2010) | 11 lines Merged revisions 275021 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r275021 | russell | 2010-07-09 10:33:08 -0500 (Fri, 09 Jul 2010)
	  | 4 lines Document that a leading and trailing slash is expected
	  for test categories. Also, emit a warning if a test is registered
	  without one of these. ........ ................

2010-07-07 18:34 +0000 [r274627-274640]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 274639 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r274639 | rmudgett | 2010-07-07 13:32:35 -0500 (Wed, 07 Jul 2010)
	  | 1 line Add missing conditional around chan_dahdi
	  mfcr2_skip_category config parameter. ........

	* channels/chan_dahdi.c, /: Merged revisions 274595 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r274595 | rmudgett | 2010-07-07 13:20:00 -0500
	  (Wed, 07 Jul 2010) | 9 lines Merged revisions 274579 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r274579 | rmudgett | 2010-07-07 13:12:41 -0500 (Wed, 07
	  Jul 2010) | 1 line Close the DAHDI FD on error when processing
	  chan_dahdi toneduration config parameter. ........
	  ................

2010-07-07 06:16 +0000 [r274419]  Tilghman Lesher <tlesher@digium.com>

	* configs/say.conf.sample, /: Merged revisions 274418 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r274418 | tilghman | 2010-07-07 01:15:43 -0500
	  (Wed, 07 Jul 2010) | 15 lines Merged revisions 274417 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r274417 | tilghman | 2010-07-07 01:13:54 -0500 (Wed, 07 Jul 2010)
	  | 8 lines Correct how 100, 200, 300, etc. is said. Also add the
	  crazy British numbers. (closes issue #16102) Reported by: Delvar
	  Patches: say.conf.fix.patch uploaded by Delvar (license 908)
	  (plus a few additional fixes and simplifications by me) ........
	  ................

2010-07-06 23:06 +0000 [r274360]  Terry Wilson <twilson@digium.com>

	* configs/sip.conf.sample, channels/chan_sip.c: Merged revisions
	  274284 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r274284 | twilson | 2010-07-06 17:15:27 -0500 (Tue, 06 Jul 2010)
	  | 18 lines Merged revisions 274280 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r274280 | twilson | 2010-07-06 17:08:20 -0500 (Tue, 06 Jul 2010)
	  | 9 lines Add option to not do a call forward on 482 Loop
	  Detected Asterisk has always set up a forwarded call when
	  receiving a 482 Loop Detected. This prevents handling the call
	  failure by just continuing on in the dialplan. Since this would
	  be a change in behavior, the new option to disable this behavior
	  is forwardloopdetected which defaults to 'yes'. Review:
	  https://reviewboard.asterisk.org/r/764/ ........ ................

2010-07-06 22:30 +0000 [r274347]  Jeff Peeler <jpeeler@digium.com>

	* configs/sip.conf.sample, /: Merged revisions 274316 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r274316 | jpeeler | 2010-07-06 17:23:35 -0500
	  (Tue, 06 Jul 2010) | 14 lines Merged revisions 274283 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r274283 | jpeeler | 2010-07-06 17:15:21 -0500 (Tue, 06 Jul 2010)
	  | 7 lines Correct sip.conf.sample comments for prematuremedia
	  option. (closes issue #17513) Reported by: festr Patches: patch
	  uploaded by festr (license 443) ........ ................

2010-07-06 22:10 +0000 [r274282]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 274281 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r274281 | tilghman | 2010-07-06 17:09:23 -0500 (Tue, 06 Jul 2010)
	  | 2 lines Status shows all non-CRC4 lines as "yellow", even if
	  "yellow" was not in the bitfield. ........

2010-07-06 14:33 +0000 [r274168]  Mark Michelson <mmichelson@digium.com>

	* main/rtp.c, /: Merged revisions 274164 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r274164 | mmichelson | 2010-07-06 09:31:13 -0500 (Tue, 06 Jul
	  2010) | 22 lines Merged revisions 274157 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r274157 | mmichelson | 2010-07-06 09:29:23 -0500 (Tue, 06 Jul
	  2010) | 16 lines Fix problem with RFC 2833 DTMF not being
	  accepted. A recent check was added to ensure that we did not
	  erroneously detect duplicate DTMF when we received packets out of
	  order. The problem was that the check did not account for the
	  fact that the seqno of an RTP stream will roll over back to 0
	  after hitting 65535. Now, we have a secondary check that will
	  ensure that the seqno rolling over will not cause us to stop
	  accepting DTMF. (closes issue #17571) Reported by: mdeneen
	  Patches: rtp_seqno_rollover.patch uploaded by mmichelson (license
	  60) Tested by: richardf, maxochoa, JJCinAZ ........
	  ................

2010-07-05 13:55 +0000 [r273888]  Paul Belanger <paul.belanger@polybeacon.com>

	* main/config.c, /: Merged revisions 273886 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273886 | pabelanger | 2010-07-05 09:53:44 -0400 (Mon, 05 Jul
	  2010) | 15 lines Merged revisions 273884 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273884 | pabelanger | 2010-07-05 09:51:29 -0400 (Mon, 05 Jul
	  2010) | 8 lines Remove extra line breaks from 'core show config
	  mappings' (closes issue #17583) Reported by: pabelanger Patches:
	  issue17583.patch uploaded by pabelanger (license 224) Tested by:
	  lmadsen ........ ................

2010-07-03 02:43 +0000 [r273716-273831]  Tilghman Lesher <tlesher@digium.com>

	* channels/chan_local.c, /, channels/chan_agent.c,
	  channels/chan_h323.c, include/asterisk/lock.h: Merged revisions
	  273830 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273830 | tilghman | 2010-07-02 21:36:31 -0500 (Fri, 02 Jul 2010)
	  | 16 lines Merged revisions 273793 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273793 | tilghman | 2010-07-02 16:36:39 -0500 (Fri, 02 Jul 2010)
	  | 9 lines Have the DEADLOCK_AVOIDANCE macro warn when an unlock
	  fails, to help catch potentially large software bugs. (closes
	  issue #17407) Reported by: pdf Patches:
	  20100527__issue17407.diff.txt uploaded by tilghman (license 14)
	  Review: https://reviewboard.asterisk.org/r/751/ ........
	  ................

	* main/autoservice.c, /: Merged revisions 273718 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273718 | tilghman | 2010-07-02 12:10:59 -0500 (Fri, 02 Jul 2010)
	  | 15 lines Merged revisions 273717 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273717 | tilghman | 2010-07-02 12:09:47 -0500 (Fri, 02 Jul 2010)
	  | 8 lines Autoservice loop optimization causes a busy loop, when
	  channels are serviced while in hangup. (closes issue #17564)
	  Reported by: ramonpeek Patches: 20100630__issue17564.diff.txt
	  uploaded by tilghman (license 14) Tested by: ramonpeek ........
	  ................

	* apps/app_queue.c, /: Merged revisions 273714 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273714 |
	  tilghman | 2010-07-02 11:57:28 -0500 (Fri, 02 Jul 2010) | 2 lines
	  The switch fallthrough could create some errorneous situations,
	  so best to force directly to the default case. ........

2010-07-02 15:59 +0000 [r273642]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_iax2.c, apps/app_voicemail.c,
	  channels/chan_dahdi.c, channels/chan_sip.c, res/res_agi.c: Fix
	  typos reported by Lintian

2010-07-01 22:17 +0000 [r273571]  Russell Bryant <russell@digium.com>

	* main/datastore.c, /: Merged revisions 273566 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273566 | russell | 2010-07-01 17:16:23 -0500 (Thu, 01 Jul 2010)
	  | 14 lines Merged revisions 273565 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273565 | russell | 2010-07-01 17:09:19 -0500 (Thu, 01 Jul 2010)
	  | 7 lines Don't return a partially initialized datastore. If
	  memory allocation fails in ast_strdup(), don't return a partially
	  initialized datastore. Bad things may happen. (related to
	  ABE-2415) ........ ................

2010-07-01 20:29 +0000 [r273356-273529]  Jeff Peeler <jpeeler@digium.com>

	* /, apps/app_meetme.c: Merged revisions 273522 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273522 | jpeeler | 2010-07-01 15:28:15 -0500 (Thu, 01 Jul 2010)
	  | 21 lines Merged revisions 273474 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273474 | jpeeler | 2010-07-01 15:19:16 -0500 (Thu, 01 Jul 2010)
	  | 14 lines Allow admin user to join conference without using
	  admin mode and no user pin. Configuring the conference in
	  meetme.conf like the following: conf => 2345,,6666 did not prompt
	  for pin when used without admin mode. This meant that the
	  conference could not be joined as an admin even if the user knew
	  the correct pin. The original bug report was submitted claiming
	  that the blank user pin should deny entry into the conference. I
	  think a better way to handle this would be with a feature
	  enhancement that used the following syntax: conf => 2345,X,6666 -
	  where X denotes no acceptable pin allowed (closes issue #15704)
	  Reported by: modelnine ........ ................

	* /, apps/app_meetme.c: Merged revisions 273355 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273355 | jpeeler | 2010-07-01 10:12:31 -0500 (Thu, 01 Jul 2010)
	  | 19 lines Merged revisions 273354 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273354 | jpeeler | 2010-07-01 10:05:43 -0500 (Thu, 01 Jul 2010)
	  | 12 lines Ensure channel placed in meetme in ringing state is
	  properly hung up. An outgoing channel placed in meetme while
	  still ringing which was then hung up would not exit meetme and
	  the channel was not properly destroyed. Specifically checking for
	  this scenario by looking at the appropriate control frames
	  resolves the issue. (closes issue #15871) Reported by: Ivan
	  Patches: meetme_congestion_trunk_v2.patch uploaded by Ivan
	  (license 229) ........ ................

2010-07-01 14:39 +0000 [r273271-273353]  Matthew Nicholson <mnicholson@digium.com>

	* main/manager.c, /: Merged revisions 273352 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273352 |
	  mnicholson | 2010-07-01 09:37:37 -0500 (Thu, 01 Jul 2010) | 2
	  lines Fixed whitespace problems ........

	* main/manager.c, /: Merged revisions 273350 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273350 |
	  mnicholson | 2010-07-01 09:34:31 -0500 (Thu, 01 Jul 2010) | 2
	  lines Altered my comment about TCP_NODELAY ........

	* main/manager.c, /: Merged revisions 273270 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273270 |
	  mnicholson | 2010-06-30 13:48:21 -0500 (Wed, 30 Jun 2010) | 2
	  lines Set TCP_NODELAY on manager TCP sockets to prevent delays on
	  outgoing packets. This regression was introduced in r48338.
	  AST-359 ........

2010-06-30 17:32 +0000 [r273193-273234]  Paul Belanger <paul.belanger@polybeacon.com>

	* main/rtp.c, /: Merged revisions 273233 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273233 |
	  pabelanger | 2010-06-30 13:28:04 -0400 (Wed, 30 Jun 2010) | 11
	  lines Fix rt(c)p set debug ip taking wrong argument Also clean up
	  some coding errors. (closes issue #17469) Reported by: wdoekes
	  Patches: astsvn-rtp-set-debug-ip.patch uploaded by wdoekes
	  (license 717) Tested by: wdoekes, pabelanger ........

	* /: Revert previous commit; res_rtp_asterisk.c does not exist.

	* /: Unblock revisions 218107 ........ r218107 | mvanbaak |
	  2009-09-12 15:08:16 +0200 (Sat, 12 Sep 2009) | 8 lines use the
	  actual given ip address for 'rtp set debug ip <foo>' instead of
	  the word 'ip' (closes issue 0015711) Reported by: davidw Patches:
	  2009082800-rtpdebug.diff.txt uploaded by mvanbaak (license 7)
	  Tested by: davidw ........

2010-06-30 01:07 +0000 [r273056-273145]  Tilghman Lesher <tlesher@digium.com>

	* main/manager.c, /: Merged revisions 273144 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273144 |
	  tilghman | 2010-06-29 20:07:02 -0500 (Tue, 29 Jun 2010) | 8 lines
	  Permission checking for the system application is backwards.
	  (closes issue #17550) Reported by: kenner Patches: manager.c.diff
	  uploaded by kenner (license 1040) Tested by: kenner ........

	* main/config.c, /: Merged revisions 273142 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273142 |
	  tilghman | 2010-06-29 20:01:14 -0500 (Tue, 29 Jun 2010) | 5 lines
	  Don't attempt to proceed if our internal parser indicates an
	  invalid file. (closes issue #17560) Reported by: Nick_Lewis
	  ........

	* /, channels/chan_sip.c: Merged revisions 273078 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273078 | tilghman | 2010-06-29 18:20:40 -0500 (Tue, 29 Jun 2010)
	  | 17 lines Merged revisions 273060 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273060 | tilghman | 2010-06-29 18:15:28 -0500 (Tue, 29 Jun 2010)
	  | 10 lines Allow the "useragent" value to be restored into memory
	  from the realtime backend. This value is purely informational. It
	  does not alter configuration at all. (closes issue #16029)
	  Reported by: Guggemand Patches: realtime-useragent.patch uploaded
	  by Guggemand (license 897) Tested by: Guggemand ........
	  ................

	* main/channel.c, /: Merged revisions 273058 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r273058 | tilghman | 2010-06-29 17:59:51 -0500 (Tue, 29 Jun 2010)
	  | 11 lines Recorded merge of revisions 273057 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r273057 | tilghman | 2010-06-29 17:58:58 -0500 (Tue, 29 Jun 2010)
	  | 4 lines _Really_ skip the channel... don't just retry for
	  another 200 cycles. (Closes issue SWP-1652, ABE-2240) ........
	  ................

	* main/pbx.c, /: Merged revisions 273054 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r273054 |
	  tilghman | 2010-06-29 17:39:22 -0500 (Tue, 29 Jun 2010) | 11
	  lines Send DialPlanComplete as a response, not as a separate
	  event. Otherwise, it goes to all manager sessions and may exclude
	  the current session, if the Events mask excludes it. (closes
	  issue #17504) Reported by: rrb3942 Patches:
	  showdialplan_patch.diff uploaded by rrb3942 (license 1003) Tested
	  by: rrb3942 ........

2010-06-29 16:43 +0000 [r272972]  Russell Bryant <russell@digium.com>

	* main/asterisk.c, /: Merged revisions 253357 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r253357 |
	  russell | 2010-03-18 13:18:43 -0500 (Thu, 18 Mar 2010) | 8 lines
	  Increase CLI command output timeout for asterisk -rx to 60
	  seconds. (closes issue #17049) Reported by: russell Tested by:
	  russell Review: https://reviewboard.asterisk.org/r/573/ ........

2010-07-22  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.2.10

	* Included a fix for res_timing_pthread per the description below:

	  r278465 | russell | 2010-07-21 11:15:00 -0500 (Wed, 21 Jul 2010) | 41 lines

	  Use poll() instead of select() in res_timing_pthread to avoid stack corruption.
	  This code did not properly check FD_SETSIZE to ensure that it did not try to
	  select() on fds that were too large.  Switching to poll() removes the limitation
	  on the maximum fd value.

2010-07-07  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.2.10-rc2

	* Fix problem with RFC 2833 DTMF not being accepted.
  
	  A recent check was added to ensure that we did not erroneously
	  detect duplicate DTMF when we received packets out of order.
	  The problem was that the check did not account for the fact that
	  the seqno of an RTP stream will roll over back to 0 after hitting
	  65535. Now, we have a secondary check that will ensure that the
	  seqno rolling over will not cause us to stop accepting DTMF.
  
	    (closes issue 0017571)
	    Reported by: mdeneen
	    Patches:
	          rtp_seqno_rollover.patch uploaded by mmichelson (license 60)
	    Tested by: richardf, maxochoa, JJCinAZ

	* Clear the AST_CDR_FLAG_DIALED flag for channels going into the pbx
	  via the G option in app_dial
    
	    (closes issue 0017592)
	    Reported by: jamicque
	    Patches:
	          G-flag-cdr-fix1.diff uploaded by mnicholson (license 96)
	    Tested by: jamicque, mnicholson

2010-06-29  Leif Madsen <lmadsen@digium.com>

	* Release Asterisk 1.6.2.10-rc1

2010-06-28 21:51 +0000 [r272924-272927]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, /: Merged revisions 272926 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r272926 | tilghman | 2010-06-28 16:50:57 -0500 (Mon, 28 Jun 2010)
	  | 15 lines Merged revisions 272925 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272925 | tilghman | 2010-06-28 16:50:02 -0500 (Mon, 28 Jun 2010)
	  | 8 lines Don't change ownership/group/permissions on run
	  directory, if it already exists. (closes issue #17076) Reported
	  by: stuarth Patches: 20100324__issue17076.diff.txt uploaded by
	  tilghman (license 14) Tested by: stuarth ........
	  ................

	* main/config.c, /: Merged revisions 272923 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r272923 | tilghman | 2010-06-28 16:42:52 -0500 (Mon, 28 Jun 2010)
	  | 19 lines Merged revisions 272921-272922 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272921 | tilghman | 2010-06-28 16:29:27 -0500 (Mon, 28 Jun 2010)
	  | 8 lines Change the way that we read include files, to
	  accommodate for changes in GCC 4.4. (closes issue #17472)
	  Reported by: seandarcy Patches: config2.patch uploaded by nivan
	  (license 1066) Tested by: nivan ........ r272922 | tilghman |
	  2010-06-28 16:38:49 -0500 (Mon, 28 Jun 2010) | 2 lines Also trim
	  trailing blanks on #includes ........ ................

2010-06-28 18:50 +0000 [r272882]  Russell Bryant <russell@digium.com>

	* tests/test_astobj2.c (added): Backport applicable parts of
	  test_astobj2 from trunk.

2010-06-28 17:37 +0000 [r272806]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 272805 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r272805 | mmichelson | 2010-06-28 12:33:12 -0500 (Mon, 28 Jun
	  2010) | 11 lines Merged revisions 272804 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272804 | mmichelson | 2010-06-28 12:31:40 -0500 (Mon, 28 Jun
	  2010) | 5 lines Decode URI in contact header of 302 response.
	  ABE-2352 ........ ................

2010-06-28 15:36 +0000 [r272685-272686]  Russell Bryant <russell@digium.com>

	* doc/tex/chan-mobile.tex (removed): remove accidentally added
	  file.

	* doc/tex/cdrdriver.tex, doc/tex/asterisk.tex, /,
	  doc/tex/chan-mobile.tex (added): Merged revisions 272684 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r272684 | russell | 2010-06-28 10:33:32 -0500 (Mon, 28
	  Jun 2010) | 2 lines Use the underscore package so that
	  underscores do not need to be escaped. ........

2010-06-25 20:20 +0000 [r272556-272577]  Tilghman Lesher <tlesher@digium.com>

	* /, doc/voicemail_odbc_postgresql.txt: Merged revisions 272568 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r272568 | tilghman | 2010-06-25 15:18:47 -0500
	  (Fri, 25 Jun 2010) | 12 lines Merged revisions 272562 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272562 | tilghman | 2010-06-25 15:17:37 -0500 (Fri, 25 Jun 2010)
	  | 5 lines Make the structure of the table specified before match
	  the queries and results. (closes issue #17557) Reported by: cmaj
	  ........ ................

	* sounds/Makefile, /: Merged revisions 272533 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272533 |
	  tilghman | 2010-06-25 14:17:16 -0500 (Fri, 25 Jun 2010) | 2 lines
	  Symlink sounds files, to save disk space, when multiple
	  tarballs/checkouts are on the same system. ........

2010-06-25 18:58 +0000 [r272531]  Russell Bryant <russell@digium.com>

	* include/asterisk/_private.h, tests/test_sched.c, main/asterisk.c,
	  include/asterisk/test.h (added), build_tools/cflags-devmode.xml,
	  tests/test_heap.c, tests/test_skel.c, main/Makefile, main/test.c
	  (added): Backport unit test API from trunk. Also, update existing
	  test modules that were already in this branch but had been
	  converted to the unit test API in trunk. Review:
	  https://reviewboard.asterisk.org/r/748/

2010-06-24 22:19 +0000 [r272459]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 272447 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r272447 | rmudgett | 2010-06-24 17:11:26 -0500
	  (Thu, 24 Jun 2010) | 17 lines Merged revisions 272446 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272446 | rmudgett | 2010-06-24 16:58:49 -0500 (Thu, 24 Jun 2010)
	  | 10 lines ss_thread calls pri_grab without lock during overlap
	  dial Recent changes to chan_dahdi with relation to overlap
	  dialing call pri_grab without first obtaining a lock. (closes
	  issue #17414) Reported by: pdf Patches: bug17414.patch uploaded
	  by jpeeler (license 325) ........ ................

2010-06-23 23:40 +0000 [r272440]  Terry Wilson <twilson@digium.com>

	* autoconf/ast_ext_tool_check.m4, /, configure: Merged revisions
	  272254,272256 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272254 |
	  twilson | 2010-06-23 15:53:48 -0500 (Wed, 23 Jun 2010) | 10 lines
	  Honor the --with-${library}=path for AST_EXT_TOOL_CHECK (closes
	  issue #16991) Reported by: pprindeville Patches:
	  with_netsnmp.patch.txt uploaded by twilson (license 396) Tested
	  by: twilson Review: https://reviewboard.asterisk.org/r/739/
	  ........ r272256 | twilson | 2010-06-23 15:59:17 -0500 (Wed, 23
	  Jun 2010) | 2 lines Update configure when changing autconf m4
	  files... ........

2010-06-23 23:14 +0000 [r272371]  Russell Bryant <russell@digium.com>

	* channels/chan_iax2.c, /: Merged revisions 272370 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r272370 | russell | 2010-06-23 18:09:28 -0500 (Wed, 23 Jun 2010)
	  | 23 lines Resolve some errors produced during module unload of
	  chan_iax2. The external test suite stops Asterisk using the "core
	  stop gracefully" command. The logs from the tests show that there
	  are a number of problems with Asterisk trying to cleanly shut
	  down. This patch addresses the following type of error that comes
	  from chan_iax2: [Jun 22 16:58:11] ERROR[29884]: lock.c:129
	  __ast_pthread_mutex_destroy: chan_iax2.c line 11371
	  (iax2_process_thread_cleanup): Error destroying mutex
	  &thread->lock: Device or resource busy For an example in the
	  context of a build, see:
	  http://bamboo.asterisk.org/browse/AST-TRUNK-739/log The primary
	  purpose of this patch is to change the thread pool shutdown
	  procedure to be more explicit to ensure that the thread exits
	  from a point where it is not holding a lock. While testing that,
	  I encountered various crashes due to the order of operations in
	  unload_module() being problematic. I reordered some things there,
	  as well. Review: https://reviewboard.asterisk.org/r/736/ ........

2010-06-23 22:37 +0000 [r272369]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_queue.c, /: Merged revisions 272368 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r272368 | mnicholson | 2010-06-23 17:36:49 -0500 (Wed, 23 Jun
	  2010) | 16 lines Merged revisions 272367 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 This version
	  of the patch only adds AgentComplete for attended transfers. It
	  was already present for blind transfers. ........ r272367 |
	  mnicholson | 2010-06-23 17:33:51 -0500 (Wed, 23 Jun 2010) | 8
	  lines Send AgentComplete manager events in the event of blind and
	  attended transfers. (closes issue #16819) Reported by: elbriga
	  Patches: app_queue.diff uploaded by elbriga (license 482)
	  ........ ................

2010-06-23 21:54 +0000 [r272333]  Tilghman Lesher <tlesher@digium.com>

	* res/res_musiconhold.c, /: Merged revisions 272332 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r272332 | tilghman | 2010-06-23 16:53:49 -0500 (Wed, 23 Jun 2010)
	  | 8 lines If there is realtime configuration, it does not get
	  re-read on reload unless the config file also changes. (closes
	  issue #16982) Reported by: dmitri Patches: res_musiconhold.patch
	  uploaded by dmitri (license 1001) Tested by: atis ........

2010-06-23 21:15 +0000 [r272263]  Paul Belanger <paul.belanger@polybeacon.com>

	* apps/app_meetme.c: Revert previous commit, ast_test_flag64 does
	  not exist in 1.6.2

2010-06-23 21:09 +0000 [r272262]  Tilghman Lesher <tlesher@digium.com>

	* res/ael/ael.flex, /, res/ael/ael.tab.c, res/ael/ael.y,
	  res/ael/ael_lex.c: Merged revisions 272260 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272260 |
	  tilghman | 2010-06-23 16:06:40 -0500 (Wed, 23 Jun 2010) | 8 lines
	  Ensure a NULL file while debugging cannot crash AEL. (closes
	  issue #17215) Reported by: vazir Patches:
	  20100518__issue17215.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman ........

2010-06-23 21:07 +0000 [r272253-272261]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, apps/app_meetme.c: Merged revisions 272259 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272259 |
	  pabelanger | 2010-06-23 17:06:15 -0400 (Wed, 23 Jun 2010) | 2
	  lines Fix previous merge. ast_test_flag != ast_test_flag64
	  ........

	* /, apps/app_meetme.c: Merged revisions 272257 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r272257 | pabelanger | 2010-06-23 17:00:00 -0400 (Wed, 23 Jun
	  2010) | 19 lines Merged revisions 272255 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r272255 | pabelanger | 2010-06-23 16:57:01 -0400 (Wed, 23 Jun
	  2010) | 12 lines First caller into a dynamic conference now enter
	  pin once. If MeetMe is configured to use dynamic conference
	  numbers, then the first caller (which creates the conference) had
	  to enter the PIN number twice. (closes issue #15878) Reported by:
	  shawkris Patches: issue15878.patch uploaded by pabelanger
	  (license 224) Tested by: pabelanger ........ ................

	* main/manager.c, /: Merged revisions 272252 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272252 |
	  pabelanger | 2010-06-23 16:35:45 -0400 (Wed, 23 Jun 2010) | 8
	  lines Correct manager variable 'EventList' case. (closes issue
	  #17520) Reported by: kobaz Patches: manager.patch uploaded by
	  kobaz (license 834) Tested by: lmadsen ........

2010-06-23 18:41 +0000 [r272124-272149]  Terry Wilson <twilson@digium.com>

	* /, apps/app_meetme.c: Merged revisions 272146 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272146 |
	  twilson | 2010-06-23 13:39:20 -0500 (Wed, 23 Jun 2010) | 2 lines
	  Don't start the sla thread unless we realy need it ........

	* /, apps/app_meetme.c: Merged revisions 272109 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272109 |
	  twilson | 2010-06-23 12:21:40 -0500 (Wed, 23 Jun 2010) | 12 lines
	  Make sure reload updates SLA config Even if there are no stations
	  or trunks defined, we need to start the sla thread to make sure
	  we get the reload event. Also, when doing a reload we need to
	  remove the existing trunks and stations or they end up hanging
	  around. (closes issue #16818) Reported by: mbonin Patches:
	  sla_reload.patch uploaded by twilson (license 396) Tested by:
	  twilson ........

2010-06-22 22:14 +0000 [r272015]  David Vossel <dvossel@digium.com>

	* pbx/pbx_config.c, /: Merged revisions 272014 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r272014 |
	  dvossel | 2010-06-22 17:11:50 -0500 (Tue, 22 Jun 2010) | 5 lines
	  fixes issue with 'dialplan remove extension blah' segfaulting
	  with tab completion (closes issue #17440) Reported by: kobaz
	  ........

2010-06-22 17:37 +0000 [r271904]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 271903 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r271903 | mnicholson | 2010-06-22 12:35:17 -0500 (Tue, 22 Jun
	  2010) | 15 lines Merged revisions 271902 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r271902 | mnicholson | 2010-06-22 12:31:57 -0500 (Tue, 22 Jun
	  2010) | 8 lines Decrease the module ref count in sip_hangup when
	  SIP_DEFER_BYE_ON_TRANSFER is set. This is necessary to keep the
	  ref count correct. (closes issue #16815) Reported by: rain
	  Patches: chan_sip-unref-fix.diff uploaded by rain (license 327)
	  (modified) Tested by: rain ........ ................

2010-06-22 16:30 +0000 [r271869]  Russell Bryant <russell@digium.com>

	* /, res/ais/clm.c, res/ais/evt.c: Merged revisions 271867 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r271867 | russell | 2010-06-22 11:28:03 -0500 (Tue, 22
	  Jun 2010) | 7 lines Resolve some errors that occur on a graceful
	  shutdown. Don't Finalize() if Initialize() did not succeed. This
	  resulted in an error about trying to Finalize() an invalid
	  handle. Also trim some trailing whitespace while in the area.
	  ........

2010-06-22 15:49 +0000 [r271832]  David Vossel <dvossel@digium.com>

	* /, main/features.c: Merged revisions 271831 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r271831 |
	  dvossel | 2010-06-22 10:46:22 -0500 (Tue, 22 Jun 2010) | 10 lines
	  fixes attended transfer behavior when both transferee and
	  transferer hung up If both the transferer and transferee of a
	  attended transfer hangup before the new channel picks up, the new
	  channel should be hung up as well as it has no endpoint to talk
	  to. This mirrors the expected behavior used in 1.4. (closes issue
	  #17444) Reported by: corruptor ........

2010-06-22 15:00 +0000 [r271691-271763]  Matthew Nicholson <mnicholson@digium.com>

	* configs/dundi.conf.sample, /, pbx/pbx_dundi.c: Merged revisions
	  271762 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r271762 | mnicholson | 2010-06-22 09:54:58 -0500 (Tue, 22 Jun
	  2010) | 15 lines Merged revisions 271761 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r271761 | mnicholson | 2010-06-22 09:49:36 -0500 (Tue, 22 Jun
	  2010) | 9 lines Allow users to specify a port for dundi peers.
	  (closes issue #17056) Reported by: klaus3000 Patches:
	  dundi-peerport-patch-trunk.txt uploaded by klaus3000 (license 65)
	  Tested by: klaus3000 ........ ................

	* include/asterisk/strings.h, configs/sip_notify.conf.sample, /,
	  channels/chan_sip.c: Merged revisions 271690 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r271690 | mnicholson | 2010-06-22 07:58:28 -0500 (Tue, 22 Jun
	  2010) | 18 lines Merged revisions 271689 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r271689 | mnicholson | 2010-06-22 07:52:27 -0500 (Tue, 22 Jun
	  2010) | 8 lines Modify chan_sip's packet generation api to
	  automatically calculate the Content-Length. This is done by
	  storing packet content in a buffer until it is actually time to
	  send the packet, at which time the size of the packet is
	  calculated. This change was made to ensure that the
	  Content-Length is always correct. (closes issue #17326) Reported
	  by: kenner Tested by: mnicholson, kenner Review:
	  https://reviewboard.asterisk.org/r/693/ ........ This change also
	  adds an ast_str_copy_string() function (similar to
	  ast_copy_string), that copies one ast_str into another, properly
	  handling embedded nulls. ................

2010-06-21 20:48 +0000 [r271555]  Jeff Peeler <jpeeler@digium.com>

	* res/ael/pval.c, /: Merged revisions 271554 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r271554 | jpeeler | 2010-06-21 15:46:53 -0500 (Mon, 21 Jun 2010)
	  | 14 lines Merged revisions 271552 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r271552 | jpeeler | 2010-06-21 15:37:47 -0500 (Mon, 21 Jun 2010)
	  | 7 lines Do not use sizeof to calculate size of a heap allocated
	  character array. Change left out from 271399. (closes issue
	  #16053) Reported by: diLLec ........ ................

2010-06-18 21:33 +0000 [r271338-271484]  Jeff Peeler <jpeeler@digium.com>

	* res/ael/pval.c, /, include/asterisk/pval.h, pbx/pbx_ael.c: Merged
	  revisions 271483 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r271483 | jpeeler | 2010-06-18 16:32:09 -0500 (Fri, 18 Jun 2010)
	  | 18 lines Merged revisions 271399 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r271399 | jpeeler | 2010-06-18 14:28:24 -0500 (Fri, 18 Jun 2010)
	  | 11 lines Fix crash when parsing some heavily nested statements
	  in AEL on reload. Due to the recursion used when compiling AEL in
	  gen_prios, all the stack space was being consumed when parsing
	  some AEL that contained nesting 13 levels deep. Changing a few
	  large buffers to be heap allocated fixed the crash, although I
	  did not test how many more levels can now be safely used. (closes
	  issue #16053) Reported by: diLLec Tested by: jpeeler ........
	  ................

	* channels/chan_dahdi.c, /: Merged revisions 269307 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r269307 | rmudgett | 2010-06-09 11:54:38 -0500 (Wed, 09 Jun 2010)
	  | 12 lines Eliminate deadlock potential in dahdi_fixup(). Calling
	  dahdi_indicate() within dahdi_fixup() while the owner pointers
	  are in a potentially inconsistent state is a potentially bad
	  thing in principle. However, calling dahdi_indicate() when the
	  channel private lock is already held can cause a deadlock if the
	  PRI lock is needed because dahdi_indicate() will also get the
	  channel private lock. The pri_grab() function assumes that the
	  channel private lock is held once to avoid deadlock. ........

2010-06-17  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.9 Released.

2010-06-10  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.9-rc3 Released.

2010-06-10  Tilghman Lesher <tlesher@digium.com>

        * Ensure signals are not blocked inside other signal handlers.

          This eliminates the annoying <beep> on the console.

          (closes issue 0017477)
           Reported by: jvandal
           Patches:
                 20100610__issue17477.diff.txt uploaded by tilghman (license 14

2010-06-09  Paul Belanger <paul.belanger@polybeacon.com>

	* Fix Debian init script to not use -c.

	  When using the init script as-is currently, it could cause issues on Debian
	  such as high CPU usage. This fix has worked for several people so I'm
	  implementing the change. We now handle color displays properly.

	  (closes issue 0016784)
	  Reported by: pabelanger
	  Patches:
	        20100530__issue16784__2.diff.txt uploaded by tilghman (license 14)
	  Tested by: pabelanger, tilghman

2010-06-07  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.9-rc2 Released.

2010-06-07  Tilghman Lesher <tlesher@digium.com>

	* Fix crash in DTMF detection.

	  What I did not originally see in my previous commit was that even 
	  though the next digit could be detected before the previous was 
	  considered ended, the detection of the next digit effectively ends 
	  the detection of the previous. Therefore, the length moves in 
	  lockstep with the digit, and no separate counter is needed for the 
	  length alone.

	  (closes issue 0017371)
	   Reported by: alecdavis

	  (closes issue 0017474)
	   Reported by: kenner

2010-06-01  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.9-rc1 Released.

2010-06-01 15:20 +0000 [r266598]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, /: Merged revisions 266592 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r266592 | tilghman | 2010-06-01 10:18:59 -0500 (Tue, 01 Jun 2010)
	  | 18 lines Merged revisions 266585 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r266585 | tilghman | 2010-06-01 10:17:46 -0500 (Tue, 01 Jun 2010)
	  | 11 lines Prevent CLI prompt from distorting output of lines
	  shorter than the prompt. Uses the VT100 method of clearing the
	  line from the cursor position to the end of the line: Esc-0K
	  (closes issue #17160) Reported by: coolmig Patches:
	  20100531__issue17160.diff.txt uploaded by tilghman (license 14)
	  Tested by: coolmig ........ ................

2010-05-31 16:07 +0000 [r266570]  Paul Belanger <paul.belanger@polybeacon.com>

	* res/res_agi.c: Fix typo in documentation (closes issue #17395)
	  Reported by: pabelanger Patches: res_agi.c.patch uploaded by
	  pabelanger (license 224)

2010-05-30 04:45 +0000 [r266439]  Tilghman Lesher <tlesher@digium.com>

	* contrib/init.d/rc.debian.asterisk, /: Merged revisions 266438 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r266438 | tilghman | 2010-05-29 23:44:28 -0500
	  (Sat, 29 May 2010) | 9 lines Merged revisions 266437 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r266437 | tilghman | 2010-05-29 23:43:28 -0500 (Sat, 29
	  May 2010) | 2 lines Reverting patch and reopening issue #16784,
	  as patch breaks color display. ........ ................

2010-05-28 20:55 +0000 [r266338]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, /: Merged revisions 266337 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r266337 |
	  tilghman | 2010-05-28 15:53:04 -0500 (Fri, 28 May 2010) | 1 line
	  Only report swap on platforms which can examine those statistics
	  ........

2010-05-28 17:57 +0000 [r266293]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 266292 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r266292 |
	  dvossel | 2010-05-28 12:55:38 -0500 (Fri, 28 May 2010) | 9 lines
	  fixes crash when creation of UDPTL fails (closes issue #17264)
	  Reported by: falves11 Patches: issue_17264_reviewboard_fix.diff
	  uploaded by dvossel (license 671)
	  issue_17264_1.6.2_reviewboard_fix.diff uploaded by dvossel
	  (license 671) Tested by: falves11 ........

2010-05-26 21:19 +0000 [r266154]  Tilghman Lesher <tlesher@digium.com>

	* utils/extconf.c, main/asterisk.c, /, main/logger.c: Merged
	  revisions 266146 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r266146 | tilghman | 2010-05-26 16:17:46 -0500 (Wed, 26 May 2010)
	  | 21 lines Merged revisions 266142 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r266142 | tilghman | 2010-05-26 16:11:44 -0500 (Wed, 26 May 2010)
	  | 14 lines Use sigaction for signals which should persist past
	  the initial trigger, not signal. If you call signal() in a
	  Solaris signal handler, instead of just resetting the signal
	  handler, it causes the signal to refire, because the signal is
	  not marked as handled prior to the signal handler being called.
	  This effectively causes Solaris to immediately exceed the
	  threadstack in recursive signal handlers and crash. (closes issue
	  #17000) Reported by: rmcgilvr Patches:
	  20100526__issue17000.diff.txt uploaded by tilghman (license 14)
	  Tested by: rmcgilvr ........ ................

2010-05-26 18:37 +0000 [r266007]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 266006 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r266006 |
	  dvossel | 2010-05-26 13:32:51 -0500 (Wed, 26 May 2010) | 8 lines
	  fixes failed SIP Directed pickup resulting in dead channel
	  (closes issue #17339) Reported by: one47 Patches:
	  sip_magic_pickup2 uploaded by one47 (license 23) Tested by:
	  one47, dvossel ........

2010-05-26 16:31 +0000 [r265895-265959]  Tilghman Lesher <tlesher@digium.com>

	* res/res_config_pgsql.c, /: Merged revisions 265923 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r265923 | tilghman | 2010-05-26 11:23:28 -0500
	  (Wed, 26 May 2010) | 14 lines Merged revisions 265910 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r265910 | tilghman | 2010-05-26 11:21:00 -0500 (Wed, 26 May 2010)
	  | 7 lines Not finding rows in the DB does not rise to the level
	  of a warning. (closes issue #17062) Reported by: drookie Patches:
	  20100525__issue17062.diff.txt uploaded by tilghman (license 14)
	  ........ ................

	* configs/res_pgsql.conf.sample, res/res_config_pgsql.c, /: Merged
	  revisions 265894 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265894 |
	  tilghman | 2010-05-26 11:14:48 -0500 (Wed, 26 May 2010) | 8 lines
	  Construct socket name, according to the Postgres docs, and
	  document as such. (closes issue #17392) Reported by: dps Patches:
	  20100525__issue17392.diff.txt uploaded by tilghman (license 14)
	  Tested by: dps ........

2010-05-26 15:52 +0000 [r265890]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Recorded merge of revisions 265842 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r265842 | mmichelson | 2010-05-26 09:41:55 -0500 (Wed,
	  26 May 2010) | 9 lines Re-enable "always" option for videosupport
	  option in sip.conf. (closes issue #17016) Reported by: twilson
	  Patches: 17016.patch uploaded by mmichelson (license 60) Tested
	  by: devmod ........

2010-05-26 00:33 +0000 [r265748]  Tilghman Lesher <tlesher@digium.com>

	* /, configure, include/asterisk/autoconfig.h.in, configure.ac,
	  pbx/pbx_lua.c: Merged revisions 265747 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265747 |
	  tilghman | 2010-05-25 19:29:40 -0500 (Tue, 25 May 2010) | 8 lines
	  Use configure to determine the prefixes and include directories
	  properly. This ensures cross-platform compatibility, even among
	  Linux distributions, which don't always put headers in the same
	  place. (closes issue #17391) Reported by: loloski ........

2010-05-25 21:05 +0000 [r265699]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 265698 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265698 |
	  mmichelson | 2010-05-25 15:59:04 -0500 (Tue, 25 May 2010) | 12
	  lines Properly use peer's outboundproxy for outbound REGISTERs.
	  The logic used in transmit_register to get the outboundproxy for
	  a peer was flawed since this value would be overridden shortly
	  afterwards when create_addr was called. In addition, this also
	  fixes some logic used when parsing users.conf so that the peer
	  name is placed in the internally-generated register string so
	  that an outboundproxy set in the Asterisk GUI will be used for
	  outbound REGISTERs. ........

2010-05-25 17:15 +0000 [r265615]  David Vossel <dvossel@digium.com>

	* channels/chan_dahdi.c: fixes build issue with zaptel (closes
	  issue 0017394) Reported by: aragon Patches: half_buffer_fix.diff
	  uploaded by dvossel (license 671) Tested by: aragon

2010-05-25 17:06 +0000 [r265612]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_queue.c, /: Merged revisions 265611 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r265611 | mnicholson | 2010-05-25 12:00:11 -0500 (Tue, 25 May
	  2010) | 15 lines Merged revisions 265610 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r265610 | mnicholson | 2010-05-25 11:48:19 -0500 (Tue, 25 May
	  2010) | 8 lines Don't mark the cdr records of unanswered queue
	  calls with "NOANSWER". This restores the behavior prior to
	  r258670. (closes issue #17334) Reported by: jvandal Patches:
	  queue-cdr-fixes1.diff uploaded by mnicholson (license 96) Tested
	  by: aragon, jvandal ........ ................

2010-05-24 23:52 +0000 [r265521]  Terry Wilson <twilson@digium.com>

	* include/asterisk/options.h, main/asterisk.c, Makefile,
	  doc/manager_1_1.txt, doc/tex/manager.tex, main/manager.c: Merged
	  revisions 265320,265467 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265320 |
	  twilson | 2010-05-24 14:06:40 -0500 (Mon, 24 May 2010) | 14 lines
	  Add the FullyBooted AMI event It is possible to connect to the
	  manager interface before all Asterisk modules are loaded. To
	  ensure that an application does not send AMI actions that might
	  require a module that has not yet loaded, the application can
	  listen for the FullyBooted manager event. It will be sent upon
	  connection if all modules have been loaded, or as soon as loading
	  is complete. The event: Event: FullyBooted Privilege: system,all
	  Status: Fully Booted Review:
	  https://reviewboard.asterisk.org/r/639/ ........ r265467 |
	  twilson | 2010-05-24 17:21:58 -0500 (Mon, 24 May 2010) | 1 line
	  Merge the rest of the FullyBooted patch ........

2010-05-24 22:07 +0000 [r265450-265452]  Mark Michelson <mmichelson@digium.com>

	* /, channels/h323/ast_h323.cxx: Merged revisions 265451 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r265451 | mmichelson | 2010-05-24 17:05:15 -0500 (Mon,
	  24 May 2010) | 8 lines Print openh323 log to the Asterisk
	  console. (closes issue #17109) Reported by: under Patches:
	  logstream.diff uploaded by under (license 914) ........

	* /, channels/chan_sip.c: Merged revisions 265449 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265449 |
	  mmichelson | 2010-05-24 16:44:30 -0500 (Mon, 24 May 2010) | 11
	  lines Allow type=user SIP endpoints to be loaded properly from
	  realtime. (closes issue #16021) Reported by: Guggemand Patches:
	  realtime-type-fix.patch uploaded by Guggemand (license 897)
	  (altered by me slightly to avoid ref leaks) Tested by: Guggemand
	  ........

2010-05-24 19:30 +0000 [r265364]  David Vossel <dvossel@digium.com>

	* main/channel.c, /: Merged revisions 265273 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265273 |
	  dvossel | 2010-05-24 11:10:09 -0500 (Mon, 24 May 2010) | 2 lines
	  fixes segfault when using generic plc ........

2010-05-24 18:30 +0000 [r265318]  Tilghman Lesher <tlesher@digium.com>

	* main/asterisk.c, /: Merged revisions 265316 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265316 |
	  tilghman | 2010-05-24 13:19:08 -0500 (Mon, 24 May 2010) | 7 lines
	  On systems with a LOT of RAM, a signed integer sometimes printed
	  negative. (closes issue #16837) Reported by: jlpedrosa Patches:
	  20100504__issue16837.diff.txt uploaded by tilghman (license 14)
	  ........

2010-05-21 21:57 +0000 [r264998-265172]  Mark Michelson <mmichelson@digium.com>

	* apps/app_queue.c: Fix memory hogging behavior of app_queue. From
	  reviewboard: This review request is for the patch on issue 17081.
	  A user reported that he saw increasing numbers of allocations
	  stemming from app_queue.c when he would run the "queue show" CLI
	  command. The user reported that he was using approximately 40
	  realtime queues and as he ran the CLI command more and more, the
	  memory usage would shoot up. As it turns out, there was a memory
	  leak and a separate usage of memory that, while not really a
	  leak, was very irresponsible. Both memory problems can be
	  attributed to the function init_queue(). When the "queue show"
	  command is run, all realtime queues have the init_queue()
	  function called on the in-memory queue. The idea is to place the
	  queue in its default state and then overwrite options specified
	  in the realtime backend as we read them. The first problem, the
	  memory leak, had to do with the fact that the string field for
	  the name of the first periodic announcement file was being
	  re-created every time init_queue was called. This patch corrects
	  the behavior by only calling ast_str_create if the memory has not
	  already been allocated. The other problem is a bit more
	  complicated. The majority of the strings in the call_queue
	  structure were changed to use the ast_string_fields API for 1.6.0
	  and beyond. init_queue resets all string fields on the queue to
	  their default values. Then, later in the realtime queue loading
	  process, these string fields are set to their configured values.
	  For those unfamiliar with string fields, frequent resizing of a
	  string like this is not what the string fields API is designed
	  for. The result of this constant resizing is that as the queue
	  gets loaded, eventually space for the string runs out and so a
	  new memory pool, at twice the size of the previously allocated
	  one, is created for the string fields. The reporter of issue
	  17081 wrote a script that ran the "queue show" CLI command 2100
	  times. By the end, each of his 40 queues was taking about a
	  megabyte of memory apiece just for their string fields. My fix
	  for this problem is to revert the call_queue structure from using
	  string fields. In my patch here, I have moved the queue back to
	  using fixed-sized buffers. I ran the script provided by the
	  reporter of 17081 and determined that I no longer saw the
	  steadily-increasing memory usage that I had seen before applying
	  the patch. (closes issue #17081) Reported by: wliegel Patches:
	  17081v2.patch uploaded by mmichelson (license 60) Tested by:
	  wliegel, mmichelson Review:
	  https://reviewboard.asterisk.org/r/651/

	* apps/app_queue.c, include/asterisk/file.h, /: Merged revisions
	  265090 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r265090 | mmichelson | 2010-05-21 16:08:51 -0500 (Fri, 21 May
	  2010) | 15 lines Merged revisions 265089 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r265089 | mmichelson | 2010-05-21 15:59:14 -0500 (Fri, 21 May
	  2010) | 8 lines Don't hang up on a queue caller if the file we
	  attempt to play does not exist. This also fixes a documentation
	  mistake in file.h that made my original attempt to correct this
	  problem not work correctly. (closes issue #17061) Reported by:
	  RoadKill ........ ................

	* /, channels/chan_sip.c: Merged revisions 265087 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r265087 |
	  mmichelson | 2010-05-21 15:38:14 -0500 (Fri, 21 May 2010) | 7
	  lines Be sure to set the sin_family on the proxy when allocating.
	  (closes issue #17157) Reported by: stuarth ........

	* /, include/asterisk/channel.h: Merged revisions 265000 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r265000 | mmichelson | 2010-05-21 11:54:21 -0500
	  (Fri, 21 May 2010) | 9 lines Merged revisions 264999 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r264999 | mmichelson | 2010-05-21 11:53:53 -0500 (Fri,
	  21 May 2010) | 3 lines Fix grammatical error in comment. ........
	  ................

	* main/channel.c, main/autoservice.c, /,
	  include/asterisk/channel.h: Merged revisions 264997 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r264997 | mmichelson | 2010-05-21 11:44:27 -0500
	  (Fri, 21 May 2010) | 38 lines Merged revisions 264996 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r264996 | mmichelson | 2010-05-21 11:28:34 -0500 (Fri, 21 May
	  2010) | 32 lines Allow ast_safe_sleep to defer specific frames
	  until after the sleep has concluded. From reviewboard Background:
	  A Digium customer discovered a somewhat odd bug. The setup is
	  that parties A and B are bridged, and party A places party B on
	  hold. While party B is listening to hold music, he mashes a bunch
	  of DTMF. Party A takes party B off hold while this is happening,
	  but party B continues to hear hold music. I could reproduce this
	  about 1 in 5 times. The issue: When DTMF features are enabled and
	  a user presses keys, the channel that the DTMF is streamed to is
	  placed in an ast_safe_sleep for 100 ms, the duration of the
	  emulated tone. If an AST_CONTROL_UNHOLD frame is read from the
	  channel during the sleep, the frame is dropped. Thus the unhold
	  indication is never made to the channel that was originally
	  placed on hold. The fix: Originally, I discussed with Kevin
	  possible ways of fixing the specific problem reported. However,
	  we determined that the same type of problem could happen in other
	  situations where ast_safe_sleep() is used. Using autoservice as a
	  model, I modified ast_safe_sleep_conditional() to defer specific
	  frame types so they can be re-queued once the sleep has finished.
	  I made a common function for determining if a frame should be
	  deferred so that there are not two identical switch blocks to
	  maintain. Review: https://reviewboard.asterisk.org/r/674/
	  ........ ................

2010-05-20 23:34 +0000 [r264829]  Richard Mudgett <rmudgett@digium.com>

	* /, main/callerid.c: Merged revisions 264828 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r264828 | rmudgett | 2010-05-20 18:29:43 -0500 (Thu, 20 May 2010)
	  | 13 lines Merged revisions 264820 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r264820 | rmudgett | 2010-05-20 18:23:21 -0500 (Thu, 20 May 2010)
	  | 6 lines ast_callerid_parse() had a path that left name
	  uninitialized. Several callers of ast_callerid_parse() do not
	  initialize the name parameter before calling thus there is the
	  potential to use an uninitialized pointer. ........
	  ................

2010-05-20 22:24 +0000 [r264753-264783]  Tilghman Lesher <tlesher@digium.com>

	* main/pbx.c, /: Merged revisions 264779 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264779 |
	  tilghman | 2010-05-20 17:23:32 -0500 (Thu, 20 May 2010) | 8 lines
	  Let ExtensionState resolve dynamic hints. (closes issue #16623)
	  Reported by: tilghman Patches: 20100116__issue16623.diff.txt
	  uploaded by tilghman (license 14) Tested by: lmadsen ........

	* apps/app_stack.c, /: Merged revisions 264752 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264752 |
	  tilghman | 2010-05-20 16:28:53 -0500 (Thu, 20 May 2010) | 7 lines
	  Error message fix. (closes issue #17356) Reported by: kenner
	  Patches: app_stack.c.diff uploaded by kenner (license 1040)
	  ........

2010-05-19 22:10 +0000 [r264453]  Mark Michelson <mmichelson@digium.com>

	* include/asterisk/_private.h, include/asterisk/options.h,
	  main/asterisk.c, main/loader.c, main/channel.c, /,
	  channels/chan_sip.c: Merged revisions 264452 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264452 |
	  mmichelson | 2010-05-19 16:29:08 -0500 (Wed, 19 May 2010) | 86
	  lines Fix transcode_via_sln option with SIP calls and improve PLC
	  usage. From reviewboard: The problem here is a bit complex, so
	  try to bear with me... It was noticed by a Digium customer that
	  generic PLC (as configured in codecs.conf) did not appear to
	  actually be having any sort of benefit when packet loss was
	  introduced on an RTP stream. I reproduced this issue myself by
	  streaming a file across an RTP stream and dropping approx. 5% of
	  the RTP packets. I saw no real difference between when PLC was
	  enabled or disabled when using wireshark to analyze the RTP
	  streams. After analyzing what was going on, it became clear that
	  one of the problems faced was that when running my tests, the
	  translation paths were being set up in such a way that PLC could
	  not possibly work as expected. To illustrate, if packets are lost
	  on channel A's read stream, then we expect that PLC will be
	  applied to channel B's write stream. The problem is that generic
	  PLC can only be done when there is a translation path that moves
	  from some codec to SLINEAR. When I would run my tests, I found
	  that every single time, read and write translation paths would be
	  set up on channel A instead of channel B. There appeared to be no
	  real way to predict which channel the translation paths would be
	  set up on. This is where Kevin swooped in to let me know about
	  the transcode_via_sln option in asterisk.conf. It is supposed to
	  work by placing a read translation path on both channels from the
	  channel's rawreadformat to SLINEAR. It also will place a write
	  translation path on both channels from SLINEAR to the channel's
	  rawwriteformat. Using this option allows one to predictably set
	  up translation paths on all channels. There are two problems with
	  this, though. First and foremost, the transcode_via_sln option
	  did not appear to be working properly when I was placing a SIP
	  call between two endpoints which did not share any common
	  formats. Second, even if this option were to work, for PLC to be
	  applied, there had to be a write translation path that would go
	  from some format to SLINEAR. It would not work properly if the
	  starting format of translation was SLINEAR. The one-line change
	  presented in this review request in chan_sip.c fixed the first
	  issue for me. The problem was that in sip_request_call, the
	  jointcapability of the outbound channel was being set to the
	  format passed to sip_request_call. This is nativeformats of the
	  inbound channel. Because of this, when
	  ast_channel_make_compatible was called by app_dial, both channels
	  already had compatibly read and write formats. Thus, no
	  translation path was set up at the time. My change is to set the
	  jointcapability of the sip_pvt created during sip_request_call to
	  the intersection of the inbound channel's nativeformats and the
	  configured peer capability that we determined during the earlier
	  call to create_addr. Doing this got the translation paths set up
	  as expected when using transcode_via_sln. The changes presented
	  in channel.c fixed the second issue for me. First and foremost,
	  when Asterisk is started, we'll read codecs.conf to see the value
	  of the genericplc option. If this option is set, and ast_write is
	  called for a frame with no data, then we will attempt to fill in
	  the missing samples for the frame. The implementation uses a
	  channel datastore for maintaining the PLC state and for creating
	  a buffer to store PLC samples in. Even when we receive a frame
	  with data, we'll call plc_rx so that the PLC state will have
	  knowledge of the previous voice frame, which it can use as a
	  basis for when it comes time to actually do a PLC fill-in. So,
	  reviewers, now I ask for your help. First off, there's the one
	  line change in chan_sip that I have put in. Is it right? By my
	  logic it seems correct, but I'm sure someone can tell me why it
	  is not going to work. This is probably the change I'm least
	  concerned about, though. What concerns me much more is the set of
	  changes in channel.c. First off, am I even doing it right? When I
	  run tests, I can clearly see that when PLC is activated, I see a
	  significant increase in RTP traffic where I would expect it to
	  be. However, in my humble opinion, the audio sounds kind of
	  crappy whenever the PLC fill-in is done. It sounds worse to me
	  than when no PLC is used at all. I need someone to review the
	  logic I have used to be sure that I'm not misusing anything. As
	  far as I can see my pointer arithmetic is correct, and my use of
	  AST_FRIENDLY_OFFSET should be correct as well, but I'm sure
	  someone can point out somewhere where I've done something
	  incorrectly. As I was writing this review request up, I decided
	  to give the code a test run under valgrind, and I find that for
	  some reason, calls to plc_rx are causing some invalid reads.
	  Apparently I'm reading past the end of a buffer somehow. I'll
	  have to dig around a bit to see why that is the case. If it's
	  obvious to someone reviewing, speak up! Finally, I have one other
	  proposal that is not reflected in my code review. Since without
	  transcode_via_sln set, one cannot predict or control where a
	  translation path will be up, it seems to me that the current
	  practice of using PLC only when transcoding to SLINEAR is not
	  useful. I recommend that once it has been determined that the
	  method used in this code review is correct and works as expected,
	  then the code in translate.c that invokes PLC should be removed.
	  Review: https://reviewboard.asterisk.org/r/622/ ........

2010-05-19 20:31 +0000 [r264405]  David Vossel <dvossel@digium.com>

	* main/udptl.c, /: Merged revisions 264400 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264400 |
	  dvossel | 2010-05-19 15:30:33 -0500 (Wed, 19 May 2010) | 11 lines
	  fixes infinite loop during udptl.c's decode_open_type When
	  decode_length returns the length there is a check to see if that
	  length is negative, if so the decode loop breaks as this means
	  the limit has been reached. The problem here is that length is an
	  unsigned int, so length can never be negative. This resulted in
	  an infinite loop. (issue #17352) ........

2010-05-19 20:27 +0000 [r264336-264388]  Matthew Nicholson <mnicholson@digium.com>

	* main/udptl.c, /: Merged revisions 264379 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264379 |
	  mnicholson | 2010-05-19 15:26:27 -0500 (Wed, 19 May 2010) | 4
	  lines Cast an unsigned int to a signed int when comparing it with
	  0. (AST-377) ........

	* apps/app_speech_utils.c, /: Merged revisions 264335 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r264335 | mnicholson | 2010-05-19 15:02:57 -0500
	  (Wed, 19 May 2010) | 12 lines Merged revisions 264334 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r264334 | mnicholson | 2010-05-19 15:01:38 -0500 (Wed, 19 May
	  2010) | 5 lines Set quieted flag when receiving a dtmf tone
	  during playback in speechbackground. (closes issue #16966)
	  Reported by: asackheim ........ ................

2010-05-19 19:25 +0000 [r264332]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 264331 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264331 |
	  dvossel | 2010-05-19 14:21:04 -0500 (Wed, 19 May 2010) | 13 lines
	  fixes crash in check_rtp_timeout During deadlock avoidance the
	  sip dialog pvt is locked and unlocked. When this occurs we have
	  no guarantee the pvt's owner is still valid. We were trying to
	  access the pvt's owner after this without checking to see if it
	  still existed first. (closes issue #17271) Reported by: under
	  Patches: check_rtp_timeout.diff uploaded by under (license 914)
	  Tested by: dvossel ........

2010-05-19 17:49 +0000 [r264205-264250]  Tilghman Lesher <tlesher@digium.com>

	* include/asterisk/options.h, /, configure,
	  include/asterisk/autoconfig.h.in, configure.ac: Merged revisions
	  264249 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r264249 | tilghman | 2010-05-19 12:48:31 -0500 (Wed, 19 May 2010)
	  | 24 lines Merged revisions 264248 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r264248 | tilghman | 2010-05-19 12:41:29 -0500 (Wed, 19 May 2010)
	  | 17 lines Internal timing is now on by default, if you're using
	  DAHDI 2.3 or above. The reason for ensuring DAHDI 2.3 or above is
	  that this version ensures that a timer is always available,
	  whereas in previous versions, it was possible for DAHDI to be
	  loaded, but have no drivers to actually generate timing. If
	  internal_timing was turned on in this circumstance, a complete
	  lack of audio would result. This is the reason why
	  internal_timing was not on by default. However, now that DAHDI
	  ensures the availability of a timer, there is no reason for this
	  setting to be off (and in fact, it solves a great many initial
	  user problems). (closes issue #15932) Reported by: dimas Patches:
	  20100519__issue15932.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman ........ ................

	* main/dsp.c, /: Merged revisions 264204 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264204 |
	  tilghman | 2010-05-19 11:42:20 -0500 (Wed, 19 May 2010) | 9 lines
	  Keep track of digit duration, when we're decoding inband to pass
	  DTMF frames. (closes issue #17235) Reported by: frawd Patches:
	  new_dtmf_dsp_len.patch uploaded by frawd (license 610)
	  20100518__issue17235.diff.txt uploaded by tilghman (license 14)
	  Tested by: frawd ........

2010-05-19 14:47 +0000 [r264115]  David Vossel <dvossel@digium.com>

	* main/rtp.c, /: Merged revisions 264114 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r264114 |
	  dvossel | 2010-05-19 09:38:02 -0500 (Wed, 19 May 2010) | 13 lines
	  fixes crash during dtmf During the processing of Cisco dtmf the
	  dtmf samples were not being calculated correctly. In an attempt
	  to determine what sample rate was being used, a NULL frame was
	  processed which caused a crash. This patch resolves this. (closes
	  issue #17248) Reported by: falves11 Patches: issue_17248.diff
	  uploaded by dvossel (license 671) ........

2010-05-19 08:15 +0000 [r264032]  Alec L Davis <sivad.a@paradise.net.nz>

	* /, configs/indications.conf.sample: Merged revisions 264031 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r264031 | alecdavis | 2010-05-19 20:09:14 +1200 (Wed, 19
	  May 2010) | 8 lines fix incorrectly typed indications for [nz]
	  stutter and dialrecall (closes issue #17359) Reported by:
	  alecdavis Patches: bug17359.diff.txt uploaded by alecdavis
	  (license 585) ........

2010-05-19 06:41 +0000 [r263951]  Tilghman Lesher <tlesher@digium.com>

	* main/dsp.c, /: Merged revisions 263950 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r263950 | tilghman | 2010-05-19 01:41:04 -0500 (Wed, 19 May 2010)
	  | 15 lines Merged revisions 263949 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r263949 | tilghman | 2010-05-19 01:32:27 -0500 (Wed, 19 May 2010)
	  | 8 lines Because progress is called multiple times, across
	  several frames, we must persist states when detecting multitone
	  sequences. (closes issue #16749) Reported by: dant Patches:
	  dsp.c-bug16749-1.patch uploaded by dant (license 670) Tested by:
	  dant ........ ................

2010-05-18 22:49 +0000 [r263906]  David Vossel <dvossel@digium.com>

	* main/strings.c, /: Merged revisions 263904 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r263904 |
	  dvossel | 2010-05-18 17:48:51 -0500 (Tue, 18 May 2010) | 9 lines
	  fixes segfault on logging (closes issue #17331) Reported by:
	  under Patches: utils.diff uploaded by under (license 914)
	  segfault_on_logging.diff uploaded by dvossel (license 671) Tested
	  by: under, dvossel ........

2010-05-18 19:41 +0000 [r263809]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_directory.c, /: Merged revisions 263807 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r263807 | jpeeler | 2010-05-18 14:27:34 -0500
	  (Tue, 18 May 2010) | 17 lines Merged revisions 263769 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r263769 | jpeeler | 2010-05-18 13:54:58 -0500 (Tue, 18 May 2010)
	  | 10 lines Modify directory name reading to be interrupted with
	  operator or pound escape. In the case of accidentally entering
	  the wrong first three letters for the reading, users could be
	  very frustrated if the name listing is very long. This allows
	  interrupting the reading by pressing 0 or #. 0 will attempt to
	  execute a configured operator (o) extension and # will exit and
	  proceed in the dialplan. ABE-2200 ........ ................

2010-05-17 22:10 +0000 [r263642]  Mark Michelson <mmichelson@digium.com>

	* /, main/devicestate.c: Merged revisions 263640 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r263640 | mmichelson | 2010-05-17 17:08:01 -0500 (Mon, 17 May
	  2010) | 16 lines Merged revisions 263639 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r263639 | mmichelson | 2010-05-17 17:00:28 -0500 (Mon, 17 May
	  2010) | 10 lines Fix logic error when checking for a devstate
	  provider. When using strsep, if one of the list of specified
	  separators is not found, it is the first parameter to strsep
	  which is now NULL, not the pointer returned by strsep. This issue
	  isn't especially severe in that the worst it is likely to do is
	  waste some cycles when a device with no '/' and no ':' is passed
	  to ast_device_state. ........ ................

2010-05-17 19:37 +0000 [r263587-263590]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 263589 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r263589 | tilghman | 2010-05-17 14:31:15 -0500 (Mon, 17 May 2010)
	  | 9 lines With IMAP backend, messages in INBOX were counted twice
	  for MWI. (closes issue #17135) Reported by: edhorton Patches:
	  20100513__issue17135.diff.txt uploaded by tilghman (license 14)
	  17135_2.diff uploaded by ebroad (license 878) Tested by:
	  edhorton, ebroad ........

	* main/app.c: Don't close 'n', just close 'above_n'. (closes issue
	  #17345) Reported by: wdoekes

2010-05-17 14:41 +0000 [r263376-263458]  Leif Madsen <lmadsen@digium.com>

	* main/manager.c, /: Merged revisions 263457 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r263457 | lmadsen | 2010-05-17 09:37:35 -0500 (Mon, 17 May 2010)
	  | 19 lines Recorded merge of revisions 263456 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r263456 | lmadsen | 2010-05-17 09:35:18 -0500 (Mon, 17 May 2010)
	  | 11 lines Manager cookies are not compatible with RFC2109. The
	  Version field in the cookies we're setting contain quotes around
	  the version number which is not compatible with RFC2109 and
	  breaks some implementations. (closes issue #17231) Reported by:
	  ecarruda Patches: manager_rfc2109-trunk-v1.patch uploaded by
	  ecarruda (license 559) manager_rfc2109-1.6.2-v1.patch uploaded by
	  ecarruda (license 559) Tested by: ecarruda, russell ........
	  ................

	* sounds/Makefile, /: Merged revisions 263375 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r263375 | lmadsen | 2010-05-17 09:05:33 -0500 (Mon, 17 May 2010)
	  | 16 lines Merged revisions 263374 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r263374 | lmadsen | 2010-05-17 09:04:57 -0500 (Mon, 17 May 2010)
	  | 8 lines Update link to new version of core sounds. The latest
	  version of the core sounds files 1.4.19 now includes the missing
	  queue-minute sound file which is called by app_queue but which
	  has been missing. (closes issue #17123) Reported by: n8ideas
	  ........ ................

2010-05-17 13:03 +0000 [r263293]  David Vossel <dvossel@digium.com>

	* CHANGES, channels/chan_dahdi.c: backport of DAHDI dynamic buffer
	  policy dialstring option

2010-05-15 23:41 +0000 [r263202]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, codecs/gsm/Makefile: Merged revisions 252488 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r252488 |
	  tilghman | 2010-03-15 12:27:08 -0400 (Mon, 15 Mar 2010) | 9 lines
	  Make the Makefile logic more explicit and move the Snow Leopard
	  logic down to where it's not executed on non-Darwin systems.
	  (closes issue #17028) Reported by: pabelanger Patches:
	  issue17028_20100315.patch uploaded by seanbright (license 71)
	  20100315__issue17028.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman, pabelanger ........

2010-05-13 22:13 +0000 [r263070]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 263069 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r263069 | rmudgett | 2010-05-13 17:01:36 -0500 (Thu, 13 May 2010)
	  | 1 line Fix inverted logic in cli command: ss7 set debug on/off
	  ........

2010-05-13 15:36 +0000 [r262898]  Russell Bryant <russell@digium.com>

	* channels/chan_console.c, /: Merged revisions 262897 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r262897 | russell | 2010-05-13 10:36:12 -0500 (Thu, 13 May 2010)
	  | 4 lines Fix an off by one error that causes a crash. Thanks to
	  Raymond Burke for pointing it out. ........

2010-05-12 20:01 +0000 [r262801]  Paul Belanger <paul.belanger@polybeacon.com>

	* main/loader.c, main/cli.c, /: Merged revisions 262800 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r262800 | pabelanger | 2010-05-12 15:59:16 -0400 (Wed,
	  12 May 2010) | 8 lines Notify CLI when modules is loaded /
	  unloaded (closes issue #17308) Reported by: pabelanger Patches:
	  cli.modules.patch uploaded by pabelanger (license 224) Tested by:
	  pabelanger, russell ........

2010-05-12 19:53 +0000 [r262797-262799]  Leif Madsen <lmadsen@digium.com>

	* res/ael/pval.c, /: Merged revisions 262798 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r262798 |
	  lmadsen | 2010-05-12 14:53:10 -0500 (Wed, 12 May 2010) | 7 lines
	  Revert previous WARNING message removal. Marquis42 suggested a
	  better method of doing what I wanted because I ended up removing
	  the WARNING message for all instances when really I just wanted
	  to remove it for the 'return' keyword, not everything. (issue
	  #17145) ........

	* res/ael/pval.c, /: Merged revisions 262796 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r262796 |
	  lmadsen | 2010-05-12 14:31:42 -0500 (Wed, 12 May 2010) | 4 lines
	  Remove unnecessary WARNING message in ael/pval.c (closes issue
	  #17145) Reported by: okrief ........

2010-05-12 18:03 +0000 [r262746]  David Vossel <dvossel@digium.com>

	* /, apps/app_meetme.c: Merged revisions 262744 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r262744 | dvossel | 2010-05-12 13:01:20 -0500 (Wed, 12 May 2010)
	  | 17 lines Merged revisions 262662 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r262662 | dvossel | 2010-05-12 12:00:04 -0500 (Wed, 12 May 2010)
	  | 11 lines fixes app_meetme dsp error We attempted to detect
	  silence after translating a frame from signed linear. This caused
	  a flooding of errors. To resolve this the code to detect silence
	  was moved before the translation. (closes issue #17133) Reported
	  by: jsdyer ........ ................

2010-05-12 16:29 +0000 [r262516-262659]  Tilghman Lesher <tlesher@digium.com>

	* /, apps/app_privacy.c: Merged revisions 262656 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r262656 |
	  tilghman | 2010-05-12 11:23:26 -0500 (Wed, 12 May 2010) | 8 lines
	  Ensure the arguments are initialized. Also miscellaneous CG
	  cleanup. (closes issue #16576) Reported by: uxbod Patches:
	  20100505__issue16576.diff.txt uploaded by tilghman (license 14)
	  Tested by: uxbod ........

	* /, include/asterisk/causes.h: Merged revisions 262513 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r262513 | tilghman | 2010-05-11 16:25:05 -0500 (Tue, 11
	  May 2010) | 7 lines Move cause 200 to cause 26, as specified in
	  Q.850. Also cleanup the formatting and add a few more that seem
	  like good candidates. (closes issue #16157) Reported by: wimpy
	  ........

2010-05-11 19:58 +0000 [r262425]  Jason Parker <jparker@digium.com>

	* /, res/Makefile: Merged revisions 262422 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r262422 | qwell | 2010-05-11 14:57:24 -0500 (Tue, 11 May 2010) |
	  18 lines Merged revisions 262421 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r262421 | qwell | 2010-05-11 14:55:42 -0500 (Tue, 11 May 2010) |
	  11 lines Use a less silly method for modifying a flex-generated
	  file. The sed syntax that was used wasn't actually valid, causing
	  some versions to choke. This is the method that is used in 1.6.x+
	  for similar changes. (closes issue #16696) Reported by: bklang
	  Patches: 16696-sedfix.diff uploaded by qwell (license 4) Tested
	  by: qwell ........ ................

2010-05-11 19:41 +0000 [r262415-262420]  Paul Belanger <paul.belanger@polybeacon.com>

	* pbx/pbx_config.c, /: Merged revisions 262419 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r262419 |
	  pabelanger | 2010-05-11 15:40:37 -0400 (Tue, 11 May 2010) | 8
	  lines Improve logging by displaying line number (closes issue
	  #16303) Reported by: dant Patches: issue16303.patch.v2 uploaded
	  by pabelanger (license 224) Tested by: dant, lmadsen, pabelanger
	  ........

	* /, channels/chan_sip.c: Merged revisions 262414 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r262414 |
	  pabelanger | 2010-05-11 15:26:17 -0400 (Tue, 11 May 2010) | 8
	  lines Improve logging information for misconfigured contexts
	  (closes issue #17238) Reported by: pprindeville Patches:
	  chan_sip-bug17238.patch uploaded by pprindeville (license 347)
	  Tested by: pprindeville ........

2010-05-11 17:25 +0000 [r262340]  Tilghman Lesher <tlesher@digium.com>

	* apps/app_voicemail.c, /, Makefile.rules: Merged revisions 262330
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r262330 | tilghman | 2010-05-11 12:23:51 -0500
	  (Tue, 11 May 2010) | 9 lines Merged revisions 262321 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r262321 | tilghman | 2010-05-11 12:22:07 -0500 (Tue, 11
	  May 2010) | 2 lines Fix issue #17302 a slightly different way
	  (mad props to Qwell) ........ ................

2010-05-10 19:06 +0000 [r262237-262241]  David Vossel <dvossel@digium.com>

	* /, apps/app_directed_pickup.c: Merged revisions 262240 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r262240 | dvossel | 2010-05-10 14:06:08 -0500 (Mon, 10
	  May 2010) | 9 lines fixes PickupChan application (closes issue
	  #16863) Reported by: schern Patches: app_directed_pickup.c.patch
	  uploaded by schern (license 995) for_trunk.diff uploaded by
	  cjacobsen (license 1029) Tested by: Graber, cjacobsen, lathama,
	  rickead2000, dvossel ........

	* channels/chan_console.c, /: Merged revisions 262236 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r262236 | dvossel | 2010-05-10 13:36:10 -0500 (Mon, 10 May 2010)
	  | 11 lines fixes crash in chan_console There is a race condition
	  between console_hangup() and start_stream(). It is possible for
	  console_hangup() to be called and then the stream thread to begin
	  after the hangup. To avoid this a check in start_stream() to make
	  sure the pvt-owner still exists while the pvt lock is held is
	  made. If the owner is gone that means the channel hung up and
	  start_stream should be aborted. ........

2010-05-10 16:39 +0000 [r262155]  Tilghman Lesher <tlesher@digium.com>

	* /, Makefile.rules: Merged revisions 262152 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r262152 | tilghman | 2010-05-10 11:36:25 -0500 (Mon, 10 May 2010)
	  | 17 lines Merged revisions 262151 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r262151 | tilghman | 2010-05-10 11:34:21 -0500 (Mon, 10 May 2010)
	  | 10 lines Allow compilation on Mac OS X 10.4 (Tiger) (closes
	  issue #17297) Reported by: jcovert Patches:
	  20100506__issue17297.diff.txt uploaded by tilghman (license 14)
	  (closes issue #17302) Reported by: jcovert ........
	  ................

2010-05-09 02:17 +0000 [r261916-262105]  Tilghman Lesher <tlesher@digium.com>

	* autoconf/ast_ext_lib.m4, autoconf/ast_c_compile_check.m4,
	  autoconf/ast_c_define_check.m4, /, configure,
	  include/asterisk/autoconfig.h.in: Merged revisions 262102 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r262102 | tilghman | 2010-05-08 21:14:04 -0500 (Sat, 08
	  May 2010) | 5 lines Cleanup a bit more by getting rid of useless
	  version defines. Also make library detection use passed CFLAGS.
	  (closes issue #17309) Reported by: stuarth ........

	* /, configure, configure.ac: Merged revisions 262048 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r262048 | tilghman | 2010-05-07 21:40:01 -0500 (Fri, 07 May 2010)
	  | 2 lines Use CPPFLAGS to pass PTHREAD_CFLAGS for vpb only
	  ........

	* /, funcs/func_odbc.c: Merged revisions 261917 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261917 |
	  tilghman | 2010-05-07 15:54:35 -0500 (Fri, 07 May 2010) | 8 lines
	  Double free crash (closes issue #17245) Reported by:
	  thedavidfactor Patches: 20100426__issue17245.diff.txt uploaded by
	  tilghman (license 14) Tested by: murraytm ........

	* /, configure, include/asterisk/autoconfig.h.in, configure.ac:
	  Merged revisions 261913 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261913 |
	  tilghman | 2010-05-07 15:35:17 -0500 (Fri, 07 May 2010) | 14
	  lines Use the detected pthread building flags in every place,
	  instead of hardcoding -lpthread. We nicely detect the right flags
	  on each system for building Asterisk with pthreads, then ignore
	  it for every other build option that requires us to build with
	  pthreads. This caused some items to return a false negative. Also
	  cleanup some minor naming issues that caused "library library"
	  redundancy in the output. (closes issue #17303) Reported by:
	  stuarth Patches: 20100507__issue17303.diff.txt uploaded by
	  tilghman (license 14) Tested by: stuarth ........

2010-05-07 16:08 +0000 [r261868]  Leif Madsen <lmadsen@digium.com>

	* UPGRADE-1.6.txt, /: Merged revisions 261867 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261867 |
	  lmadsen | 2010-05-07 11:05:24 -0500 (Fri, 07 May 2010) | 6 lines
	  Update UPGRADE-1.6.txt stating insecure=very has been removed.
	  (closes issue #17282) Reported by: stuarth Tested by: stuarth
	  ........

2010-05-06 20:13 +0000 [r261739]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 261736 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r261736 | jpeeler | 2010-05-06 15:11:53 -0500
	  (Thu, 06 May 2010) | 15 lines Merged revisions 261735 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r261735 | jpeeler | 2010-05-06 15:10:59 -0500 (Thu, 06 May 2010)
	  | 8 lines Only allow the operator key to be accepted after
	  leaving a voicemail. Or rather disallow the operator key from
	  being accepted when not offered, such as after finishing a
	  recording from within the mailbox options menu. ABE-2121 SWP-1267
	  ........ ................

2010-05-06 17:08 +0000 [r261612]  Jason Parker <jparker@digium.com>

	* sounds/Makefile, /: Merged revisions 261609 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r261609 | qwell | 2010-05-06 12:06:40 -0500 (Thu, 06 May 2010) |
	  11 lines Merged revisions 261608 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r261608 | qwell | 2010-05-06 11:56:02 -0500 (Thu, 06 May 2010) |
	  4 lines Use the versioned MOH tarballs, now that we have them.
	  This makes for more reproducibility. Prompted by a discussion in
	  #asterisk-dev ........ ................

2010-05-06 15:43 +0000 [r261563]  Tilghman Lesher <tlesher@digium.com>

	* /, channels/chan_sip.c: Merged revisions 261560 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261560 |
	  tilghman | 2010-05-06 10:39:10 -0500 (Thu, 06 May 2010) | 8 lines
	  Permit more lines within a SIP body to be parsed. The example
	  given within the related issue showed 120 lines, which was mostly
	  a result of the body being XML. (closes issue #17179) Reported
	  by: khw ........

2010-06-01  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.8 Released.

2010-05-26  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.8-rc2 Released.

2010-05-26 10:56 -0500 [r265891]  Matt Nicholson <mnicholson@digium.com>

        * Merged r265610 from 1.4:

          Don't mark the cdr records of unanswered queue calls with "NOANSWER".
          This restores the behavior prior to r258670.

          (closes issue #17334)
          Reported by: jvandal
          Patches:
                queue-cdr-fixes1.diff uploaded by mnicholson (license 96)
          Tested by: aragon, jvandal

2010-05-06  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.6.2.8-rc1 Released

2010-05-06 14:07 +0000 [r261498-261499]  Russell Bryant <russell@digium.com>

	* tests/test_heap.c: Add test case that ensures the heap handles
	  arbitrary removals properly. (issue #17277) Reported by:
	  cappucinoking Patches: test_heap.diff uploaded by cappucinoking
	  (license 1036) Tested by: cappucinoking, russell

	* /, main/heap.c: Merged revisions 261496 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261496 |
	  russell | 2010-05-06 08:58:07 -0500 (Thu, 06 May 2010) | 40 lines
	  Fix handling of removing nodes from the middle of a heap. This
	  bug surfaced in 1.6.2 and does not affect code in any other
	  released version of Asterisk. It manifested itself as SIP qualify
	  not happening when it should, causing peers to go unreachable.
	  This was debugged down to scheduler entries sometimes not getting
	  executed when they were supposed to, which was in turn caused by
	  an error in the heap code. The problem only sometimes occurs, and
	  it is due to the logic for removing an entry in the heap from an
	  arbitrary location (not just popping off the top). The scheduler
	  performs this operation frequently when entries are removed
	  before they run (when ast_sched_del() is used). In a normal pop
	  off of the top of the heap, a node is taken off the bottom,
	  placed at the top, and then bubbled down until the max heap
	  property is restored (see max_heapify()). This same logic was
	  used for removing an arbitrary node from the middle of the heap.
	  Unfortunately, that logic is full of fail. This patch fixes that
	  by fully restoring the max heap property when a node is thrown
	  into the middle of the heap. Instead of just pushing it down as
	  appropriate, it first pushes it up as high as it will go, and
	  _then_ pushes it down. Lastly, fix a minor problem in
	  ast_heap_verify(), which is only used for debugging. If a parent
	  and child node have the same value, that is not an error. The
	  only error is if a parent's value is less than its children. A
	  huge thanks goes out to cappucinoking for debugging this down to
	  the scheduler, and then producing an ast_heap test case that
	  demonstrated the breakage. That made it very easy for me to focus
	  on the heap logic and produce a fix. Open source projects are
	  awesome. (closes issue #16936) Reported by: ib2 Tested by:
	  cappucinoking, crjw (closes issue #17277) Reported by:
	  cappucinoking Patches: heap-fix.rev2.diff uploaded by russell
	  (license 2) Tested by: cappucinoking, russell ........

2010-05-06 07:43 +0000 [r261453]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_dahdi.c, /: Merged revisions 261451 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r261451 | tzafrir | 2010-05-06 10:27:31 +0300 (ה', 06 מאי 2010) |
	  4 lines When failing to configure, don't destroy 'cfg' twice
	  Fixes a crash when some config section had an incorrect channel
	  config. ........

2010-05-05 19:08 +0000 [r261233-261315]  Paul Belanger <paul.belanger@polybeacon.com>

	* /, channels/chan_sip.c: Merged revisions 261314 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r261314 | pabelanger | 2010-05-05 14:43:03 -0400 (Wed, 05 May
	  2010) | 19 lines Merged revisions 261274 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r261274 | pabelanger | 2010-05-05 12:42:22 -0400 (Wed, 05 May
	  2010) | 12 lines Registration fix for SIP realtime. Make sure
	  realtime fields are not empty. (closes issue #17266) Reported by:
	  Nick_Lewis Patches: chan_sip.c-realtime.patch uploaded by Nick
	  Lewis (license 657) Tested by: Nick_Lewis, sberney Review:
	  https://reviewboard.asterisk.org/r/643/ ........ ................

	* apps/app_queue.c, /: Merged revisions 261232 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r261232 |
	  pabelanger | 2010-05-05 11:42:07 -0400 (Wed, 05 May 2010) | 10
	  lines 'queue reset stats' erroneously clears wrapuptime
	  configuration. Resets each member's lastcall to 0 now. (closes
	  issue #17262, #16519) Reported by: rain Patches:
	  wrapuptime_reset_fix.diff uploaded by rain (license 327) Tested
	  by: rain ........

2010-05-04 23:55 +0000 [r261098]  Tilghman Lesher <tlesher@digium.com>

	* main/channel.c, /: Merged revisions 261095 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r261095 | tilghman | 2010-05-04 18:51:52 -0500 (Tue, 04 May 2010)
	  | 18 lines Merged revisions 261093-261094 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r261093 | tilghman | 2010-05-04 18:36:53 -0500 (Tue, 04 May 2010)
	  | 7 lines Protect against overflow, when calculating how long to
	  wait for a frame. (closes issue #17128) Reported by: under
	  Patches: d.diff uploaded by under (license 914) ........ r261094
	  | tilghman | 2010-05-04 18:47:08 -0500 (Tue, 04 May 2010) | 2
	  lines Add a tiny corner case to the previous commit ........
	  ................

2010-05-04 19:01 +0000 [r260927]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 260924 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260924 | jpeeler | 2010-05-04 13:51:28 -0500
	  (Tue, 04 May 2010) | 18 lines Merged revisions 260923 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260923 | jpeeler | 2010-05-04 13:46:46 -0500 (Tue, 04 May 2010)
	  | 12 lines Voicemail transfer to operator should occur
	  immediately, not after main menu. There were two scenarios in the
	  advanced options that while using the operator=yes and review=yes
	  options, the transfer occurred only after exiting the main menu
	  (after sending a reply or leaving a message for an extension).
	  Now after the audio is processed for the reply or message the
	  transfer occurs immediately as expected. ABE-2107 ABE-2108
	  ........ ................

2010-05-04 16:58 +0000 [r260884]  Matthew Nicholson <mnicholson@digium.com>

	* configs/sip.conf.sample, include/asterisk/frame.h,
	  main/channel.c, /, channels/chan_sip.c: Merged revisions 254450
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r254450 | kpfleming | 2010-03-25 10:27:31 -0500 (Thu, 25
	  Mar 2010) | 49 lines Improve handling of T.38 re-INVITEs that
	  arrive before a T.38-capable application is executing on a
	  channel. This patch addresses an issue found during working with
	  end-users using res_fax. If an incoming call is answered in the
	  dialplan, or jumps to the 'fax' extension due to reception of a
	  CNG tone (with faxdetect enabled), and then the remote endpoint
	  sends a T.38 re-INVITE, it is possible for the channel's T.38
	  state to be 'T38_STATE_NEGOTIATING' when the application starts
	  up. Unfortunately, even if the application wants to use T.38, it
	  can't respond to the peer's negotiation request, because the
	  AST_CONTROL_T38_PARAMETERS control frame that chan_sip sent
	  originally has been lost, and the application needs the content
	  of that frame to be able to formulate a reply. This patch adds a
	  new 'request' type to AST_CONTROL_T38_PARAMETERS,
	  AST_T38_REQUEST_PARMS. If the application sends this request,
	  chan_sip will re-send the original control frame (with
	  AST_T38_REQUEST_NEGOTIATE as the request type), and the
	  application can respond as normal. If this occurs within the five
	  second timeout in chan_sip, the automatic cancellation of the
	  peer reinvite will be stopped, and the application will 'own' the
	  negotiation process from that point onwards. This also improves
	  the code path in chan_sip to allow sip_indicate(), when called
	  for AST_CONTROL_T38_PARAMETERS, to be able to return a non-zero
	  response, which should have been in place before since the
	  control frame *can* fail to be processed properly. It also
	  modifies ast_indicate() to return whatever result the channel
	  driver returned for this control frame, rather than converting
	  all non-zero results into '-1'. Finally, the new request type
	  intentionally returns a positive value, so that an application
	  that sends AST_T38_REQUEST_PARMS can know for certain whether the
	  channel driver accepted it and will be replying with a control
	  frame of its own, or whether it was ignored (if the
	  sip_indicate()/ast_indicate() path had properly supported failure
	  responses before, this would not be necessary). This patch also
	  modifies res_fax to take advantage of the new request. In
	  addition, this patch makes sip_t38_abort() actually lock the
	  private structure before doing its work... bad programmer, no
	  donut. This patch also enhances chan_sip's 'faxdetect' support to
	  allow triggering on T.38 re-INVITEs received as well as CNG tone
	  detection. Review: https://reviewboard.asterisk.org/r/556/
	  ........

2010-05-04 15:51 +0000 [r260746-260805]  Jason Parker <jparker@digium.com>

	* /, build_tools/make_build_h: Merged revisions 260802 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260802 | qwell | 2010-05-04 10:49:57 -0500
	  (Tue, 04 May 2010) | 9 lines Merged revisions 260801 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r260801 | qwell | 2010-05-04 10:49:27 -0500 (Tue, 04 May
	  2010) | 1 line Fix fallout from removing from configure script.
	  Pointed out by philipp64 on #asterisk-dev ........
	  ................

	* /: Fix merge props

2010-05-03 17:42 +0000 [r260743]  Paul Belanger <paul.belanger@polybeacon.com>

	* Makefile, /: Merged revisions 260661-260662 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260661 | pabelanger | 2010-05-03 12:41:30 -0400 (Mon, 03 May
	  2010) | 10 lines non-root make install PREFIX=/tmp fails. Prepend
	  libdir when executing mkpkgconfig allowing non-root installs to
	  work. (closes issue #17268) Reported by: pabelanger Patches:
	  issue17268.patch uploaded by pabelanger (license 224) Tested by:
	  pabelanger ........ r260662 | pabelanger | 2010-05-03 12:54:41
	  -0400 (Mon, 03 May 2010) | 3 lines Should have removed /usr/lib/
	  part. Thanks Qwell. ........

2010-05-03 14:59 +0000 [r260571]  Leif Madsen <lmadsen@digium.com>

	* doc/HOWTO_collect_debug_information.txt: Merged revisions 260570
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260570 | lmadsen | 2010-05-03 09:58:23 -0500
	  (Mon, 03 May 2010) | 9 lines Merged revisions 260569 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r260569 | lmadsen | 2010-05-03 09:57:39 -0500 (Mon, 03
	  May 2010) | 1 line Minor typo pointed out by pabelanger on IRC.
	  ........ ................

2010-04-30 22:48 +0000 [r260441]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 260437 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260437 | jpeeler | 2010-04-30 17:36:49 -0500
	  (Fri, 30 Apr 2010) | 18 lines Merged revisions 260434 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260434 | jpeeler | 2010-04-30 17:22:46 -0500 (Fri, 30 Apr 2010)
	  | 11 lines Ensure channel state is not incorrectly set in the
	  case of a very early answer. The needringing bit was being read
	  in dahdi_read after answering thereby setting the state to
	  ringing from up. This clears needringing upon answering so that
	  is no longer possible. (closes issue #17067) Reported by: tzafrir
	  Patches: needringing.diff uploaded by tzafrir (license 46)
	  ........ ................

2010-04-30 20:22 +0000 [r260373]  Mark Michelson <mmichelson@digium.com>

	* res/res_musiconhold.c, /: Merged revisions 260346 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260346 | mmichelson | 2010-04-30 15:11:02 -0500
	  (Fri, 30 Apr 2010) | 24 lines Merged revisions 260345 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260345 | mmichelson | 2010-04-30 15:08:15 -0500 (Fri, 30 Apr
	  2010) | 18 lines Fix potential crash from race condition due to
	  accessing channel data without the channel locked. In
	  res_musiconhold.c, there are several places where a channel's
	  stream's existence is checked prior to calling ast_closestream on
	  it. The issue here is that in several cases, the channel was not
	  locked while checking the stream. The result was that if two
	  threads checked the state of the channel's stream at
	  approximately the same time, then there could be a situation
	  where both threads attempt to call ast_closestream on the
	  channel's stream. The result here is that the refcount for the
	  stream would go below 0, resulting in a crash. I have added
	  proper channel locking to res_musiconhold.c to ensure that we do
	  not try to check chan->stream without the channel locked. A
	  Digium customer has been using this patch for several weeks and
	  has not had any crashes since applying the patch. ABE-2147
	  ........ ................

2010-04-30 06:22 +0000 [r260281-260303]  Tilghman Lesher <tlesher@digium.com>

	* /, main/app.c: Merged revisions 260292 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r260292 |
	  tilghman | 2010-04-30 01:19:35 -0500 (Fri, 30 Apr 2010) | 13
	  lines Don't allow file descriptors to go above 64k, when we're
	  closing them in a fork(2). This saves time, when, even though the
	  system allows the process limit to be that high, the practical
	  limit is much lower. (closes issue #17223) Reported by:
	  dbackeberg Patches: 20100423__issue17223.diff.txt uploaded by
	  tilghman (license 14) Tested by: dbackeberg ........

	* configs/extensions.conf.sample, /: Merged revisions 260280 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r260280 | tilghman | 2010-04-30 00:23:56 -0500 (Fri, 30
	  Apr 2010) | 7 lines Logic fixups for a sample FREENUM dialplan
	  context. (closes issue #17263) Reported by: pprindeville Patches:
	  freenum-dialplan.patch#3 uploaded by pprindeville (license 347)
	  ........

2010-04-29 23:13 +0000 [r260234]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 260231 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r260231 | rmudgett | 2010-04-29 17:44:14 -0500
	  (Thu, 29 Apr 2010) | 33 lines Merged revisions 260195 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260195 | rmudgett | 2010-04-29 17:11:47 -0500 (Thu, 29 Apr 2010)
	  | 26 lines DTMF CallerID detection problems. The code handling
	  DTMF CallerID drops digits on long CallerID numbers and may
	  timeout waiting for the first ring with shorter numbers. The DTMF
	  emulation mode was not turned off when processing DTMF CallerID.
	  When the emulation code gets behind in processing the DTMF digits
	  it can skip a digit. For shorter numbers, the timeout may have
	  been too short. I increased it from 2 seconds to 4 seconds. Four
	  seconds is a typical time between rings for many countries.
	  (closes issue #16460) Reported by: sum Patches: issue16460.patch
	  uploaded by rmudgett (license 664) issue16460_v1.6.2.patch
	  uploaded by rmudgett (license 664) Tested by: sum, rmudgett
	  Review: https://reviewboard.asterisk.org/r/634/ JIRA SWP-562 JIRA
	  AST-334 JIRA SWP-901 ........ ................

2010-04-29 18:18 +0000 [r260156]  Tilghman Lesher <tlesher@digium.com>

	* configs/extensions.conf.sample, /: Merged revisions 260148 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r260148 | tilghman | 2010-04-29 13:15:57 -0500 (Thu, 29
	  Apr 2010) | 2 lines Pattern match fail. ........

2010-04-29 15:35 +0000 [r260051]  David Vossel <dvossel@digium.com>

	* main/audiohook.c, /, include/asterisk/audiohook.h: Merged
	  revisions 260050 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r260050 | dvossel | 2010-04-29 10:33:27 -0500 (Thu, 29 Apr 2010)
	  | 21 lines Merged revisions 260049 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r260049 | dvossel | 2010-04-29 10:31:02 -0500 (Thu, 29 Apr 2010)
	  | 14 lines Fixes crash in audiohook_write_list The middle_frame
	  in the audiohook_write_list function was being freed if a
	  audiohook manipulator returned a failure. This is incorrect
	  logic. This patch resolves this and adds detailed descriptions of
	  how this function should work and why manipulator failures must
	  be ignored. (closes issue #17052) Reported by: dvossel Tested by:
	  dvossel (closes issue #16196) Reported by: atis Review:
	  https://reviewboard.asterisk.org/r/623/ ........ ................

2010-04-28 22:36 +0000 [r259959]  Mark Michelson <mmichelson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 259957 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r259957 |
	  mmichelson | 2010-04-28 17:34:15 -0500 (Wed, 28 Apr 2010) | 11
	  lines Don't override peer context with domain context. (closes
	  issue #17040) Reported by: pprindeville Patches:
	  asterisk-1.6-bugid17040.patch uploaded by pprindeville (license
	  347) Tested by: pprindeville Review:
	  https://reviewboard.asterisk.org/r/565/ ........

2010-04-28 21:26 +0000 [r259899]  David Vossel <dvossel@digium.com>

	* main/channel.c, channels/chan_local.c, /: Merged revisions 259870
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259870 | dvossel | 2010-04-28 16:20:03 -0500
	  (Wed, 28 Apr 2010) | 39 lines Merged revisions 259858 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259858 | dvossel | 2010-04-28 16:16:03 -0500 (Wed, 28 Apr 2010)
	  | 33 lines resolves deadlocks in chan_local Issue_1. In the
	  local_hangup() 3 locks must be held at the same time... pvt,
	  pvt->chan, and pvt->owner. Proper deadlock avoidance is done when
	  the channel to hangup is the outbound chan_local channel, but
	  when it is not the outbound channel we have an issue... We
	  attempt to do deadlock avoidance only on the tech pvt, when both
	  the tech pvt and the pvt->owner are locked coming into that loop.
	  By never giving up the pvt->owner channel deadlock avoidance is
	  not entirely possible. This patch resolves that by doing deadlock
	  avoidance on both the pvt->owner and the pvt when trying to get
	  the pvt->chan lock. Issue_2. ast_prod() is used in
	  ast_activate_generator() to queue a frame on the channel and make
	  the channel's read function get called. This function is used in
	  ast_activate_generator() while the channel is locked, which
	  mean's the channel will have a lock both from the generator code
	  and the frame_queue code by the time it gets to chan_local.c's
	  local_queue_frame code... local_queue_frame contains some of the
	  same crazy deadlock avoidance that local_hangup requires, and
	  this recursive lock prevents that deadlock avoidance from
	  happening correctly. This patch removes ast_prod() from the
	  channel lock so only one lock is held during the
	  local_queue_frame function. (closes issue #17185) Reported by:
	  schmoozecom Patches: issue_17185_v1.diff uploaded by dvossel
	  (license 671) issue_17185_v2.diff uploaded by dvossel (license
	  671) Tested by: schmoozecom, GameGamer43 Review:
	  https://reviewboard.asterisk.org/r/631/ ........ ................

2010-04-28 21:09 +0000 [r259854]  Leif Madsen <lmadsen@digium.com>

	* config.guess: Merged revisions 259853 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259853 | lmadsen | 2010-04-28 16:08:34 -0500 (Wed, 28 Apr 2010)
	  | 14 lines Merged revisions 259852 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259852 | lmadsen | 2010-04-28 16:07:48 -0500 (Wed, 28 Apr 2010)
	  | 6 lines Update config.guess. Updating config.guess because
	  after installing Ubuntu Server 9.10 and running all the update
	  scripts, running ./configure would not continue because it was
	  unable to determine what kind of system I had. After updating
	  config.guess things started working again. ........
	  ................

2010-04-28 20:34 +0000 [r259781-259851]  Jason Parker <jparker@digium.com>

	* /, configure, configure.ac: Merged revisions 259848 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259848 | qwell | 2010-04-28 15:32:14 -0500
	  (Wed, 28 Apr 2010) | 9 lines Merged revisions 259847 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r259847 | qwell | 2010-04-28 15:30:21 -0500 (Wed, 28 Apr
	  2010) | 1 line Add AC_CONFIG_AUX_DIR to configure script, so
	  systems without install can use install-sh from our source dir.
	  ........ ................

	* makeopts.in, /: Merged revisions 259837 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259837 | qwell | 2010-04-28 15:26:35 -0500 (Wed, 28 Apr 2010) |
	  9 lines Merged revisions 259833 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259833 | qwell | 2010-04-28 15:25:36 -0500 (Wed, 28 Apr 2010) |
	  1 line Missed this when removing $ID ........ ................

	* Makefile, /, configure, configure.ac: Merged revisions 259760 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259760 | qwell | 2010-04-28 14:19:54 -0500
	  (Wed, 28 Apr 2010) | 14 lines Merged revisions 259748 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259748 | qwell | 2010-04-28 14:17:38 -0500 (Wed, 28 Apr 2010) |
	  7 lines Remove usage of `id` since it isn't useful and was
	  causing breakge. Solaris `id` doesn't support the -u argument.
	  Instead of figuring out how to fix this to work on Solaris, I
	  decided to check why it was necessary and where else it was used.
	  It was only used in one place, and it hasn't been needed for a
	  very long time (I question whether it was ever needed). ........
	  ................

2010-04-28 17:19 +0000 [r259681]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 259672 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259672 | jpeeler | 2010-04-28 12:18:43 -0500
	  (Wed, 28 Apr 2010) | 11 lines Merged revisions 259664 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259664 | jpeeler | 2010-04-28 12:13:29 -0500 (Wed, 28 Apr 2010)
	  | 4 lines Do not play goodbye prompt after timeout of message
	  review. ABE-2124 ........ ................

2010-04-27 22:46 +0000 [r259616]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 259538 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259538 | rmudgett | 2010-04-27 17:18:09 -0500
	  (Tue, 27 Apr 2010) | 18 lines Merged revisions 259531 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259531 | rmudgett | 2010-04-27 16:53:07 -0500 (Tue, 27 Apr 2010)
	  | 11 lines DAHDI "WARNING" message is confusing and vague
	  "WARNING[28406]: chan_dahdi.c:6873 ss_thread: CallerID feed
	  failed: Success" Changed the warning to "Failed to decode
	  CallerID on channel 'name'". The message before it is likely more
	  specific about why the CallerID decode failed. SWP-501 AST-283
	  ........ ................

2010-04-27 21:50 +0000 [r259528]  Leif Madsen <lmadsen@digium.com>

	* sounds/Makefile: Merged revisions 259527 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259527 | lmadsen | 2010-04-27 16:49:36 -0500 (Tue, 27 Apr 2010)
	  | 23 lines Merged revisions 259526 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259526 | lmadsen | 2010-04-27 16:48:47 -0500 (Tue, 27 Apr 2010)
	  | 15 lines Update sounds files. * Add additional sounds prompts
	  for say_enumeration * Update the English conference sounds
	  prompts so they are better quality and all sound more consistent
	  * Clean up the core-sounds-XX.txt and extra-sounds-XX.txt files
	  to include all present sound files Both core (en, fr, es) and
	  extra (en, fr) sounds files have been updated. (closes issue
	  #16200) Reported by: murf (closes issue #17137) Reported by:
	  lmadsen ........ ................

2010-04-27 21:25 +0000 [r259356-259486]  Jason Parker <jparker@digium.com>

	* main/editline/configure.in, /, main/editline/configure,
	  main/editline/Makefile.in: Merged revisions 259439 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r259439 | qwell | 2010-04-27 16:13:01 -0500 (Tue, 27 Apr 2010) |
	  5 lines Add gar to the check for AR for those silly OSes
	  (Solaris) that don't have ar. autoconf2.13 couldn't handle
	  AC_PROG_GREP, so I removed it. This is fine, since we don't need
	  to use anything that the configure script doesn't. ........

	* /: Unblock revision 259439.

	* /, configure, configure.ac: Merged revisions 259353 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r259353 | qwell | 2010-04-27 14:31:55 -0500
	  (Tue, 27 Apr 2010) | 12 lines Merged revisions 259352 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259352 | qwell | 2010-04-27 14:29:26 -0500 (Tue, 27 Apr 2010) |
	  5 lines Support the silly OSes that don't have ar and strip.
	  Since AC_PATH_TOOL is equiv to AC_CHECK_TOOL when path isn't
	  specified, and AC_PATH_TOOLS doesn't exist, we'll just switch to
	  AC_CHECK_TOOLS. ........ ................

2010-04-27 19:03 +0000 [r259310]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, configs/chan_dahdi.conf.sample, /: Merged
	  revisions 259307 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259307 | rmudgett | 2010-04-27 13:29:33 -0500 (Tue, 27 Apr 2010)
	  | 21 lines Merged revisions 259270 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259270 | rmudgett | 2010-04-27 13:14:54 -0500 (Tue, 27 Apr 2010)
	  | 14 lines hidecalleridname parameter in chan_dahdi.conf Issue
	  #7321 implements a new chan_dahdi configuration option. However,
	  a change mentioned in the issue was never implemented. This is
	  the change that will allow the feature to work. I added a note to
	  chan_dahdi.conf.sample about the feature. (closes issue #17143)
	  Reported by: djensen99 Patches: diff.txt uploaded by djensen99
	  (license NA) (One line change) Tested by: djensen99 ........
	  ................

2010-04-26 21:48 +0000 [r259103-259109]  Mark Michelson <mmichelson@digium.com>

	* main/channel.c, /: Merged revisions 259105 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259105 | mmichelson | 2010-04-26 16:45:13 -0500 (Mon, 26 Apr
	  2010) | 9 lines Merged revisions 259104 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259104 | mmichelson | 2010-04-26 16:44:43 -0500 (Mon, 26 Apr
	  2010) | 3 lines Let compilation succeed warning-free when
	  DONT_OPTIMIZE is turned off. ........ ................

	* main/channel.c, /: Merged revisions 259023 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r259023 | mmichelson | 2010-04-26 16:13:35 -0500 (Mon, 26 Apr
	  2010) | 19 lines Merged revisions 259018 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r259018 | mmichelson | 2010-04-26 16:03:08 -0500 (Mon, 26 Apr
	  2010) | 13 lines Prevent Newchannel manager events for dummy
	  channels. No Newchannel manager event will be fired for channels
	  that are allocated to not match a registered technology type.
	  Thus bogus channels allocated solely for variable substitution or
	  CDR operations do not result in a Newchannel event. (closes issue
	  #16957) Reported by: atis Review:
	  https://reviewboard.asterisk.org/r/601 ........ ................

2010-04-26 16:00 +0000 [r258935]  Leif Madsen <lmadsen@digium.com>

	* /, channels/chan_sip.c: Merged revisions 258934 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r258934 |
	  lmadsen | 2010-04-26 10:59:34 -0500 (Mon, 26 Apr 2010) | 7 lines
	  Small error in the T.140 RTP port verbose log. (closes issue
	  #16988) Reported by: frawd Patches: chan_sip_sdp_verbose_fix.diff
	  uploaded by frawd (license 610) Tested by: russell ........

2010-04-25 18:14 +0000 [r258779]  Tilghman Lesher <tlesher@digium.com>

	* res/res_monitor.c, /: Merged revisions 258776 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r258776 | tilghman | 2010-04-25 13:12:14 -0500 (Sun, 25 Apr 2010)
	  | 13 lines Merged revisions 258775 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r258775 | tilghman | 2010-04-25 13:09:05 -0500 (Sun, 25 Apr 2010)
	  | 6 lines When StopMonitor is called, ensure that it will not be
	  restarted by a channel event. (closes issue #16590) Reported by:
	  kkm Patches: resmonitor-16590-trunk.239289.diff uploaded by kkm
	  (license 888) ........ ................

2010-04-22 22:15 +0000 [r258676]  Matthew Nicholson <mnicholson@digium.com>

	* main/cdr.c, main/channel.c, /, main/features.c: Merged revisions
	  258671,258675 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r258671 | mnicholson | 2010-04-22 16:57:59 -0500 (Thu, 22 Apr
	  2010) | 32 lines Merged revisions 193391,258670 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r193391 | mnicholson | 2009-05-08 16:01:25 -0500 (Fri, 08 May
	  2009) | 8 lines Set the proper disposition on originated calls.
	  (closes issue #14167) Reported by: jpt Patches:
	  call-file-missing-cdr2.diff uploaded by mnicholson (license 96)
	  Tested by: dlotina, rmartinez, mnicholson ........ r258670 |
	  mnicholson | 2010-04-22 16:49:07 -0500 (Thu, 22 Apr 2010) | 11
	  lines Fix broken CDR behavior. This change allows a CDR record
	  previously marked with disposition ANSWERED to be set as BUSY or
	  NO ANSWER. Additionally this change partially reverts r235635 and
	  does not set the AST_CDR_FLAG_ORIGINATED flag on CDRs generated
	  from ast_call(). To preserve proper CDR behavior, the
	  AST_CDR_FLAG_DIALED flag is now cleared from all brige CDRs in
	  ast_bridge_call(). (closes issue #16797) Reported by:
	  VarnishedOtter Tested by: mnicholson ........ (closes issue
	  #16222) Reported by: telles Tested by: mnicholson
	  ................ r258675 | mnicholson | 2010-04-22 17:11:23 -0500
	  (Thu, 22 Apr 2010) | 2 lines Fix previous commit.
	  ................

2010-04-22 21:58 +0000 [r258516-258672]  Russell Bryant <russell@digium.com>

	* /, main/event.c: Merged revisions 258632 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk For 1.6.2, only
	  merge the bug fixes, not the unit test. ........ r258632 |
	  russell | 2010-04-22 16:06:53 -0500 (Thu, 22 Apr 2010) | 22 lines
	  Add ast_event subscription unit test and fix some ast_event API
	  bugs. This patch introduces another test in test_event.c that
	  exercises most of the subscription related ast_event API calls. I
	  made some minor additions to the existing event allocation test
	  to increase API coverage by the test code. Finally, I made a list
	  in a comment of API calls not yet touched by the test module as a
	  to-do list for future test development. During the development of
	  this test code, I discovered a number of bugs in the event API.
	  1) subscriptions to AST_EVENT_ALL were not handled appropriately
	  in a couple of different places. The API allows a subscription to
	  all event types, but with IE parameters, just as if it was a
	  subscription to a specific event type. However, the parameters
	  were being ignored. This affected ast_event_check_subscriber()
	  and event distribution to subscribers. 2) Some of the logic in
	  ast_event_check_subscriber() for checking subscriptions against
	  query parameters was wrong. Review:
	  https://reviewboard.asterisk.org/r/617/ ........

	* /, doc/tex/channelvariables.tex: Merged revisions 258515 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r258515 | russell | 2010-04-22 12:36:34 -0500 (Thu, 22
	  Apr 2010) | 2 lines Add MEETMEBOOKID from r256019. ........

2010-04-21 22:11 +0000 [r258436]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 258433 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r258433 | jpeeler | 2010-04-21 16:56:09 -0500
	  (Wed, 21 Apr 2010) | 15 lines Merged revisions 258432 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r258432 | jpeeler | 2010-04-21 16:45:36 -0500 (Wed, 21 Apr 2010)
	  | 8 lines Fix looping forever when no input received in certain
	  voicemail menu scenarios. Specifically, prompting for an
	  extension (when leaving or forwarding a message) or when
	  prompting for a digit (when saving a message or changing
	  folders). ABE-2122 SWP-1268 ........ ................

2010-04-21 19:44 +0000 [r258384-258386]  Leif Madsen <lmadsen@digium.com>

	* doc/tex/asterisk.tex: Remove missed line in previous merge.
	  (issue #17220)

	* configure: Forgot to merge the updated configure script. (issue
	  #17220)

	* doc/tex/localchannel.tex, doc/tex/enum.tex, makeopts.in,
	  doc/tex/asterisk.tex, Makefile, /, doc/tex/Makefile,
	  configure.ac, doc/tex/phoneprov.tex, doc/tex, doc/tex/ael.tex,
	  build_tools/prep_tarball: Merged revisions 258351 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk ........
	  r258351 | lmadsen | 2010-04-21 14:18:35 -0500 (Wed, 21 Apr 2010)
	  | 20 lines Add ability to generate ASCII documentation from the
	  TeX files. These changes add the ability to run 'make
	  asterisk.txt' just like the existing 'make asterisk.pdf' commands
	  to generate a text document from the TeX files we have in the
	  doc/tex/ directory. I've also updated a few of the .tex files
	  because they weren't properly escaping certain characters so they
	  would show up as Unicode characters (like [U+021C]). Made changes
	  to the configure scripts so it would detect the catdvi program
	  which is required to convert the .dvi file generated by latex.
	  I've also added a few lines to the build_tools/prep_tarball
	  script so that the text documentation gets generated and added to
	  future tarballs of Asterisk releases. (closes issue #17220)
	  Reported by: lmadsen Patches: asterisk.txt.patch uploaded by
	  lmadsen (license 10) asterisk.txt.patch-v4 uploaded by pabelanger
	  (license 224) Tested by: lmadsen, pabelanger ........

2010-04-21 18:19 +0000 [r258314]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 258305 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r258305 |
	  dvossel | 2010-04-21 13:13:36 -0500 (Wed, 21 Apr 2010) | 12 lines
	  fixes issue with double "sip:" in header field This is a clear
	  mistake in logic. Future discussions about how to avoid having to
	  handle uri's like this should take place in the future, but this
	  fix needs to go in for now. (closes issue #15847) Reported by:
	  ebroad Patches: doublesip.patch uploaded by ebroad (license 878)
	  ........

2010-04-20 19:03 +0000 [r258148-258150]  Leif Madsen <lmadsen@digium.com>

	* /, configs/cli_aliases.conf.sample: Merged revisions 258149 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r258149 | lmadsen | 2010-04-20 14:02:49 -0500 (Tue, 20
	  Apr 2010) | 1 line Add 'soft hangup' alias per Steve Johnson on
	  asterisk-users. ........

	* configs/extensions.conf.sample, /: Merged revisions 258147 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r258147 | lmadsen | 2010-04-20 13:38:39 -0500 (Tue, 20
	  Apr 2010) | 8 lines Add example dialplan for dialing ISN numbers
	  (http://www.freenum.org). Minor tweaks and documentation added by
	  me. (closes issue #17058) Reported by: pprindeville Patches:
	  freenum.patch#5 uploaded by pprindeville (license 347) Tested by:
	  lmadsen ........

2010-04-20 18:04 +0000 [r258108]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 258065 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r258065 | jpeeler | 2010-04-20 12:06:19 -0500
	  (Tue, 20 Apr 2010) | 17 lines Merged revisions 258029 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r258029 | jpeeler | 2010-04-20 11:16:33 -0500 (Tue, 20 Apr 2010)
	  | 11 lines Play correct prompt when voicemail store failure
	  occurs after attempted forward. If a user's mailbox was full and
	  a message was attempted to be forwarded to said box, warnings on
	  the console would indicate failure. However, the played prompt
	  was that of success (vm-msgsaved). Now storage failure is taken
	  into account and the correct prompt (vm-mailboxfull) is played
	  when appropriate. ABE-2123 SWP-1262 ........ ................

2010-04-20 18:02 +0000 [r258107]  Leif Madsen <lmadsen@digium.com>

	* contrib/scripts/sip-friends.sql, /: Merged revisions 258106 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r258106 | lmadsen | 2010-04-20 13:01:28 -0500 (Tue, 20
	  Apr 2010) | 7 lines Add missing 'useragent' field to
	  sip-friends.sql file. (closes issue #17171) Reported by: thehar
	  Patches: sip-friends.patch uploaded by thehar (license 831)
	  Tested by: pabelanger, thehar ........

2010-04-19 21:58 +0000 [r257948-257950]  Jason Parker <jparker@digium.com>

	* main/indications.c, /: Merged revisions 257949 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r257949 |
	  qwell | 2010-04-19 16:57:56 -0500 (Mon, 19 Apr 2010) | 1 line
	  Change log message to match severity. ........

	* main/indications.c, /: Merged revisions 257947 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r257947 |
	  qwell | 2010-04-19 16:49:30 -0500 (Mon, 19 Apr 2010) | 6 lines
	  Don't consider a missing indications.conf to be a critical error.
	  There were many changes in revision 176627 which would avoid the
	  error that a missing config would have caused. Other than this,
	  there are no other config files (including asterisk.conf,
	  surprisingly) that are required. ........

2010-04-19 18:30 +0000 [r257850]  Terry Wilson <twilson@digium.com>

	* /, main/features.c: Merged revisions 257810 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r257810 |
	  twilson | 2010-04-19 12:57:41 -0500 (Mon, 19 Apr 2010) | 5 lines
	  Fix incomplete CDR merge from r195881 Because res/res_features.c
	  was removed and main/cdr.c added, these changes didn't make it to
	  trunk and the 1.6.x branches ........

2010-04-18 17:28 +0000 [r257771]  Tilghman Lesher <tlesher@digium.com>

	* configs/cdr_odbc.conf.sample, /: Merged revisions 257768 via
	  svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ........ r257768 | tilghman | 2010-04-18 12:25:53 -0500 (Sun, 18
	  Apr 2010) | 2 lines Removing unused configuration parameters
	  ........

2010-04-16 21:47 +0000 [r257740]  Dwayne M. Hubbard <dwayne.hubbard@gmail.com>

	* apps/app_mixmonitor.c, /: Merged revisions 257713 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r257713 | dhubbard | 2010-04-16 16:22:30 -0500
	  (Fri, 16 Apr 2010) | 28 lines Merged revisions 257686 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257686 | dhubbard | 2010-04-16 16:15:43 -0500 (Fri, 16 Apr 2010)
	  | 21 lines Make the mixmonitor thread process audio frames faster
	  Mantis issue 17078 reports MixMonitor recordings have shorter
	  durations than the call duration. This was because the mixmonitor
	  thread was not processing frames from the audiohook fast enough.
	  The mixmonitor thread would slowly fall behind the most recent
	  audio frame and when the channel hangs up, the mixmonitor thread
	  would exit without processing the same number of frames as the
	  channel; leaving the mixmonitor recording shorter than actual
	  call duration. This revision fixes this issue by moving the
	  ast_audiohook_trigger_wait() and the subsequent audiohook.status
	  check into the block where the ast_audiohook_read_frame()
	  function returns NULL. (closes issue #17078) Reported by:
	  geoff2010 Patches: dw-M17078.patch uploaded by dhubbard (license
	  733) Tested by: dhubbard, geoff2010 Review:
	  https://reviewboard.asterisk.org/r/611/ ........ ................

2010-04-15 21:34 +0000 [r257510-257597]  Tilghman Lesher <tlesher@digium.com>

	* include/asterisk/app.h, /, main/app.c: Merged revisions 257560
	  via svnmerge from https://origsvn.digium.com/svn/asterisk/trunk
	  ................ r257560 | tilghman | 2010-04-15 16:26:19 -0500
	  (Thu, 15 Apr 2010) | 13 lines Merged revisions 257544 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257544 | tilghman | 2010-04-15 16:23:24 -0500 (Thu, 15 Apr 2010)
	  | 6 lines Allow application options with arguments to contain
	  parentheses, through a variety of escaping techniques. Fixes
	  SWP-1194 (ABE-2143). Review:
	  https://reviewboard.asterisk.org/r/604/ ........ ................

	* /, channels/chan_sip.c: Merged revisions 257493 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r257493 | tilghman | 2010-04-15 15:30:15 -0500 (Thu, 15 Apr 2010)
	  | 20 lines Merged revisions 257467 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257467 | tilghman | 2010-04-15 15:24:50 -0500 (Thu, 15 Apr 2010)
	  | 13 lines Don't recreate peer, when responding to a repeated
	  deregistration attempt. When a reply to a deregistration is lost
	  in transmit, the client retries the deregistration. Previously,
	  this would cause a realtime/autocreate peer to be loaded back
	  into memory, after it had already been correctly purged. Instead,
	  we just want to resend the reply without loading the peer.
	  (closes issue #16908) Reported by: kkm Patches:
	  20100412__issue16908.diff.txt uploaded by tilghman (license 14)
	  Tested by: kkm ........ ................

2010-04-15 19:42 +0000 [r257344-257428]  Leif Madsen <lmadsen@digium.com>

	* doc/backtrace.txt: Merged revisions 257427 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r257427 | lmadsen | 2010-04-15 14:41:05 -0500 (Thu, 15 Apr 2010)
	  | 21 lines Merged revisions 257426 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257426 | lmadsen | 2010-04-15 14:40:33 -0500 (Thu, 15 Apr 2010)
	  | 13 lines Update backtrace.txt documentation. Update the
	  backtrace.txt documentation so it conforms to the same layout as
	  other documents we've been working on recently. Additionally, add
	  a bunch of new information about gathering backtraces for crashes
	  and deadlocks, along with ways of verifying your file before
	  uploading it. Create a couple of one line commands for people to
	  generate the files we need. (closes issue #17190) Reported by:
	  lmadsen Patches: backtrace.txt.patch-2 uploaded by lmadsen
	  (license 10) Tested by: lmadsen, pabelanger ........
	  ................

	* doc/backtrace.txt: Merged revisions 257343 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r257343 | lmadsen | 2010-04-15 08:44:38 -0500 (Thu, 15 Apr 2010)
	  | 9 lines Merged revisions 257342 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257342 | lmadsen | 2010-04-15 08:41:45 -0500 (Thu, 15 Apr 2010)
	  | 1 line Update address of the bug tracker. ........
	  ................

2010-04-14 23:00 +0000 [r257265]  Tilghman Lesher <tlesher@digium.com>

	* configs/features.conf.sample, /, main/features.c: Merged
	  revisions 257262 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r257262 |
	  tilghman | 2010-04-14 17:57:35 -0500 (Wed, 14 Apr 2010) | 15
	  lines Yet another issue where the conversion of the application
	  delimiter to comma caused an issue. Application arguments within
	  the feature map could possibly contain a comma, which conflicts
	  with the syntax of the features.conf configuration file. This
	  patch allows the argument to be wrapped in parentheses or quoted,
	  to allow the application arguments to be interpreted as a single
	  configuration parameter. (closes issue #16646) Reported by:
	  pinga-fogo Patches: 20100414__issue16646.diff.txt uploaded by
	  tilghman (license 14) Tested by: tilghman Review:
	  https://reviewboard.asterisk.org/r/547/ ........

2010-04-13 19:20 +0000 [r257210]  Tilghman Lesher <tlesher@digium.com>

	* /, channels/chan_sip.c: Merged revisions 257191 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ........ r257191 |
	  tilghman | 2010-04-13 14:17:48 -0500 (Tue, 13 Apr 2010) | 10
	  lines Also unref the pvt when we delete the provisional keepalive
	  job. (closes issue #16774) Reported by: kowalma Patches:
	  20100315__issue16774.diff.txt uploaded by tilghman (license 14)
	  Tested by: falves11, jamicque Review:
	  https://reviewboard.asterisk.org/r/591/ ........

2010-04-13 18:43 +0000 [r257184]  Matthew Nicholson <mnicholson@digium.com>

	* main/manager.c, /, configs/manager.conf.sample: Merged revisions
	  257146 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/trunk ................
	  r257146 | mnicholson | 2010-04-13 13:10:30 -0500 (Tue, 13 Apr
	  2010) | 16 lines Merged revisions 257070 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r257070 | mnicholson | 2010-04-13 11:46:30 -0500 (Tue, 13 Apr
	  2010) | 9 lines Add an option to restore past broken behavor of
	  the Events manager action Before r238915, certain values for the
	  EventMask parameter of the Events action would result in no
	  response being returned. This patch adds an option to restore
	  that broken behavior. Also while fixing this bug I discovered
	  that passing an empty EventMasks parameter would also result in
	  no response being returned, this has been fixed as well while
	  being preserved when the broken behavior is requested. (closes
